<?php
/*******************************************************************************
 *   Editor IE
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaim
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset; ?>">
</head>
<style>
 body {
 margin: 0pt; padding: 0pt; border: none
}

 iframe {
 width: 100%; height: 100%; border: none
}
</style>
<script type="text/javascript">
 var format="HTML"
 function setFocus() {
 textEdit.focus()
}

 function execCommand(command) {
 textEdit.focus()
 if (format=="HTML") {
     var edit = textEdit.document.selection.createRange()
 if (arguments[1]==null)
     edit.execCommand(command)
else
     edit.execCommand(command,false, arguments[1])
     edit.select()
     textEdit.focus()
 }
 }

 function selectAllText() {
     var edit = textEdit.document;
     edit.execCommand('SelectAll');
     textEdit.focus();
 }

 function newDocument() {
     textEdit.document.open()
     textEdit.document.write("")
     textEdit.document.close()
     textEdit.focus()
 }
  
 function loadDoc(htmlString) {
     textEdit.document.open()
     textEdit.document.write(htmlString)
     textEdit.document.close()
 }

 function initEditor() {
     var htmlString = parent.document.all.EditorValue.value;
     textEdit.document.designMode = "On"
     textEdit.document.open()
     textEdit.document.write(htmlString)
     textEdit.document.close()
     textEdit.focus()
 }

 function swapModes() {
 if (format == "HTML") {
     textEdit.document.body.innerText = textEdit.document.body.innerHTML
     textEdit.document.body.style.fontFamily = "courier new"
     textEdit.document.body.style.fontSize = "12px"
     format = "Text"
}
else {
     textEdit.document.body.innerHTML = textEdit.document.body.innerText
     textEdit.document.body.style.fontFamily = ""
     textEdit.document.body.style.fontSize = ""
     format = "HTML"
 }
 var s = textEdit.document.body.createTextRange()
 s.collapse(false)
 s.select()
 }
window.onload = initEditor
</script>
<body scroll=No>
<iframe ID=textEdit>
</iframe>
<script type="text/javascript">
 textEdit.focus();
</script>
</body>
</html>
