<?php
/*******************************************************************************
 *   Admin Calendar
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'cal.inc')) {
	header('location:../index.php');
	die();
}

if ($dup == 2) {
    echo '
 -------------- <br />
<b>'.ucfirst($admin[915]).' '.$admin[922].'</b>
<br /><br />';
}
    
include CHEMIN.'inc/lang/'.$lng.'-special.inc';
$i = ($lng == $lang[0]) ? 0 : 1; 
if (empty($annee)) $annee = date('Y');
if (empty($mois))  $mois  = date('m');
$jour        = date('d');
$joursmois   = date('t', mktime(0,0,0,$mois,1,$annee));
$premierjour = date('w', mktime(0,0,0,$mois,1,$annee));
$mois        = date('m', mktime(0,0,0,$mois,1,$annee));
$annee       = date('Y', mktime(0,0,0,$mois,1,$annee));
$jourj       = date('d', mktime(0,0,0,$mois,$jour,$annee));
if ($premierjour == 0) $premierjour = 7;
$semainepays = $web[153]; //$admin[631];
if ($semainepays == 0) {
    $joursemaine = array(1 => $web[147], $web[148], $web[149], $web[150], $web[151], $web[152], $web[146]);
}
else {
    $joursemaine = array(1 => $web[146], $web[147], $web[148], $web[149], $web[150], $web[151], $web[152]);
}
$moispays = array(1 => "$admin[639]","$admin[640]","$admin[641]","$admin[642]","$admin[643]","$admin[644]","$admin[645]","$admin[646]","$admin[647]","$admin[648]","$admin[649]","$admin[650]");
$nommois  = $moispays[$mois*$mois/$mois];
$dbannee = array();
for ($i = -1; $i < 8; $i++) $dbannee[] = date('Y') + $i;
$date     = getdate(time());
$mois_ci  = $date['mon'];
if ($mois_ci < 10) {
  $mois_ci = '0'.$mois_ci;
}
$ann_ci = $date["year"];
if ($mois == 1) {
  $mois_p = 12;
  $ann_p  = $annee - 1;
}
else {
  $mois_p = $mois - 1;
  $ann_p  = $annee;
}
if ($mois_p < 10) $mois_p = '0'.$mois_p;
if ($mois == 12) {
  $mois_s = 1;
  $ann_s  = $annee + 1;
}
else {
  $mois_s = $mois + 1;
  $ann_s  = $annee;
}
if ($mois_s < 10) $mois_s = '0'.$mois_s;
$nbjours = date('d', mktime(0,0,0,$mois_s,0,$annee));
$idn     = '';

$dupid = $dup == 2 ? '&amp;dup=2&amp;id='.$id : '';

$adm_agenda1 = 'admin.php?lng='.$lng.'&amp;pg=agenda&amp;form=1&amp;tri='.$tri;
$adm_agenda2 = 'admin.php?lng='.$lng.'&amp;pg=agenda&amp;form=2&amp;tri='.$tri;
$adm_agenda3 = 'admin.php?lng='.$lng.'&amp;pg=agenda&amp;form=3&amp;tri='.$tri;
echo '
<div style="margin:auto;text-align:center;">
  <table class="cal" style="width:230px;margin:auto;">';
if (($site[19] == 'E1') || ($site[19] == 'E2')) {
	echo '
  <tr class="cal">
    <td>
      <a href="'.$adm_agenda3.'&amp;mois='.$mois_p.'&amp;annee='.$ann_p.$dupid.'" title="'.$mois_p.'-'.$ann_p.'">
	    <img src="'.CHEMIN.'inc/img/bars/left.gif" alt="'.$mois_p.'-'.$ann_p.'" style="vertical-align:middle;" />
	  </a>
    </td>
    <td colspan="5">
	  <form name="selmois" method="POST" action="'.$adm_agenda3.'">
	    <div style="float:left;">
	      <select class="cal" style="width:92px;" name="mois" onchange="this.form.submit();">';
	foreach($moispays as $key=>$mnth)
		echo '
	        <option value="'.$key.'"'.Selected($key == $mois).'>'.$mnth.'</option>';
	echo '
		  </select>
		</div>
	    <div style="float:right;">
	      <select class="cal" style="width:56px;" name="annee" onchange="this.form.submit();">';
	foreach($dbannee as $an)
		echo '
	        <option value="'.$an.'"'.Selected($an == $annee).'>'.$an.'</option>';
	echo '
		  </select>
		</div>
		<div style="clear:both;"></div>
		<noscript>
		  <div style="text-align:center;max_height:22px;margin-top:4px;">'.SubmitButton($web[52]).'</div>
		</noscript>
      </form>
	</td>
    <td>
      <a href="'.$adm_agenda3.'&amp;mois='.$mois_s.'&amp;annee='.$ann_s.$dupid.'" title="'.$mois_s.'-'.$ann_s.'">
	    <img src="'.CHEMIN.'inc/img/bars/right.gif" alt="'.$mois_s.'-'.$ann_s.'" style="vertical-align:middle;" />
	  </a>
    </td>
  </tr>';
}
else {
	echo '
    <td>
      <a href="'.$adm_agenda3.'&amp;mois='.$mois_p.'&amp;annee='.$ann_p.'" title="'.$ann_p.'-'.$mois_p.$dupid.'">
	    <img src="'.CHEMIN.'inc/img/bars/left.gif" alt="'.$ann_p.'-'.$mois_p.'" style="vertical-align:middle;" />
	  </a>
    </td>
    <td colspan="5">
	  <form name="selmois" method="POST" action="'.$adm_agenda3.'">
	    <div style="float:left;">
	      <select class="cal" style="width:56px;" name="annee" onchange="this.form.submit();">';
	foreach($dbannee as $an)
		echo '
	        <option value="'.$an.'"'.Selected($an == $annee).'>'.$an.'</option>';
	echo '
		  </select>
		</div>
	    <div style="float:right;">
	      <select class="cal" style="width:92px;" name="mois" onchange="this.form.submit();">';
	foreach($moispays as $key=>$mnth)
		echo '
	        <option value="'.$key.'"'.Selected($key == $mois).'>'.$mnth.'</option>';
	echo '
		  </select>
		</div>
		<div style="clear:both;"></div>
		<noscript>
		  <div style="text-align:center;max_height:22px;margin-top:4px;">'.SubmitButton($web[52]).'</div>
		</noscript>
      </form>
    </td>
    <td>
      <a href="'.$adm_agenda3.'&amp;mois='.$mois_s.'&amp;annee='.$ann_s.$dupid.'" title="'.$ann_s.'-'.$mois_s.'">
	    <img src="'.CHEMIN.'inc/img/bars/right.gif" alt="'.$ann_s.'-'.$mois_s.'" style="vertical-align:middle;" />
	  </a>
    </td>';
}
echo '
  <tr>';
for ($nbrejours = 1; $nbrejours < 8; $nbrejours++) {
	$couleurcal = "$calendar[0]";
	echo'
    <td class="cal0" style="text-align:center;"><b>'.$joursemaine[$nbrejours].'</b></td>';
}
echo '
  </tr>
  <tr>';
for ($i = 1; $i < $joursmois + $premierjour + $semainepays; $i++) {
	$a = $i - $premierjour + 1 - $semainepays;
	$jour = $i - $premierjour + 1 - $semainepays;
	if (strlen($a) == 0) {
		$a = "$a";
	}
	if ($i < $premierjour || $a == '') {
		if  (!($premierjour == 7 && $semainepays == 1)) {
			$textecal = '&nbsp;';
			echo '
    <td class="cal0" style="background-image:none">'.$textecal.'</td>';
		}
	}
	elseif ($jour > $nbjours) {
		$textecal = '&nbsp;';
		echo '
	<td class="cal0">'.$textecal.'</td>';   // jours vides
	} else {
		if ($a <10) {
			$a = '0'.$a;
		}
		if ($jour <10) {
			$jour = '0'.$jour;
		}
		$textecal = "$a";
		if (cal_ferie($jour, $mois, $annee)) {
			if (($mois == $mois_ci) && ($jourj == $a)) $stylecal = 'cal4';
			else $stylecal = 'cal3';
		} else {
			if (($jourj == $a)) {
				if (($i%7) == $semainepays) {
					if ($mois == $mois_ci) {
						$stylecal = 'cal4';
					} else {
						$stylecal = 'cal3';
					}
				} else {
					if ($mois == $mois_ci) {
						$stylecal = 'cal2';
					} else {
						$stylecal = 'cal1';
					}
				}
			} else {
				if (($i%7) == $semainepays) {
					$stylecal = 'cal3';
				} else {
					$stylecal = 'cal1';
				}
			}
		}
		if (($site[19] == 'E1') || ($site[19] == 'E2')) {
			$agdt = ('day='.$a.'&amp;mois='.$mois.'&amp;annee='.$annee);
		}
		if (($site[19] == 'U1') || ($site[19] == 'U2')) {
			$agdt = ('mois='.$mois.'&amp;day='.$a.'&amp;annee='.$annee);
		}
		if (($site[19] == 'C1') || ($site[19] == 'C2')) {
			$agdt = ('annee='.$annee.'&amp;mois='.$mois.'&amp;day='.$a);
		}
		$jagok    = '0';
		$dbworkag = ReadDBFields(DBAGENDA);
		for ($k = 0; $k < count($dbworkag); $k++) {
			switch ($site[19]) {
			case 'U1' :
			case 'U2' :
				if ($dbworkag[$k][0] == $mois.'/'.$a.'/'.$annee || $dbworkag[$k][0] == $mois.'.'.$a.'.'.$annee) {
					$jagok = '1';
					$pgag  = $dbworkag[$k][4];
				}
				break;
			case 'C1' :
			case 'C2' :
				if ($dbworkag[$k][0] == $annee.'/'.$mois.'/'.$a || $dbworkag[$k][0] == $annee.'.'.$mois.'.'.$a) {
					$jagok = '1';
					$pgag  = $dbworkag[$k][4];
				}
				break;
			case 'E1' :
			case 'E2' :
				if ($dbworkag[$k][0] == $a.'/'.$mois.'/'.$annee || $dbworkag[$k][0] == $a.'.'.$mois.'.'.$annee) {
					$jagok = '1';
					$pgag  = $dbworkag[$k][4];
				}
			}
		}
		if ($jagok == '1') {
			if ($dup == 2) {
				echo'
      <td class="calevt"><span class="calevt"><a href="'.$adm_agenda2.'&amp;idn='.$pgag.'&amp;'.$agdt.'&amp;dup=2&amp;id='.$id.'">'.$textecal.'</a></span></td>';
			} else {
				echo '
      <td class="calevt"><span class="calevt"><a href="'.$adm_agenda1.'&amp;'.$agdt.'">'.$textecal.'</a></span></td>';
			}
		} elseif ($jagok != '1') {
			if ($dup == 2) {
				echo '
      <td class="'.$stylecal.'"><a href="'.$adm_agenda2.'&amp;'.$agdt.$dupid.'">'.$textecal.'</a></td>';
			} else {
				echo '
      <td class="'.$stylecal.'"><a href="'.$adm_agenda1.'&amp;'.$agdt.'">'.$textecal.'</a></td>';
			}
		}
	}
	if (($i%7) == 0) {
		echo '</tr><tr>';
	}
}
for ($i = $joursmois + $premierjour + $semainepays; $i < 43; $i++) {
	echo '
  <td class="cal0">'.(isset($joursemaine[$nbrejours]) ? $joursemaine[$nbrejours] : '').'</td>';
	if (($i%7) == 0 && $i != 42) {
		echo '
	</tr>
	<tr>';
	}
}
echo '
    </tr>
  </table>
</div>';
?>
