<?php
/*******************************************************************************
 *   Admin Forum
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'frconfig.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[24] == '') {
        $nomzone = $admin[253];
        include 'access.inc';
        exit();
    }
}

$regit = import('regit');

if ($regit == 1) {
    if (is_file ($meskin.'confskin.inc')) {
        include $meskin.'confskin.inc';
    } else {
        die(sprintf('DEBUG : $meskin incorrect "%s" : STOP !', $meskin));
        include CHEMIN.'confskin.inc';
    }

    $serviz[18] = import('serviz18'); // Catégories Forum ON / OFF
    $serviz[34] = import('serviz34'); // Compteur de lecture Threads Forum
    $forum[3]   = import('forum3'); // Forum pleine page
    $forum[4]   = import('forum4'); // Nombre de catégories
    $forum[5]   = import('forum5'); // Durée up en heures
    $forum[6]   = import('forum6'); // Durée au top en jours
    $forum[7]   = import('forum7'); // Echelle
    $forum[8]   = import('forum8'); // Durée nouveau en jours
    $forum[9]   = import('forum9'); // Affichage charte du forum ON / OFF
    $forum[10]  = import('forum10'); // Affichage du lien uniquement ON / OFF

    include 'inc/confupdt.inc';
    include 'inc/confskin.inc';
}

include $meskin.'confskin.inc';

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[952]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[952], '100%');

echo '
<p style="text-align:center;">'.ToHelp($lng, 'frconfig').$admin[948].'</p>
<hr />
<div style="width:98%; max-width:566px; margin:auto; text-align:center;">
  <br />
  <div style="text-align:left;">
    <form action="admin.php?lng='.$lng.'&amp;pg=frconfig" method="post">
    <input type="hidden" name="regit" value="1" />
	<div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
    <fieldset>
      <fieldset>'.legend($admin[863]).'
        <table style="width:90%;margin:auto;">
          <tr>
            <td>&bull; '.$admin[869].'</td>
            <td colspan="2"><input type="checkbox" name="forum9" '.Checked($forum[9]).' /></td>
          </tr>
          <tr>
            <td><span style="padding-left:16px;">&bull; '.$admin[500].'</span></td>
            <td colspan="2"><input type="checkbox" name="forum10" '.Checked($forum[10]).' /></td>
          </tr>
          <tr>
            <td>&bull; '.$admin[768].'</td>
            <td colspan="2"><input type="checkbox" name="forum3" '.Checked($forum[3]).' /></td>
          </tr>
          <tr>
            <td>&bull; '.$admin[252].'</td>
            <td colspan="2"><input type="checkbox" name="serviz18"'.Checked($serviz[18]).' /></td>
          </tr>
          <tr>
            <td>&bull; '.$admin[483].'</td>
            <td colspan="2"><input type="checkbox" name="serviz34"'.Checked($serviz[34]).' /></td>
          </tr>
          <tr>
            <td>&bull; '.$admin[864].'</td>
            <td colspan="2"><input type="text" name="forum4"  size="2" value="'.$forum[4].'" /></td>
          </tr>
          <tr>
            <td>&bull; '.$admin[855].'</td>
            <td colspan="2">
              <select name="forum8">
                <option value=""'. Selected($forum[8] == '' ).'>&nbsp;</option>
                <option value="1"'.Selected($forum[8] == '1').'>1</option>
                <option value="2"'.Selected($forum[8] == '2').'>2</option>
                <option value="3"'.Selected($forum[8] == '3').'>3</option>
                <option value="4"'.Selected($forum[8] == '4').'>4</option>
                <option value="5"'.Selected($forum[8] == '5').'>5</option>
              </select>
            </td>
          </tr>
          <tr>
            <td>&bull; '.$admin[856].'</td>
            <td colspan="2">
              <select name="forum5">
                <option value=""'. Selected($forum[5] == '' ).'>&nbsp;</option>
                <option value="1"'.Selected($forum[5] == '1').'>1</option>
                <option value="2"'.Selected($forum[5] == '2').'>2</option>
                <option value="3"'.Selected($forum[5] == '3').'>3</option>
                <option value="4"'.Selected($forum[8] == '4').'>4</option>
                <option value="5"'.Selected($forum[8] == '5').'>5</option>
              </select>
            </td>
          </tr>
          <tr>
            <td>&bull; '.$web[622].'</td>
            <td><input type="text" name="forum6"  size="2" value="'.$forum[6].'" /></td>
		    <td style="text-align:left;">
		      <div class="pop" style="width:32px;">
			    <a><img src="'.$reptheme.'/say.png" style="vertical-align:middle;" />
			    <span style="left:-200px; width:220px; text-align:justify;"><em style="left:auto;right:20px;"></em>'.$help[5].'</span></a>
		      </div>
		    </td>
          </tr>
        </table>
      </fieldset>
  
      <fieldset>'.legend($admin[862]).'
        <table style="width:483px;margin:auto;">
          <tr style="text-align:center">
            <td>'.$admin[858].'</td>
            <td><img src="'.$reptheme.'/rank1.png" alt=" * " /></td>
            <td><img src="'.$reptheme.'/rank2.png" alt="**" /></td>
            <td><img src="'.$reptheme.'/rank3.png" alt="***" /></td>
            <td><img src="'.$reptheme.'/rank4.png" alt="****" /></td>
            <td><img src="'.$reptheme.'/rank5.png" alt="*****" /></td>
            <td>&nbsp;</td>
          </tr>
          <tr class="quest" style="text-align:center">
            <td>'.$admin[766].'</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td><input type="radio" name="forum7" value=""'.Checked($forum[7] == '').' /></td>
          </tr>
          <tr class="rep" style="text-align:center">
            <td>'.$admin[859].'</td>
            <td>10</td>
            <td>30</td>
            <td>60</td>
            <td>100</td>
            <td>+ 100</td>
            <td><input type="radio" name="forum7" value="10-30-60-100"'.Checked($forum[7] == '10-30-60-100').' /></td>
          </tr>
          <tr class="quest" style="text-align:center">
            <td>'.$admin[860].'</td>
            <td>10</td>
            <td>50</td>
            <td>100</td>
            <td>200</td>
            <td>+ 200</td>
            <td><input type="radio" name="forum7" value="10-50-100-200"'.Checked($forum[7] == '10-50-100-200').' /></td>
          </tr>
          <tr class="rep" style="text-align:center">
            <td>'.$admin[861].'</td>
            <td>20</td>
            <td>100</td>
            <td>200</td>
            <td>300</td>
            <td>+ 300</td>
            <td><input type="radio" name="forum7" value="20-100-200-300"'.Checked($forum[7] == '20-100-200-300').' /></td>
          </tr>
        </table>
        <br />
      </fieldset>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>
</div>';

btable();
include CHEMIN.'inc/bpage.inc';
?>
