<?php
/*******************************************************************************
 *   Admin Droits
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'gestredac.inc')) {
    header('location:../index.php');
    die();
}

$del = import('del');

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[12] == '') {
        $nomzone = $admin[821];
        include 'access.inc';
        exit();
    }
}

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > <a href="admin.php?lng='.$lng.'&amp;pg=gestredac">'.str_replace('Admin - ', '', $admin[819]).'</a> > '.$admin[820];
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[819], '100%');

if (!empty($del)) {
    DestroyDBFile(REDACREP.$del.INCEXT);
    $dbadm = ReadDBFields(ADMINS);
    for ($k = 0; $k < count($dbadm); $k++) {
        if ($dbadm[$k][0] == $del) {
            unset($dbadm);
            DeleteDBFieldById(ADMINS, $id=$k);
			break;
        }
    }
}
echo '
<div style="margin:auto;text-align:center;">
<p>'.ToHelp($lng, 'gestredac').$admin[702].'</p>
<br /><br />
<table style="width:410px;margin:auto;">
  <tr class="forum2">
    <td><b>'.$admin[827].'</b></td><td><b>'.$web[437].'</b></td><td style="text-align:center;"><b>'.$admin[680].'</b></td>
  </tr>';
$dbdrtredac = array();
$file_drtredac = opendir(REDACREP);
while ($nomfichier = readdir($file_drtredac)) {
    if( substr($nomfichier,-3) == 'inc' ) {
        $dbdrtredac[] = str_replace(substr($nomfichier,-4),"",$nomfichier);
    }
}
closedir($file_drtredac);
@usort($dbdrtredac,'AsciiCompare');
$fonctions = array('' => '???', 'redac' => $admin[715], 'modo' => $admin[712], 'webm' => $admin[718], 'admin' => $admin[1261]);
for ($i = 0; $i < count($dbdrtredac); $i++) {
    if ($dbdrtredac[$i] != $userprefs[1]) {
		include REDACREP.$dbdrtredac[$i].INCEXT;
		echo '
  <tr class="'.($i %2 == 0 ? 'quest' : 'rep').'">
    <td style="width:180px;text-align:left;"><p>'.$dbdrtredac[$i].'</p></td>
	<td style="width:160px;text-align:left;"><p>'.$fonctions[$drtuser[42]].'</p></td>
    <td style="width:50px;text-align:center;">
      <a href="admin.php?lng='.$lng.'&amp;pg=attribdroits&amp;etape=2&amp;namedroits='.$dbdrtredac[$i].'"><img src="inc/img/files/edit.gif" alt="'.$admin[144].'" title="'.$admin[144].'" /></a>&nbsp;&nbsp;
      <a href="admin.php?lng='.$lng.'&amp;pg=gestredac&amp;del='.$dbdrtredac[$i].'"><img src="inc/img/files/sup.gif" alt="'.$admin[186].'" title="'.$admin[186].'" /></a>
    </td>
  </tr>';
  }
}
echo '
</table>
</div>';
btable();
include CHEMIN.'inc/bpage.inc';
?>
