<?php
/*******************************************************************************
 *   Admin maintenance
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'maintenance.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[11] == '') {
        $nomzone = $admin[817];
        include 'access.inc';
        exit();
    }
}

$regit = import('regit');

if ($regit == 1) {
    $serviz[31] = import('serviz31');
    $serviz[44] = import('serviz44');
    include 'inc/confupdt.inc';
}
include CONFIG;

if (is_file(CHEMIN.'skins/'.$page[14].'/confskin'.INCEXT)){
    include CHEMIN.'skins/'.$page[14].'/confskin'.INCEXT;
} else {
    include CHEMIN.'skins/no_skin/confskin'.INCEXT;
}

include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[811], '100%');

echo '
<p style="text-align:center;">'.ToHelp($lng, 'maintenance').$admin[812].'</p>
<hr />
<div style="width:560px; margin:auto;">
  <form name="conf4" action="admin.php?lng='.$lng.'&amp;pg=maintenance" method="post">
    <input type="hidden" name="regit" value="1" />
    <fieldset>
    <table style="margin:auto;width:98%;">
      <tr>
        <td colspan="2" style="text-align:center; padding:25px;font-weight:bold;">'.$admin[813].'</td>
      </tr>
      <tr>
        <td style="padding:10px;text-align:right;width:50%;">'.$admin[814].'</td>
        <td><input class="texte" type="text" name="serviz31" size="20" value="'.$userprefs[1].'" readonly="readonly" /></td>
      </tr>
      <tr>
        <td style="padding:10px;text-align:right;width:50%;">'.$admin[815].'</td>
        <td><input type="checkbox" name="serviz44" '.Checked($serviz[44]).' /></td>
      </tr>
    </table>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';

btable();
include CHEMIN.'inc/bpage.inc';
?>
