<?php
/*******************************************************************************
 *   .
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'passwd.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[9] == '') {
        $nomzone = $admin[12];
        include 'access.inc';
        exit();
    }
}

$rec   = import('rec');
$pass1 = import('pass1');
$pass2 = import('pass2');
$pass3 = import('pass3');

$rep = 0;
if ($rec == 1) {
    if ('admin' == $wri) {
        include 'mdp.php';
        if (md5($pass1) != $mdp && $mdp != '') {
            $rep = 1;
        }
        elseif ($pass2 != $pass3 || empty($pass2)) {
            $rep = 2;
        }
        else {
            $rep = 3;
			setcookie(ADM_COOKIE, crc32(md5($pass2)).CONNECTOR.'img'.CONNECTOR.'file'.CONNECTOR.'flash'.CONNECTOR.'img');
            $pass2 = md5($pass2);
            $txt = "<?php
\$mdp = \"$pass2\";
"; 
            WriteFullDB("mdp.php", $txt);
        }
    } else {
        $mdpcol = $drtuser[38];
        if (md5($pass1) != $mdpcol && $mdpcol != '') {
            $rep = 1;
        }
        elseif ($pass2 != $pass3 || empty($pass2)) {
            $rep = 2;
        }
        else {
			$pass2 = md5($pass2);
            $rep   = 3;
			setcookie(ADM_COOKIE, crc32(md5($pass2)).CONNECTOR.'img'.CONNECTOR.'file'.CONNECTOR.'flash'.CONNECTOR.'img');
            $filedroit = REDACREP.$wri.INCEXT;
            $mettre = "<?php
\$drtuser[0]  = \"".$drtuser[0]."\";  // Accès à config générale
\$drtuser[1]  = \"".$drtuser[1]."\";  // Accès à config site
\$drtuser[2]  = \"".$drtuser[2]."\";  // Accès à config accueil
\$drtuser[3]  = \"".$drtuser[3]."\";  // Accès à config section
\$drtuser[4]  = \"".$drtuser[4]."\";  // Accès à Config services
\$drtuser[5]  = \"".$drtuser[5]."\";  // Accès à Config boites
\$drtuser[6]  = \"".$drtuser[6]."\";  // Accès à Maintenance
\$drtuser[7]  = \"".$drtuser[7]."\";  // Accès à Archivage Forum
\$drtuser[8]  = \"".$drtuser[8]."\";  // Accès à Contrôle d'intégrité DB
\$drtuser[9]  = \"".$drtuser[9]."\";  // Accès à Mot de passe Collaborateur
\$drtuser[10] = \"".$drtuser[10]."\"; // Accès à Config zone membres
\$drtuser[11] = \"".$drtuser[11]."\"; // Accès à Travaux
\$drtuser[12] = \"".$drtuser[12]."\"; // Accès à Droits
\$drtuser[13] = \"".$drtuser[13]."\"; // Accès à Contact avancé
\$drtuser[14] = \"".$drtuser[14]."\"; // Accès à Nouvelles
\$drtuser[15] = \"".$drtuser[15]."\"; // Accès à Articles
\$drtuser[16] = \"".$drtuser[16]."\"; // Accès à Réactions Articles
\$drtuser[17] = \"".$drtuser[17]."\"; // Accès à Boîtes menus
\$drtuser[18] = \"".$drtuser[18]."\"; // Accès à Photos
\$drtuser[19] = \"".$drtuser[19]."\"; // Accès à Téléchargements
\$drtuser[20] = \"".$drtuser[20]."\"; // Accès à Liens
\$drtuser[21] = \"".$drtuser[21]."\"; // Accès à FAQ
\$drtuser[22] = \"".$drtuser[22]."\"; // Accès à Livre d'or
\$drtuser[23] = \"".$drtuser[23]."\"; // Accès à Forum
\$drtuser[24] = \"".$drtuser[24]."\"; // Accès à Config Forum
\$drtuser[25] = \"".$drtuser[25]."\"; // Accès à Sondage
\$drtuser[26] = \"".$drtuser[26]."\"; // Accès à Boites libres
\$drtuser[27] = \"".$drtuser[27]."\"; // Accès à Bannières
\$drtuser[28] = \"".$drtuser[28]."\"; // Accès à Citations
\$drtuser[29] = \"".$drtuser[29]."\"; // Accès à Menu icônes
\$drtuser[30] = \"".$drtuser[30]."\"; // Statut à afficher
\$drtuser[31] = \"".$drtuser[31]."\"; // Accès à Compteur
\$drtuser[32] = \"".$drtuser[32]."\"; // Accès à Statistiques
\$drtuser[33] = \"".$drtuser[33]."\"; // Accès à Newsletter
\$drtuser[34] = \"".$drtuser[34]."\"; // Accès à Nouvelles RSS
\$drtuser[35] = \"".$drtuser[35]."\"; // Accès à Logs
\$drtuser[36] = \"".$drtuser[36]."\"; // Accès à Fichiers
\$drtuser[37] = \"".$drtuser[37]."\"; // Accès à Agenda
\$drtuser[38] = \"".$drtuser[38]."\"; // Password
\$drtuser[39] = \"".$drtuser[39]."\"; // Accès à Blogs
\$drtuser[40] = \"".$drtuser[40]."\"; // Accès à Réactions Blogs
\$drtuser[41] = \"".$drtuser[41]."\"; // Accès à Blog RSS
\$drtuser[42] = \"".$drtuser[42]."\"; // Fonction
\$drtuser[43] = \"".$drtuser[43]."\"; // Accès à Config Style
\$drtuser[44] = \"".$drtuser[44]."\"; // Accès à Import
\$drtuser[45] = \"".$drtuser[45]."\"; // Accès à Sécurité
\$drtuser[46] = \"".$drtuser[46]."\"; // Accès à Mise à jour / Extension
\$drtuser[47] = \"".$drtuser[47]."\"; // Accès à Sauvegarde du site
\$drtuser[48] = \"".$drtuser[48]."\"; // Accès à Version de GuppY
\$drtuser[49] = \"".$drtuser[49]."\"; // Accès à Config Recherche
\$drtuser[50] = \"".$drtuser[50]."\"; // Accès à Réseaux sociaux
\$drtusersv[0] = \"".$drtusersv[0]."\"; // e-mail publication article
\$drtusersv[1] = \"".$drtusersv[1]."\"; // e-mail publication réaction article
\$drtusersv[2] = \"".$drtusersv[2]."\"; // e-mail publication nouvelle
\$drtusersv[3] = \"".$drtusersv[3]."\"; // e-mail publication blog
\$drtusersv[4] = \"".$drtusersv[4]."\"; // e-mail publication commentaire blog
\$drtusersv[5] = \"".$drtusersv[5]."\"; // e-mail publication livre d\'or
\$drtusersv[6] = \"".$drtusersv[6]."\"; // e-mail publication forum";
            foreach ($drtuserplg as $plg=>$val) {
                $mettre .= "
\$drtuserplg['$plg'] = \"$val\"; // Accès plugin $plg";
            }
            $mettre .='
';
            WriteFullDB($filedroit,$mettre);
        }
    }
}

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[116]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[116], '100%');

echo '
<p style="text-align:center;">'.ToHelp($lng, 'passwd').$admin[117].'</p>
<hr />
<div style="width:400px; margin:auto;">
  <p class="forum" style="text-align:left; padding:5px 20px;">'.('admin' == $wri ? $admin[12] : $admin[1022].' : '.$wri).'</p>
  <form name="newpwd" action="admin.php?lng='.$lng.'&amp;pg=passwd" method="post">
    <input type="hidden" name="rec" value="1" />
    <fieldset>
      <table>
        <tr>
          <td style="padding:4px;white-space:nowrap;"><b>'.$admin[118].'</b></td>
          <td style="padding:4px;white-space:nowrap;"><input class="texte" type="password" name="pass1" size="15" /></td>
        </tr>
        <tr>
          <td style="padding:4px;white-space:nowrap;"><b>'.$admin[119].'</b></td>
          <td style="padding:4px;white-space:nowrap;"><input class="texte" type="password" name="pass2" size="15" /></td>
        </tr>
        <tr>
          <td style="padding:4px;white-space:nowrap;"><b>'.$admin[120].'</b></td>
          <td style="padding:4px;white-space:nowrap;"><input class="texte" type="password" name="pass3" size="15" /></td>
        </tr>
      </table>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
	  <div style="float:left">'
  	    .$imggauche.'<button type="button" title="'.$admin[121].'" onclick="self.location.href=\'admin.php?lng='.$lng.'\'">'.$admin[121].'</button>
	  </div>
	  <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
	  <div style="clear:both"></div>
	</div>
  </form>
</div>
'.BeginJavascript().'document.newpwd.pass1.focus()'.EndJavascript();

switch ($rep) {
case 1 :
    echo BeginJavascript().'
alert("'.addslashes($admin[122]).'")'.EndJavascript();
    break;
case 2 :
    echo BeginJavascript().'
alert("'.addslashes($admin[123]).'")'.EndJavascript();
    break;
case 3 :
    echo BeginJavascript().'
alert("'.addslashes($admin[124]).'")'.EndJavascript();
    break;
}

btable();
include CHEMIN.'inc/bpage.inc' ;
?>
