<?php
/*******************************************************************************
 *   Admin Poll
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'poll.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[25] == '') {
        $nomzone = $admin[15];
        include 'access.inc';
        exit();
    }
}

$maxrep = 11; // Number of answers + 1
$couleurs = array(
    $admin[152],$admin[153],$admin[154],$admin[155],$admin[156],
    $admin[157],$admin[158],$admin[159],$admin[160],$admin[161]);

function ColorReturn($inp) {
    global $admin;
    if ($inp == $admin[152]) {
        $out = 'bleu';
    }
    elseif ($inp == $admin[153]) {
        $out = 'jaune';
    }
    elseif ($inp == $admin[154]) {
        $out = 'marron';
    }
    elseif ($inp == $admin[155]) {
        $out = 'or';
    }
    elseif ($inp == $admin[156]) {
        $out = 'orange';
    }
    elseif ($inp == $admin[157]) {
        $out = 'outremer';
    }
    elseif ($inp == $admin[158]) {
        $out = 'rose';
    }
    elseif ($inp == $admin[159]) {
        $out = 'rouge';
    }
    elseif ($inp == $admin[160]) {
    $out = 'vert';
    }
    else {
        $out = 'violet';
    }
    return $out;
}

function tagSelect($id) {
    global $couleurs, $commun, $admin;
    $com =  '
    <select name="c['.$id.']">';
    for ($x = 0; $x < count($couleurs); $x++) {
        if ($commun[$id][2] == 'bleu') {
            $out = $admin[152];
        }
        elseif ($commun[$id][2] == 'jaune') {
            $out = $admin[153];
        }
        elseif ($commun[$id][2] == 'marron') {
            $out = $admin[154];
        }
        elseif ($commun[$id][2] == 'or') {
            $out = $admin[155];
        }
        elseif ($commun[$id][2] == 'orange') {
            $out = $admin[156];
        }
        elseif ($commun[$id][2] == 'outremer') {
            $out = $admin[157];
        }
        elseif ($commun[$id][2] == 'rose') {
            $out = $admin[158];
        }
        elseif ($commun[$id][2] == 'rouge') {
            $out = $admin[159];
        }
        elseif ($commun[$id][2] == 'vert') {
            $out = $admin[160];
        }
        else {
            $out = $admin[161];
        }
        $com = $com.'
      <option value="'.$couleurs[$x].'"'.Selected($out == $couleurs[$x]).'>'.$couleurs[$x].'</option>';
    }
    $com = $com.'
    </select>';
    return $com;
}

$qp1 = import('qp1', 'POST', FALSE);
$qp2 = import('qp2', 'POST', FALSE);
$r   = import('r', 'POST', FALSE);
$s   = import('s', 'POST', FALSE);
$c   = import('c', 'POST', FALSE);
$v   = import('v', 'POST', FALSE);

if (!empty($qp1) || !empty($qp2)) {
    $mettre[0][0] = stripslashes($qp1);
    $mettre[0][1] = stripslashes($qp2);
    $j = 0;
    for ($i = 1; $i < count($r)+1; $i++) {
        if (!empty($r[$i])) {
            $j++;
            $mettre[$j][0] = stripSlashes(RemoveConnector($r[$i]));
            $mettre[$j][1] = stripSlashes(RemoveConnector($s[$i]));
            $mettre[$j][2] = ColorReturn($c[$i]);
            $mettre[$j][3] = $v[$i];
        }
    }
    WriteDBFields(DBPOLL,$mettre);
    WriteFullDB(DBIPPOLL,"");
}

$commun = PollCalculation();
$commun = array_pad($commun, $maxrep, array('', '', '', 0));

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[145]);
include CHEMIN.'inc/hpage.inc' ;
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[145], '100%');

echo '
<p style="text-align:center;">'.ToHelp($lng, 'poll').'
<div style="text-align:center;">'.$admin[146].'</div>
  <hr />
  <br />
  <form action="admin.php?lng='.$lng.'&amp;pg=poll" method="post">  
    <div style="width:560px; margin:auto;">
    <fieldset>
      <table style="margin:auto;">
        <tr>
          <td colspan="5" style="text-align:center;">'.$admin[147].' 
		    <img src="'.$flag1.'" style="vertical-align:middle;width:24px;height:16px;" alt="'.$flag1.'" /> 
			<input class="texte" type="text" name="qp1" value="'.(!empty($commun[0][0]) ? $commun[0][0] : '').'" size="40" />
		  </td>
        </tr>';
if ($lang[1] != '') {
    echo '
        <tr>
          <td colspan="5" style="text-align:center;">'.$admin[147].' 
		    <img src="'.$flag2.'" style="vertical-align:middle;width:24px;height:16px;" alt="'.$flag2.'" /> 
			<input class="texte" type="text" name="qp2" value="'.(!empty($commun[0][1]) ? $commun[0][1] : '').'" size="40" />
		  </td>
        </tr>';
}

echo '
        <tr>
          <td colspan="5" style="text-align:center;"><hr /></td>
        </tr>
        <tr>
          <td style="text-align:center;">'.$admin[151].'</td><td style="text-align:center;">'.$admin[148].'</td>
          <td style="text-align:center;">'.$admin[150].'</td><td colspan="2" style="text-align:center;">'.$admin[149].'</td>
        </tr>';
for ($i = 1; $i < $maxrep; $i++) {
    echo '
        <tr>
          <td style="text-align:center;">'.$i.'</td>
          <td style="text-align:center;"><input class="texte" type="text" name="v['.$i.']" size="1" value="'.$commun[$i][3].'" /></td>
          <td style="text-align:center;">'.tagSelect($i).'</td>
          <td style="text-align:center;">
		    <img src="'.$flag1.'" style="vertical-align:middle;width:24px;height:16px;padding-left:10px;" alt="'.$flag1.'" /> 
		    <input class="texte" type="text" name="r['.$i.']" size="15" value="'.(!empty($commun[$i][0]) ? $commun[$i][0] : '').'" />
		  </td>';
    if ($lang[1] != '') {
        echo '
          <td style="text-align:center;"><img src="'.$flag2.'" style="vertical-align:middle;width:24px;height:16px;padding-left:10px;" alt="'.$flag2.'" /> 
		    <input class="texte" type="text" name="s['.$i.']" size="15" value="'.(!empty($commun[$i][1]) ? $commun[$i][1] : '').'" />
		  </td>
        </tr>';
    } else {
        echo '
        </tr>';
    }
}

echo '
      </table>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
	  <div style="float:left;margin-top:6px;">
		<a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=config6&amp;selskin='.$page[14].'">'.$admin[346].'
		  <img src="'.CHEMIN.'admin/inc/img/general/cfgboites.png" alt="'.$admin[346].'" title="'.$admin[346].'" style="width:11px;height:11px;vertical-align:top;" />
		</a>
	  </div>
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </div>
</form>';

btable();
include CHEMIN.'inc/bpage.inc';
?>
