<?php
/*******************************************************************************
 *   Admin Statistiques
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'statscfg.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[32] == '') {
        $nomzone = $admin[212];
        include 'access.inc';
        exit();
    }
}
header("Pragma: no-cache");

if (isset($_POST['statscfg'])) {
    $statscfg['Y'] = isset($_POST['statscfg']['Y']) ? 'on' : '';
    $statscfg['M'] = isset($_POST['statscfg']['M']) ? 'on' : '';
    $statscfg['D'] = isset($_POST['statscfg']['D']) ? 'on' : '';
    $statscfg['NBY'] = $_POST['statscfg']['NBY'];
    if (!is_numeric($statscfg['NBY']) && $statscfg['NBY'] < 0) $statscfg['NBY'] = 1;
    include 'confupdt.inc';
}

include CHEMIN.'inc/statcalc.inc';
$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[980]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[980], '100%');

echo '
<p style="text-align:center;">'.ToHelp($lng, 'statscfg').$admin[981].'</p>
<hr />';


echo '
<div style="max-width:560px; margin:auto;">
  <form name="statraz" action="admin.php?lng='.$lng.'&amp;pg=statscfg" method="post">
	<fieldset style="position:relative;">'.legend($admin[974]).'<br />
	  <p style="margin-bottom:6px;">
		<span style="margin-left:10%">'.$admin[982].'</span>
		<span style="position:absolute;left:70%"><input type="checkbox" name="statscfg[Y]"'.Checked($statscfg['Y']).' /></span>
	  </p>
	  <p style="margin-bottom:6px;">
		<span style="margin-left:10%">'.$admin[983].'</span>
		<span style="position:absolute;left:70%"><input type="checkbox" name="statscfg[M]"'.Checked($statscfg['M']).' /></span>
	  </p>
	  <p style="margin-bottom:6px;">
		<span style="margin-left:10%">'.$admin[984].'</span>
		<span style="position:absolute;left:70%"><input type="checkbox" name="statscfg[D]"'.Checked($statscfg['D']).' /></span>
	  </p>
	  <p style="margin-bottom:18px;">
		<span style="margin-left:10%">'.$admin[985].'</span>
		<span style="position:absolute;left:70%">
		  <select name="statscfg[NBY]">
			<option value="1"'.Selected(1 == $statscfg['NBY']).'>1</option>
			<option value="2"'.Selected(2 == $statscfg['NBY']).'>2</option>
			<option value="3"'.Selected(3 == $statscfg['NBY']).'>3</option>
			<option value="4"'.Selected(4 == $statscfg['NBY']).'>4</option>
			<option value="5"'.Selected(5 == $statscfg['NBY']).'>5</option>
		  </select>
		</span>
	  </p>
	</fieldset>
	<div class="quest" style="padding:2px 20px;">
	  <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
	  <div style="clear:both"></div>
	</div>
  </form>
</div>';

btable();
include CHEMIN.'inc/bpage.inc';
?>
