<?php
/*******************************************************************************
 *   Forum My Publications
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

define('PATH_PGEDITOR', 'inc/pgeditor/');
define('PATH_CONFIG_PGEDITOR','inc/config_pgeditor_guppy/');
include CHEMIN.PATH_PGEDITOR.'pgeditor.php';   
include CHEMIN.PATH_PGEDITOR.'syntaxcolor/syntaxcolor.php';

if ($serviz[13] != 'on' || $serviz[18] != 'on') {
    exit($web[143]);
}

$id = import('id');

$dbw    = ReadDBFields(DBTHREAD);
$dbwork = array();
for ($i = 0; $i < count($dbw); $i++) {
    if ($dbw[$i][4] == $userprefs[1]) {
		$cat = strtoupper(substr($dbw[$i][8], 0, 2)) == 'PR' ? substr($dbw[$i][8], 2) : $dbw[$i][8];
		$dbw[$i][6] = getThreadName($dbw[$i][1]);
		$dbw[$i][7] = getForumCatName($cat);
        $dbwork[] = $dbw[$i];
    }
}
sort($dbwork);
$topmess = $web[616];
if ($page[9] != "") {
    $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}
echo '<!DOCTYPE html>
<html>
<head>
<title>'.$web[409].'</title>
<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'">
<meta name="Robots" content="None">';
if(file_exists($meskin."style.css")) {
    echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css">';
}
else {
    echo '
<link type="text/css" rel="stylesheet" href="no_skin/style.css">';
}
if (is_file(DBRULES)) {
    include DBRULES;
}
echo '
</head>
<body style="margin:0px; padding:0px; background-image:none; border:0;" class="tblbox">
<br />
<div class="bord" style="padding:5px;margin:2px;text-align:left;">';

htable($topmess, "100%");
if (empty($id)) {
    $id = 1;
}
if (!empty($dbwork)) {
    for ($i = $serviz[20] * ($id - 1); $i < Min($serviz[20] * $id, count($dbwork)); $i++) {
        ReadDoc($dbwork[$i][3]);
        echo '
<table style="width:100%;">
  <tr>
    <td class="bord">
	  <table style="width:100%;">
	    <tr>
          <td class="quest">
		    <b>'.$dbwork[$i][7].'</b><br />'.$dbwork[$i][6].($forum[3] == 'on' ? ' - ' : '<br />').$web[68].$fielda2;
            $fieldc1 = colorCode($fieldc1);
            echo '
            '.$web[7].' '.FormatDate($creadate).'
          </td>
        </tr>
        <tr>
          <td class="rep">'.$fieldc1.'</td>
        </tr>
      </table>
    </td>
  </tr>
</table>';
    }
}
if (count($dbwork) > $serviz[20]) {
    echo '
<hr />'.GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-8-': 'formyposts.php?lng='.$lng.'&amp;id='), count($dbwork), $id, $serviz[20]);
}
btable();
echo '
</div>
<p style="text-align:right;margin:2px;"><a class="box" href="javascript:window.close();">'.$web[57].'</a></p>
</body>
</html>';
?>
