<?php
/*******************************************************************************
 *   Forum Topics Archive
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';
include 'inc/funcarch.php';

if ($serviz[13] != 'on' || $serviz[18] != 'on') {
    exit($web[143]);
}

$dbw = ReadDBFields(DBFORUMCAT);
$dbwork = array();
for ($i = 0; $i < count($dbw); $i++) {
    if (isForumAccessGranted($dbw[$i][0])) $dbwork[] = $dbw[$i];
}
$dbworkcat = ReadDBFields(DBFORUMARCH);
for ($i = 0; $i < count($dbwork); $i++) {
	$prcat = explode(',', $dbwork[$i][0]);
	$dbwork[$i][0] = $prcat[0];
	$dbwork[$i][3] = 0;
	$dbwork[$i][4] = 0;
	for ($j = 0; $j < count($dbworkcat); $j++) {
		if ($dbworkcat[$j][12] == $dbwork[$i][0]) {
			$dbwork[$i][3]++;
			$dbwork[$i][4] = $dbwork[$i][4] + $dbworkcat[$j][7] + 1;
			if (empty($dbwork[$i][5])) {
				if (!empty($dbworkcat[$j][8])) {
					$dbwork[$i][5] = $dbworkcat[$j][8];
					if ($dbworkcat[$j][11] != 'on') {
						$dbwork[$i][6] = $dbworkcat[$j][9];
					}
					else {
						$dbwork[$i][6] = '';
					}
					$dbwork[$i][7] = $dbworkcat[$j][0];
				}
				else {
					$dbwork[$i][5] = $dbworkcat[$j][3];
					if ($dbworkcat[$j][10] != 'on') {
						$dbwork[$i][6] = $dbworkcat[$j][4];
					}
					else {
						$dbwork[$i][6] = '';
					}
					$dbwork[$i][7] = $dbworkcat[$j][0];
				}
			}
		}
	}
}
unset($dbworkcat);
$dbwork = array_values($dbwork);
$k = $lng == $lang[0] ? 0 : 1;
$topmess = $web[226];
if ($page[9] != "") {
    $topmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}

include 'inc/hpage.inc';
htable($topmess, "100%");
$archdate = ReadCounter(DBFORUMARCHDATE);
if ($archdate > 0) {
    echo '
<p style="text-align:center;">'.$web[225].' '.FormatDate($archdate).'<br />
'.$web[224].' <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5]: $site['FRT'].'.php?lng='.$lng).'">'.$web[223].
'&nbsp;<img src="'.$reptheme.'/ed_copy.png" style="vertical-align:-4px;" alt="" /></a>.<br /><br /></p>';
}
if (!empty($dbwork)) {
    echo '
<table class="bord" style="margin:auto;width:98%;">
  <tr style="text-align:center;">
    <td class="forum">'.$web[130].'</td>
    <td class="forum">'.$web[131].'</td>
    <td class="forum">'.$web[132].'</td>
    <td class="forum">'.$web[133].'</td>
  </tr>';
    for ($i = 0; $i < count($dbwork); $i++) {
		$acces = 'ok';
		if (preg_match('/^pr/i', $dbwork[$i][0])) {
			$acces = 'no';
			if ($userprefs[1] != '') {
			  include_once CHEMIN.'inc/func_groups.php';
			  if (CheckGroup($dbwork[$i][0], $userprefs[1])) $acces = 'ok';
			}
		}
		if ($acces == 'ok') {
			echo '
  <tr style="text-align:center;">
    <td class="quest"><a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-33-'.getForumCatId($dbwork[$i][0]): 'forumarch.php?lng='.$lng.GetOptionnalArg('cat', getForumCatId($dbwork[$i][0]))).'"><b>'.$dbwork[$i][1+$k].'</b></a></td>
    <td class="quest">'.$dbwork[$i][3].'</td>
    <td class="quest">'.$dbwork[$i][4].'</td>
    <td class="quest">';
			if (isset($dbwork[$i][6]) && $dbwork[$i][6] != "") {
				echo $web[6].' '.displayWriteEmail('fortopicarch'.$i, $dbwork[$i][5], $dbwork[$i][6]);
			}
			elseif (isset($dbwork[$i][5]) && $dbwork[$i][5] != '') {
				echo $web[6].' <b>'.$dbwork[$i][5].'</b>';
			}
			if (isset($dbwork[$i][7]) && $dbwork[$i][7] != '') {
				echo '<br />'.$web[7].' '.FormatDate($dbwork[$i][7]);
			}
			echo '
    </td>
  </tr>';
		}
	}
    echo '
</table>';
}
btable();
include 'inc/bpage.inc';
?>
