<?php
/*******************************************************************************
 *   Guestbook
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

if ($serviz[12] != 'on') {
    exit($web[143]);
}

if (!empty($pg)) {
    if (count(SelectDBFields(TYP_GUESTBK, 'a', $pg)) != 0) {
        $dbwork = SelectDBFields(TYP_GUESTBK, 'a', $pg);
    } else {
        $dbwork = array();
        header('HTTP/1.0 404 Not Found');
    }
} else {
    $dbwork = SelectDBFields(TYP_GUESTBK, 'a', '');
}
@rsort($dbwork);

$i = $lng == $lang[0] ? 0 : 10;
$topmess = strip_tags(getLabel($nom[$i+9]));
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/guestbook.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}
include 'inc/hpage.inc';
htable($topmess, '100%');
echo '
<br />';
if ($members[0] == 'on' && $userprefs[1] == '' && $members[12] == 'on') {
    echo '
<div style="text-align:center;margin:0 0 20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
<p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
</div>';
} else {
    echo '
<form action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-'.TYP_GUESTBK: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_GUESTBK).'" method="post">
  <p style="text-align:center;">'.SubmitButton($web[41]).'</p>
</form>
<hr />';
    if (empty($id)) {
        $id = 1;
    }
    if (!empty($dbwork)) {
        if (3 == abs($prt)) {
            $id = 1;
            $serviz[7] = 99999;
        }
        for ($i = $serviz[7]*($id-1); $i < Min($serviz[7]*$id, count($dbwork)); $i++) {
            ReadDoc($dbwork[$i][1]);
			$img = getNewUpdateDoc($creadate, $moddate, $serviz[141]);
            echo '
<table class="bord" style="text-align:center;width:98%;">
  <tr>
    <td style="width:12%" class="forum">'.$web[39].$fielda1.'</td>
    <td class="quest">'.$web[6].' ';
            if ($fieldd1 != 'on') {
                echo displayWriteEmail('guest'.$i, $author, $email);
            } else {
            echo '
      <b>'.$author.'</b>';
            }
            echo '
      '.$web[7].' '.FormatDate($creadate);
            if ($fieldb1 != '') {
                echo '<br />
      <img src="'.$reptheme.'/gbkurl.png" style="width:17px;height:17px;vertical-align:middle;" alt="" />&nbsp;&nbsp;<a href="'.$fieldb1.'" target="_blank">'.$fieldb1.'</a>';
            }
            echo '&nbsp;'.$img.'
    </td>
  </tr>
  <tr>
    <td colspan="2" class="rep">'.$fieldc1;
            if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[22] == "on")) {
                echo '
      <div style="text-align:right;">
        <a href="admin/admin.php?lng='.$lng.'&amp;pg=guestbk&amp;form=2&amp;id='.$dbwork[$i][1].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'"/></a>
        <a href="admin/admin.php?lng='.$lng.'&amp;pg=guestbk&amp;act=i&amp;id='.$dbwork[$i][1].'"><img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'"/></a>
        <a href="admin/admin.php?lng='.$lng.'&amp;pg=guestbk&amp;del='.$dbwork[$i][1].'"><img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'"/></a>
      </div>';
            }
            echo '
    </td>
  </tr>
</table>';
            if ($i < min($serviz[7]*$id, count($dbwork))-1) {
                echo '
<hr />';
            }
        }
    } else if (!empty($pg)) {
        echo '
<p>'.$web[36].'</p>';
    }
    echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[7].'-2'.'-': $site['GB'].'.php?lng='.$lng.'&amp;id='), count($dbwork), $id, $serviz[7]);
}
btable();
include 'inc/bpage.inc';
?>
