<?php
/*******************************************************************************
 *   Blog comment box
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'boxreblog.inc')) {
    header('location:../index.php');
    die();
}

if ($serviz[57] == "") {
    exit($web[143]);
}

$react  = import('react');
$cat    = import('cat');

$dbwork = array();
if (!empty($react)) {
    $dbwork[0] = $react;
}
elseif (!empty($pg)) {
    $dbreaction = ReadDBFields(DBREBLOG);
    for ($i = 0; $i < count($dbreaction); $i++) {
        if ($dbreaction[$i][1] == $pg && isAccessGranted($dbreaction[$i][6])) {
            $dbwork[] = $dbreaction[$i][0];
        }
    }
}
@sort($dbwork);

echo '
<div class="titrebox" style="width:auto">'.$web[407].'</div>
<br />
<div style="width:auto;margin-bottom:1px;">
  <form name="formreblog1" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-4-'.TYP_REBLOG.'-'.$pg: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_REBLOG.'&amp;pg='.$pg).'" method="post">
    <p style="text-align:center;">'.SubmitButton($web[380]).'</p>
  </form>';
if (empty($id)) {
    $id = 1;
}
if (!empty($dbwork)) {
    if (3 == abs($prt)) {
        $id = 1;
        $serviz[30] = 99999;
    }
    echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-45-'.$pg.'-': $site['BL'].'.php?lng='.$lng.'&amp;pg='.$pg.'&amp;id='), count($dbwork), $id, $serviz[30]);
    for ($i = $serviz[30]*($id-1); $i < Min($serviz[30]*$id, count($dbwork)); $i++) {
        ReadDoc($dbwork[$i]);
        if ($status == 'a') {
            echo '
  <div class="bord" style="margin-top:10px;position:relative;text-align:left;">
    <p style="padding:4px 4px 0px;"><b>'.$web[185].$fielda1.'</b>&nbsp; - &nbsp;'.$web[6].' ';
            if ($fieldd1 != 'on') {
                echo displayWriteEmail('reblog'.$i, $author, $email);
            }
            else {
                echo '
      <b>'.$author.'</b> ';
            }
            echo '
      '.$web[7].' '.FormatDate($creadate).'
    </p>
    <div class="rep">';
            $fieldc1 = colorCode($fieldc1); /// Coloration syntaxique
            echo '
      '.$fieldc1.'
    </div>
  </div>';
            if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $serviz[57] == "on" && $drtuser[40] == "on")) {
                echo '
  <div style="text-align:right;">
    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=reblog&amp;form=2&amp;id='.$dbwork[$i].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" /></a>
    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=reblog&amp;act=i&amp;id='.$dbwork[$i].'"><img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'" /></a>
    <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=reblog&amp;del='.$dbwork[$i].'"><img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" /></a>
  </div>';
            }
        }
    }
    echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-45-'.$pg.'-': $site['BL'].'.php?lng='.$lng.'&amp;pg='.$pg.'&amp;id='), count($dbwork), $id, $serviz[30]);
    if (count($dbwork) > 1) {
        echo '
  <form name="formreblog2" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-4'.TYP_REBLOG.'-'.$pg: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_REBLOG.'&amp;pg='.$pg).'" method="post">
    <p style="text-align:center;">'.SubmitButton($web[380]).'</p>
  </form>';
    }
}
else {
    echo '
  <p style="text-align:center;">'.$web[186].'</p>';
}
echo '
</div>';
?>
