<?php
/*******************************************************************************
 *   Site Index Top of Page
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'hpage.inc')) {
    header('location:../index.php');
    die();
}

$obgo = FALSE;
if (($site[26] == 'on')) {
    if (!strstr($endurl, 'admin/') && !strstr($endurl, $site['PG'].'.php')) {
        if (extension_loaded('zlib') > 0) {
            if (strstr($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) {
                $obgo = ob_start();
            }
        }
    }
}

require_once 'mobile_detect.php';
$detect = new Mobile_Detect;

$dispAdminOnly = preg_match('!/admin!', $endurl) == 1 ? true : false;
$screen_choice1 = $page[28] == '' ? $screen_choice : $page[28];
$style = '';
if ($screen_choice1 == 'fix') {
	$style = 'auto';
}
elseif ($screen_choice1 != '') {
	$style = $screen_choice1;
}
else {
	if (isset($_COOKIE[STYLE_COOKIE])) {
		$style = $_COOKIE[STYLE_COOKIE];
	}
	else {
		$style='auto';
	}
	if (isset($_POST['style'])) {
		setcookie(STYLE_COOKIE, $_POST['style'], time()+(365*24*3600));
		$style = $_POST['style'];
	}
}
$style = $dispAdminOnly ? '1024' : $style;

$toppage = stripslashes($site[($lang[0] == $lng ? 0 : 11)]);
if (($page[22]) && (!empty($topmess))) {
    $toppage .= ' - '.strip_tags($topmess);
}
if ($serviz[32] == 'on' && $serviz[42] == 'on' && FileDBExist(CHEMIN.'admin/redac/'.$userprefs[1].INCEXT)) {
    include CHEMIN.'admin/redac/'.$userprefs[1].INCEXT;
}

echo '<!DOCTYPE html>
<html lang="'.$site[15].'" xmlns="http://www.w3.org/1999/xhtml">';

	///////////////////////////////////////////////////////////////////////////////////
	//                                                                               //
	//                GuppY is protected by the CeCILL FREE LICENSE.                 //
	//  REMOVING OR MODIFYING THE FOLLOWING COPYRIGHT NOTICE IS STRICTLY FORBIDDEN.  //
	//                                                                               //
	///////////////////////////////////////////////////////////////////////////////////

echo '

  <!--[  GuppY v'.MP_VERSION.' CeCILL Copyright (C) '.MP_COPYRIGHT.' by Laurent Duveau - http://www.freeguppy.org/  ]-->

<head>
<meta http-equiv="content-type" content="text/html; charset='.$charset.'" />
<meta charset="'.$charset.'" />

<title>'.$toppage.'</title>

<meta name="description" lang="'.$site[15].'" content="'.$site[1].'" />
<meta name="rating" content="'.$site[12].'" />
<meta name="generator" content="GuppY" />
<meta name="author" content="'.$site[9].'" />
<meta name="keywords" lang="'.$site[15].'" content="'.$site[2].'" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-status-bar-style" content="black">';
if (empty($prt) && preg_match('!admin/|'.$site['PG'].'|newsrss|error!', $endurl) !== true) {
    echo '
<meta name="robots" content="'.$site[7].'" />
<meta name="revisit-after" content="'.$site[8].'" />';
}
else {
    echo '
<meta name="robots" content="NONE" />';
}
if (!empty($site[11])) {
    echo '
<meta name="reply-to" content="'.$site[11].'" />';
}
echo '
<link rel="shortcut icon" href="'.$site[3].'favicon.ico">';
if ($serviz[16] == 'on') {
	echo '
<link rel="alternate" type="application/rss+xml" title="'.$site[($lang[0] == $lng ? 0 : 11)].' : '.(($lng == $lang[0])? strip_tags(getLabel($nom[7])): strip_tags(getLabel($nom[17]))).'" hreflang="'.$lng.'" href="'.$site[3].sprintf(RSSNEWS, $lng).'">';
}
if ($serviz[54] == 'on') {
	echo '
<link rel="alternate" type="application/rss+xml" title="'.$site[($lang[0] == $lng ? 0 : 11)].' : '.(($lng == $lang[0])? strip_tags(getLabel($nom[42])): strip_tags(getLabel($nom[43]))).'" hreflang="'.$lng.'" href="'.$site[3].sprintf(RSSBLOG, $lng).'">';
}
if ($serviz[60] == "on") {
	echo '
<link rel="alternate" type="application/rss+xml" title="'.$site[($lang[0] == $lng ? 0 : 11)].' : '.$web[169].'" hreflang="'.$lng.'" href="'.$site[3].sprintf(RSSART, $lng).'">';
}
if ($serviz[103] == "on") {
	echo '
<link rel="alternate" type="application/rss+xml" title="'.$site[($lang[0] == $lng ? 0 : 11)].' : '.$web[591].'" hreflang="'.$lng.'" href="'.$site[3].sprintf(RSSALL, $lng).'">';
}

if ($dispAdminOnly && file_exists(CHEMIN.'admin/admstyle.css')) {
    echo '
<link type="text/css" rel="stylesheet" href="'.CHEMIN.'admin/admstyle.css">';
}
elseif (file_exists($meskin."style.css")) {
    echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css">';
}
else {
    echo '
<link type="text/css" rel="stylesheet" href="no_skin/style.css">';
}
if ($detect->isMobile() && file_exists($meskin."mobstyle.css")) {
    echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'mobstyle.css">';
}
if ($detect->isTablet() && file_exists($meskin."tabstyle.css")) {
    echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'tabstyle.css">';
}

if ($dispAdminOnly && file_exists(CHEMIN.'admin/admjqstyle.css')) {
    echo '
<link type="text/css" rel="stylesheet" href="'.CHEMIN.'admin/admjqstyle.css">';
}
elseif (file_exists($meskin."jqstyle.css")) {
    echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'jqstyle.css">';
}
else {
    echo '
<link type="text/css" rel="stylesheet" href="no_skin/jqstyle.css">';
}

if (file_exists(CHEMIN.'inc/'.$style.'.css')) {
    echo '
<style type="text/css" media="screen">
    @import url('.CHEMIN.'inc/'.$style.'.css);
</style>';
}

echo '
<style type="text/css" media="print">
    @import url('.CHEMIN.'inc/print.css);
</style>';

$dir = CHEMIN.'inc/csshead';
if (is_dir($dir)) {
    $allcss = scandir($dir);
    if (FALSE !== $allcss) {
        sort($allcss);
        foreach ($allcss as $onecss) {
            $info = pathinfo($onecss);
            if (isset($info['extension']) && $info['extension'] == 'css')
                echo '
    <link type="text/css" rel="stylesheet" href="'.$dir.'/'.$onecss.'" />';
        }
        unset($allcss, $onecss);
    }
}

if ($page[20] != '') {
	echo JavascriptFile(CHEMIN.'inc/rollover.js');
}

echo BeginJavascript().'
var charset = \''.$charset.'\';
var site0 = \''.$site[($lang[0] == $lng ? 0 : 11)].'\';
var site3 = \''.$site[3].'\';
var sValue = screen.width + \'||\' + screen.height + \'||\' + screen.availWidth + \'||\' + screen.availHeight;
var today = new Date(), expires = new Date();
expires.setTime(today.getTime() + (365*24*60*60*1000));
document.cookie = "'.SCREEN_COOKIE.'" + "=" + encodeURIComponent(sValue) + ";expires=" + expires.toGMTString();
'.EndJavascript().'
'.JavascriptFile(CHEMIN.'inc/hpage.js').'
'.JavascriptFile(CHEMIN.'inc/jquery-min.js').'
'.JavascriptFile(CHEMIN.'inc/jquery-migrate-min.js');

$scrWidth = $scrHeight = $scrAWidth = $scrAHeight = 0;
if (!empty($_COOKIE[SCREEN_COOKIE])) {
	$scrValues  = explode(CONNECTOR, $_COOKIE[SCREEN_COOKIE]);
	$scrWidth   = $scrValues[0];
	$scrHeight  = $scrValues[1];
	$scrAWidth  = $scrValues[2];
	$scrAHeight = $scrValues[3];
}

echo JavascriptFile(CHEMIN.'inc/jqscript.js');

$loader = '';
$unloader = '';
if (!empty($page[13])) {
    $loader .= 'hideLoadingPage();';
}

$dir = CHEMIN.'inc/jshead';
if (is_dir($dir)) {
    $alljs = scandir($dir);
    if (FALSE !== $alljs) {
  - 
        sort($alljs);
        foreach ($alljs as $onejs) {
            $info = pathinfo($onejs);
            if (isset($info['extension']) && $info['extension'] == 'js')
				echo '
<script type="text/javascript" src="'.$dir.'/'.$onejs.'"></script>';
        }
        unset($alljs, $onejs);
    }
}

if (is_dir(CHEMIN.'inc/jqhead')) {
    $hd = opendir(CHEMIN.'inc/jqhead');
    while ($file = readdir($hd)) {
        if (1 == preg_match('!^[^_].*(\.js|\.js\.php)$!', $file)) {
			include CHEMIN.'inc/jqhead/'.$file;
        }
    }
	closedir($hd);
}

echo $headinc;
if (isset($prt)) {
    switch ($prt) {
    case -1 :
    case -2 :
    case -3 :
		echo '
<style type="text/css" media="screen">
    @import url('.CHEMIN.'inc/preview.css);
</style>';
        break;
    case 1 :
    case 2 :
    case 3 :
		echo '
<style type="text/css" media="screen">
    @import url('.CHEMIN.'inc/preview.css);
</style>';
        echo BeginJavascript().'
window.print();'.EndJavascript();
        break;
    }
}

if ($serviz[100] == '2') {
    include_once CRYPTREP.'cryptotexte.php';
}
if ($serviz[100] == '3') {
    include_once CRYPTREP.'cryptoseltexte.php';
}

if ($dispAdminOnly)
	echo '
<style type="text/css">
html { /*  document */
  font: 12px Arial, Helvetica, sans-serif;
  color: inherit;
  background: #7F7F7F;
}
body { /*  corps du document */
  margin: 0;
  font: 12px Arial, Helvetica, sans-serif;
  color: inherit;
  background: #7F7F7F;
}    
</style>';
echo '
</head>
<body'.
    (!empty($loader)  ? ' onload="'.$loader.'"' : '').
    (!empty($unloader) ? ' onunload="'.$unloader.'"' : '').'>';
echo '
<div id="page">';
if ($page[7] == 'on') {
	echo '
  <noscript>
	<div id="noscriptWarning">'.$web[646].'</div>
  </noscript>';
}
echo '
  <div id="header">
';

if ($show_progbar) {
    // Votre contribution est en cours de traitement. Merci de patienter...
    echo '
    <div id="mess" class="forum" style="z-index:50; position: absolute; left: 33%; top: 360px; width: 300px; padding: 20px; border: 4px inset;">
      <p style="text-align:center;">
        <strong>'.$web[220].'</strong>
        <br /><br />
        <img src="'.CHEMIN.'inc/img/progbar/'.$site[28].'" alt="" />
      </p>
    </div>
';
}

// php or html scripts located in directory inc/inchead are automatically include at the top of the page
if (is_dir(CHEMIN.'inc/inchead')) { 
	$hd = opendir(CHEMIN.'inc/inchead');
	while ($file = readdir($hd)) { 
        if (1 == preg_match('!^[^_].*(\.inc|\.inc\.php)$!', $file)) {
			include CHEMIN.'inc/inchead/'.$file;
		}
	}
}

if ($serviz[44] == "on") {
    // Site en travaux
    echo '
    <div id="work" class="notice" style="padding:10px; border:3px solid red; text-align:center; font-weight:bold; font-size:larger;">
      ATTENTION : site en travaux - CAUTION: work in progress
    </div>
';
}

if (!empty($page[13])) {
    // Page en cours de chargement
    echo '
    <div id="hidepage" style="position: absolute; left: 20%; top: 28px; width: 240px; padding: 5px; border: 1px solid; background-color: #EEEEFF">
      <p style="text-align:center;">
        <strong>'.$web[174].'</strong>
        <br /><br />
        <img src="'.CHEMIN.'inc/img/progbar/'.$page[13].'" alt=" " />
      </p>
    </div>
';
}

if ($screen_choice1 == "" && !$dispAdminOnly) {
    $varget = '';
	  while (list($var, $val) = each($_GET)) $varget .= '&'.$var.'='.strip_tags($val);
		$varget = (!empty($varget)) ? '?'.substr($varget, 1): '';
    echo '
    <div id="screen_choice" style="display: block; cursor:pointer;text-align:center;margin:auto;">
      <form name="ustyle" method="post" action="'.$_SERVER['PHP_SELF'].$varget.'">';
    $screen_icon = $screen_icon != '' ? $meskin.$screen_icon : $reptheme.'/screen.png';
    if ($style == 'auto') {
        echo '
        <input type="hidden" name="style" value="1024" />
        <input type="image" src="'.$screen_icon.'" alt="[Full]->1024px" title="[Full]->1024px" />';
    }
    else {
        echo '
        <input type="hidden" name="style" value="auto" />
        <input type="image" src="'.$screen_icon.'" alt="[1024px]->Full" title="[1024px]->Full" />';
    }
    echo '
      </form>
    </div>';
}
echo '
  </div>
  <a id="top"></a>
';

$bccount = 0;
$wposbox = array();
foreach ($templates as $keyconf=>$valueconf) {
	foreach (array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $key) {
		foreach ($xposbox[$keyconf][BOX_TOP][$key] as $i=>$value) {
			$args  = '';
			if (!empty($value)) {
				$pos   = strrpos($value, 'W');
				$args  = $pos === false ? '' : substr($value, $pos + 1);
				$value = $pos === false ? $value : substr($value, 0, $pos);
				$value = substr($value, -1) == '|' ? substr($value, 0, -2) : $value;			
			}
			$xposbox[$keyconf][BOX_TOP][$key][$i] = $value;
			$wposbox[$keyconf][BOX_TOP][$key][$i] = $args;
		}
		foreach ($xposbox[$keyconf][BOX_BOTTOM][$key] as $i=>$value) {
			$args  = '';
			if (!empty($value)) {
				$pos   = strrpos($value, 'W');
				$args  = $pos === false ? '' : substr($value, $pos + 1);
				$value = $pos === false ? $value : substr($value, 0, $pos);
				$value = substr($value, -1) == '|' ? substr($value, 0, -2) : $value;
			}
			$xposbox[$keyconf][BOX_BOTTOM][$key][$i] = $value;
			$wposbox[$keyconf][BOX_BOTTOM][$key][$i] = $args;
		}
	}
}
foreach (array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $key) {
	foreach ($xposbox[BOX_EDITO][$key] as $i=>$value) {
		$args  = '';
		if (!empty($value)) {
			$pos   = strrpos($value, 'W');
			$args  = $pos === false ? '' : substr($value, $pos + 1);
			$value = $pos === false ? $value : substr($value, 0, $pos);
			$value = substr($value, -1) == '|' ? substr($value, 0, -2) : $value;
		}
		$xposbox[BOX_EDITO][$key][$i] = $value;
		$wposbox[BOX_EDITO][$key][$i] = $args;
	}
}

$tconfig = !isset($templates[$tconfig]) ? 0 : $tconfig;

if (!isset($userprefs3)) $userprefs3 = $userprefs[3];
if (($scrWidth > 0 && $scrWidth <= 800)) $userprefs3 = BOX_LEFT;
switch($userprefs3) {
case 'LR' : 
case ''   :
	$left_empty = array_reduce($xposbox[$tconfig][BOX_LEFT], 'EstNonVide', true);
	if ($left_empty && in_array($userprefs[3], array(BOX_LEFT, BOX_LEFT.BOX_RIGHT, ''))) {
		$userprefs3 = BOX_RIGHT;
	} else {
		$right_empty = array_reduce($xposbox[$tconfig][BOX_RIGHT], 'EstNonVide', true);
		if ($right_empty && in_array($userprefs[3], array(BOX_RIGHT, BOX_LEFT.BOX_RIGHT, ''))) {
			$userprefs3 = BOX_LEFT;
		} else {
			$userprefs3 = BOX_LEFT.BOX_RIGHT;
		}
	}
	break;
case 'L' :
	$userprefs3 = 'L';
	break;
case 'R' :
	$userprefs3 = 'R';
	break;
}

if ($dispAdminOnly) {
	$flags = '';
	if ($lang[1] != '') {
		$flagurl = str_replace('&', '&amp;', $endurl);
		if ($lng == $lang[0]) $flagurl = str_replace('lng='.$lang[0], 'lng='.$lang[1], $flagurl); 
		if ($lng == $lang[1]) $flagurl = str_replace('lng='.$lang[1], 'lng='.$lang[0], $flagurl); 
		$flags = '
  <div style="width:32px;float:left;">
    <a href="'.$flagurl.'">';
		if ($lng == $lang[0]) {
			$flags .= '
	  <img src="'.$flag2.'" style="border:0;vertical-align:middle;" alt="'.$web[87].': '.$lang[1].'" />';
		} else {
			$flags .= '
	  <img src="'.$flag1.'" style="border:0;vertical-align:middle;" alt="'.$web[87].': '.$lang[0].'" />';
		}
		$flags .= '
	</a>
  </div>';
    }
	$userstatus = isset($drtuser[42]) ? $drtuser[42] : 'admin';
	$atitle = $flags.$site[($lang[0] == $lng ? 0 : 11)].' <img src="'.CHEMIN.'admin/inc/img/general/tdroite.png" alt="=>" /> '.$userprefs[1].' ['.$userstatus.']';
	echo '
  <div id="AdminBoxes">
    <!-- Begin of ADMIN TOPBOXES -->
    <header>
	<div class="titre" style="margin:0;text-align:center;border-radius:6px 6px 0 0;">'.$atitle.'</div>
	';
} else {
	echo '
  <!-- Begin of TOPBOXES -->
  <header>
  <div id="TopBoxes">';
    foreach ($xposbox[$tconfig][BOX_TOP][BOX_LEFT] as $i => $aa) {
		$bc1 = $bc2 = $bc3 = '';
		if (!empty($xposbox[$tconfig][BOX_TOP][BOX_LEFT][$i]) && (strpos($xposbox[$tconfig][BOX_TOP][BOX_LEFT][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_TOP][BOX_LEFT][$i], 'fbox_ban') > 0)) { 
			$bccount++; $bc1 = '||'.$bccount;
		}
		if (!empty($xposbox[$tconfig][BOX_TOP][BOX_CENTER][$i]) && (strpos($xposbox[$tconfig][BOX_TOP][BOX_CENTER][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_TOP][BOX_CENTER][$i], 'fbox_ban') > 0)) { 
			$bccount++; $bc2 = '||'.$bccount;
		}
		if (!empty($xposbox[$tconfig][BOX_TOP][BOX_RIGHT][$i]) && (strpos($xposbox[$tconfig][BOX_TOP][BOX_RIGHT][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_TOP][BOX_RIGHT][$i], 'fbox_ban') > 0)) { 
			$bccount++; $bc3 = '||'.$bccount;
		}
        $item1 = ExecFunctionBox(BOX_TOP, $xposbox[$tconfig][BOX_TOP][BOX_LEFT][$i].$bc1);
        $item2 = ExecFunctionBox(BOX_TOP, $xposbox[$tconfig][BOX_TOP][BOX_CENTER][$i].$bc2);
        $item3 = ExecFunctionBox(BOX_TOP, $xposbox[$tconfig][BOX_TOP][BOX_RIGHT][$i].$bc3);
        $nbitem = 0;
        if (FALSE !== $item1) $nbitem++;
        if (FALSE !== $item2) $nbitem++;
        if (FALSE !== $item3) $nbitem++;
        if ($nbitem > 0) {
			$w0 = $wposbox[$tconfig][BOX_TOP][BOX_LEFT][$i];
			$w1 = $wposbox[$tconfig][BOX_TOP][BOX_CENTER][$i];
			$w2 = $wposbox[$tconfig][BOX_TOP][BOX_RIGHT][$i];
			$wcols = $nbitem < 3 ? ceil((100 - $w0 - $w1 - $w2) / (3 - $nbitem)) : 100;
			$wcol0 = $item1 === false || $w0 == '' ? ($w1 == 100 || $w2 == 100 ? '' : 'style="width:'.$wcols.'%;"') : 'style="width:'.$w0.'%;"';
			$wcol1 = $item2 === false || $w1 == '' ? ($w0 == 100 || $w2 == 100 ? '' : 'style="width:'.$wcols.'%;"') : 'style="width:'.$w1.'%;"';
			$wcol2 = $item3 === false || $w2 == '' ? ($w1 == 100 || $w0 == 100 ? '' : 'style="width:'.$wcols.'%;"') : 'style="width:'.$w2.'%;"';
            echo '
    <table class="row T'.$tconfig.'row'.$i.'">
      <tr>'.
        ($wcol0 != '' ? '<td class="col col0" '.$wcol0.'>'.(FALSE !== $item1 ? $item1 : '&nbsp;').'</td>' : '').
        ($wcol1 != '' ? '<td class="col col1" '.$wcol1.'>'.(FALSE !== $item2 ? $item2 : '&nbsp;').'</td>' : '').
        ($wcol2 != '' ? '<td class="col col2" '.$wcol2.'>'.(FALSE !== $item3 ? $item3 : '&nbsp;').'</td>' : '').'
      </tr>
    </table>';
        }
    }
    echo '
  </div>
  </header>
  <!-- End of TOPBOXES -->
	';

	echo '
  <!-- Begin of MAIN_CONTENT -->
  <section>
  <div id="MainContent">';

	if (is_file($meskin.'leftside.inc')) {
		include($meskin.'leftside.inc');
	} else {
		echo '
		<table style="width:100%;text-align:center;margin:auto;">
		  <tr>';
		$left_empty = array_reduce($xposbox[$tconfig][BOX_LEFT], 'EstNonVide', true);
		if ($widepage == "" && $userprefs3 != BOX_RIGHT && !$left_empty) {
			echo '
		
		<!-- begin left column -->
        <td style="vertical-align:top;">

          <!-- Begin of LEFT_BOXES -->
		  <aside>
          <div id="LeftBoxes">';

			for ($ii=0; $ii < count($xposbox[$tconfig][BOX_LEFT]); $ii++) {
				$bc1 = $bc2 = '';
				if ($userprefs3 != BOX_RIGHT && $xposbox[$tconfig][BOX_LEFT][$ii] != '') {
					if (strpos($xposbox[$tconfig][BOX_LEFT][$ii], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_LEFT][$ii], 'fbox_ban') > 0) { 
						$bccount++; $bc1 = '||'.$bccount; 
					}
					$item = ExecFunctionBox(BOX_LEFT, $xposbox[$tconfig][BOX_LEFT][$ii].$bc1);
					if (FALSE !== $item) echo $item;
				}
				if ($userprefs3 == BOX_LEFT && $xposbox[$tconfig][BOX_RIGHT][$ii] != '') {
					if (strpos($xposbox[$tconfig][BOX_RIGHT][$ii], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_RIGHT][$ii], 'fbox_ban') > 0) { 
						$bccount++; $bc2 = '||'.$bccount; 
					}
					$item = ExecFunctionBox(BOX_LEFT, $xposbox[$tconfig][BOX_RIGHT][$ii].$bc2);
					if (FALSE !== $item) echo $item;
				}
			}

			echo '
          </div>
		  </aside>
          <!-- End of LEFT_BOXES -->

        </td>
		<!-- end left column -->';
		}
		echo '
	
		<!-- begin center area -->
        <td style="width:100%; vertical-align:top;">
	';
		if ($widepage == '') {
			echo '

          <!-- Begin of ABOVE_BOXES -->
		  <section>
          <div id="AboveBoxes">';
			foreach ($xposbox[$tconfig][BOX_ABOVE] as $item) {
				$bc = '';
				if ($item != '') {
					if (strpos($item, 'fbox_cita') > 0 || strpos($item, 'fbox_ban') > 0) { 
						$bccount++; $bc = '||'.$bccount; 
					}
					$item = ExecFunctionBox(BOX_ABOVE, $item.$bc);
					if (FALSE !== $item) echo $item;
				}
			}
				echo '
          </div>
		  </section>
          <!-- End of ABOVE_BOXES -->';
		}
	}
}
?>
