<?php
/*******************************************************************************
 *   Counter Log
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'log_stats.inc')) {
    header('location:../index.php');
    die();
}

function log_test() {
    if (is_file(DBLOGDATE)) {
        $last = ReadCounter(DBLOGDATE);
        return ($last != date('d/m/y'));
    } else {
        return TRUE;
    }
}

function log_stats() {
    WriteCounter(DBLOGDATE, date('d/m/y'));
    $s = ReadCounter(DBSTATS);
    $fhandle = fopen(DBLOGSTATS, 'a');
    fputs($fhandle, date('d/m/y;').$s."\n");
    fclose($fhandle);
}

if (log_test()) log_stats();

