<?php
/*******************************************************************************
 *   Home page
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

if ($serviz[1] != 0) {
    switch ($serviz[1]) {
    case 1 : if ($serviz[53] == '') $serviz[1] = 0; break; // Blog
    case 2 : if ($serviz[8]  == '') $serviz[1] = 0; break; // News
    case 3 : if ($serviz[13] == '') $serviz[1] = 0; break; // Forum
    case 4 : if ($serviz[47] == '') $serviz[1] = 0; break; // Agenda
    }
}

if ($serviz[1] != 0) {
    switch ($serviz[1]) {
    case 1 : header('location:'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1]: $site['BLS'].'.php?lng='.$lng)); die();
    case 2 : header('location:'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[8]: $site['NE'].'.php?lng='.$lng)); die();
    case 3 : header('location:'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-31': $site['FR'].'.php?lng='.$lng)); die();
    case 4 : header('location:'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[17].'-2': 'agenda.php?lng='.$lng.'&agv=2')); die();
    }
}

$widepage = 'on' == $serviz[74];
$topmess  = '';
$pgtype   = 5;
$tconfig  = 0;
include 'inc/hpage.inc';

echo '
  <!-- Begin of EditoBoxes -->
  <section>
  <div id="EditoBoxes">';
foreach ($xposbox[BOX_EDITO][BOX_LEFT] as $i => $a) {
    $item1 = ExecFunctionBox(BOX_EDITO, $xposbox[BOX_EDITO][BOX_LEFT][$i]);
    $item2 = ExecFunctionBox(BOX_EDITO, $xposbox[BOX_EDITO][BOX_CENTER][$i]);
    $item3 = ExecFunctionBox(BOX_EDITO, $xposbox[BOX_EDITO][BOX_RIGHT][$i]);
    $nbitem = 0;
    if (FALSE !== $item1) $nbitem++;
    if (FALSE !== $item2) $nbitem++;
    if (FALSE !== $item3) $nbitem++;
	if ($nbitem > 0) {
		$w0 = $wposbox[BOX_EDITO][BOX_LEFT][$i];
		$w1 = $wposbox[BOX_EDITO][BOX_CENTER][$i];
		$w2 = $wposbox[BOX_EDITO][BOX_RIGHT][$i];
		$wcols = $nbitem < 3 ? ceil((100 - $w0 - $w1 - $w2) / (3 - $nbitem)) : 100;
		$wcol0 = $item1 === false || $w0 == '' ? ($w1 == 100 || $w2 == 100 ? '' : 'style="width:'.$wcols.'%;"') : 'style="width:'.$w0.'%;"';
		$wcol1 = $item2 === false || $w1 == '' ? ($w0 == 100 || $w2 == 100 ? '' : 'style="width:'.$wcols.'%;"') : 'style="width:'.$w1.'%;"';
		$wcol2 = $item3 === false || $w2 == '' ? ($w1 == 100 || $w0 == 100 ? '' : 'style="width:'.$wcols.'%;"') : 'style="width:'.$w2.'%;"';
		echo '
    <table class="row row'.$i.'">
      <tr>'.
        ($wcol0 != '' ? '<td class="col col0" '.$wcol0.'>'.(FALSE !== $item1 ? $item1 : '&nbsp;').'</td>' : '').
        ($wcol1 != '' ? '<td class="col col1" '.$wcol1.'>'.(FALSE !== $item2 ? $item2 : '&nbsp;').'</td>' : '').
        ($wcol2 != '' ? '<td class="col col2" '.$wcol2.'>'.(FALSE !== $item3 ? $item3 : '&nbsp;').'</td>' : '').'
      </tr>
    </table>';
    }
}
echo '
  </div>
  </section>
  <!-- End of EditoBoxes -->';
include 'inc/bpage.inc';
?>
