<?php
/*******************************************************************************
 *   Migrate from previous version 4.6
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header("Pragma: no-cache");
define('CHEMIN', '../');
$selskin = 'no_skin';
include CHEMIN.'inc/includes.inc';
include $lng.'-install.inc';
include 'func_install.php';

$form  = import('form');
$doing = import('doing');
$step  = import('step');

if (empty($form)) {
    DisplayHeader();
	echo '
<p style="text-align:center;">
  <a href="Javascript: window.location=\'migrate46.php?lng='.$lang[0].'\';">
    <img src="'.CHEMIN.'inc/lang/'.$lang[0].'.gif" width="24" height="16" border="0"/>
  </a>
  &nbsp;&nbsp;&nbsp;&nbsp;
  <a href="Javascript: window.location=\'migrate46.php?lng='.$lang[1].'\';">
    <img src="'.CHEMIN.'inc/lang/'.$lang[1].'.gif" width="24" height="16" border="0"/>
  </a>
</p>';
	DisplayTitre($clean[26],$clean[40]);
	echo '
<form name="instal0" action="migrate46.php?lng='.$lng.'" method="post">
  <input type="hidden" name="form" value="1">
  <div style="text-align:center;">'.SubmitButton($clean[41]).'
    <button type="reset" style="cursor:pointer;" title="'.$clean[42].'" onclick="window.location=\'index.php?lng='.$lng.'\';">'.$clean[42].'</button>
  </div>
</form>';
} elseif ($form == '1') {
    DisplayHeader();
	echo '
<p style="text-align:center;">
  <a href="Javascript: window.location=\'migrate46.php?lng='.$lang[0].'\';">
    <img src="'.CHEMIN.'inc/lang/'.$lang[0].'.gif" width="24" height="16" border="0"/>
  </a>
  &nbsp;&nbsp;&nbsp;&nbsp;
  <a href="Javascript: window.location=\'migrate46.php?lng='.$lang[1].'\';">
    <img src="'.CHEMIN.'inc/lang/'.$lang[1].'.gif" width="24" height="16" border="0"/>
  </a>
</p>';
	DisplayTitre($clean[26],$clean[27]."<br /><br />".$clean[3]);
	echo '
<form name="instal1" action="migrate46.php?lng='.$lng.'" method="post">
  <input type="hidden" name="form" value="2">
  <div style="text-align:center;">'.SubmitButton($clean[4]).'
    <button type="reset" style="cursor:pointer;" title="'.$clean[0].'" onclick="window.location=\'install.php?lng='.$lng.'&form=1\';">'.$clean[0].'</button>
  </div>
</form>';
} elseif ($form == '2') {
    DisplayHeader();
	DisplayTitre($clean[28],$clean[29]);
	echo '
<form name="instal2" action="migrate46.php?lng='.$lng.'" method="post">
  <input type="hidden" name="form" value="3">
  <div style="text-align:center;">'.SubmitButton($clean[4]).'
    <button type="reset" style="cursor:pointer;" title="'.$clean[0].'" onclick="window.location=\'install.php?lng='.$lng.'&form=1\';">'.$clean[0].'</button>
  </div>
</form>';
} elseif ($form == '3') {
	if (empty($doing)) {
        DisplayHeader('migrate46.php?lng='.$lng.'&form=3&doing=1');
		CleanDataRep();
		DisplayProcess($clean[18], $clean[20], $clean[21]);
	} elseif ($doing == '1') {
        DisplayHeader('migrate46.php?lng='.$lng.'&form=3&doing=2');
		PrepareDataRep();
		DisplayProcess($clean[18], $clean[20], $clean[21].'<br />'.$clean[22]);
	} elseif ($doing == '2') {
		$users = scandir(CHEMIN.DATAREP.'usermsg');
		$cnt   = count($users);
		$nb    = ceil($cnt / 500);
		$i     = empty($step) ? 1 : $step;
		$dng   = $i < $nb ? 2 : 3;
		$deb = ($i - 1) * 500;
		$fin = min($i * 500, $cnt);
		$step++;
		$sstep = $i == $nb ? '' : '&step='.$step;
		DisplayHeader('migrate46.php?lng='.$lng.'&form=3&doing='.$dng.$sstep);
		MigrateUsers46($deb, $fin);
		DisplayProcess($clean[28],$clean[30],sprintf($clean[36], ' => '.$i.'/'.$nb));
	} elseif ($doing == '3') {
		$ids = ReadDBFields(CHEMIN.DATAREP.'docid.dtb');
		$cnt = count($ids);
		$nb  = ceil($cnt / 200);
		$i     = empty($step) ? 1 : $step;
		$dng   = $i < $nb ? 3 : 4;
		$deb = ($i - 1) * 200;
		$fin = min($i * 200, $cnt);
		$step++;
		$sstep = $i == $nb ? '' : '&step='.$step;
		DisplayHeader('migrate46.php?lng='.$lng.'&form=3&doing='.$dng.$sstep);
		MigrateDatas146($deb, $fin);
		DisplayProcess($clean[28],$clean[30],sprintf($clean[36], '').'<br />'.sprintf($clean[371], ' => '.$i.'/'.$nb));
	} elseif ($doing == '4') {
        DisplayHeader('migrate46.php?lng='.$lng.'&form=3&doing=5');
		MigrateDatas246();
		DisplayProcess($clean[28],$clean[30],sprintf($clean[36], '').'<br />'.sprintf($clean[371], '').'<br />'.$clean[372]);
	} elseif ($doing == '5') {
        DisplayHeader('migrate46.php?lng='.$lng.'&form=3&doing=6');
		MigrateDatas346();
		DisplayProcess($clean[28],$clean[30],sprintf($clean[36], '').'<br />'.sprintf($clean[371], '').'<br />'.$clean[372].'<br />'.$clean[373]);
	} elseif ($doing == '6') {
        DisplayHeader('migrate46.php?lng='.$lng.'&form=3&doing=7');
		MigrateArchives146();
		DisplayProcess($clean[28],$clean[30],sprintf($clean[36], '').'<br />'.sprintf($clean[371], '').'<br />'.$clean[372].'<br />'.$clean[373].'<br />'.sprintf($clean[38], '[1]'));
	} elseif ($doing == '7') {
		$ids = ReadDBFields(DOCIDARCH);
		$cnt = count($ids);
		$nb  = ceil($cnt / 300);
		$i     = empty($step) ? 1 : $step;
		$dng   = $i < $nb ? 7 : 8;
		$deb = ($i - 1) * 300;
		$fin = min($i * 300, $cnt);
		$step++;
		$sstep = $i == $nb ? '' : '&step='.$step;
		DisplayHeader('migrate46.php?lng='.$lng.'&form=3&doing='.$dng.$sstep);
		MigrateArchives246($deb, $fin);
		DisplayProcess($clean[28],$clean[30],sprintf($clean[36], '').'<br />'.sprintf($clean[371], '').'<br />'.$clean[372].'<br />'.$clean[373].'<br />'.sprintf($clean[38], '[1]').'<br />'.sprintf($clean[38], '[2] => '.$i.'/'.$nb));
	} elseif ($doing == '8') {
        DisplayHeader('migrate46.php?lng='.$lng.'&form=3&doing=9');
		MigrateStatsLogs46();
		DisplayProcess($clean[28],$clean[30],sprintf($clean[36], '').'<br />'.sprintf($clean[371], '').'<br />'.$clean[372].'<br />'.$clean[373].'<br />'.sprintf($clean[38], '[1]').'<br />'.sprintf($clean[38], '[2]').'<br />'.$clean[39]);
	} elseif ($doing == '9') {
        DisplayHeader('migrate46.php?lng='.$lng.'&form=3&doing=10');
		MigrateConfig46();
		DisplayProcess($clean[28],$clean[30],sprintf($clean[36], '').'<br />'.sprintf($clean[371], '').'<br />'.$clean[372].'<br />'.$clean[373].'<br />'.sprintf($clean[38], '[1]').'<br />'.sprintf($clean[38], '[2]').'<br />'.$clean[39].'<br />'.$clean[31]);
	} elseif ($doing == '10') {
		set_time_limit(0);
        DisplayHeader('migrate46.php?lng='.$lng.'&form=3&doing=11');
		
		DeleteOldFiles();
		RecursiveRemoteDir(CHEMIN.DATAREP.'archive/');
		RecursiveRemoteDir(CHEMIN.DATAREP.'temp/');
		RecursiveRemoteDir(CHEMIN.DATAREP.'countmsg/');
		RecursiveRemoteDir(CHEMIN.DATAREP.'usermsg/');
		$dir = CHEMIN.DATAREP.'plugins/';
		DeleteDir(CHEMIN.DATAREP.'plugins/');
		$dirsup = array('jmForks', 'ajoutefreebox', 'ajoutemenu', 'diaporama', 'iconframe', 'navar', 'newsframe', 'rencat', 'import', 'cryptographp');
		$files  = scandir($dir);
		foreach ($files as $file) {
			if ($file != '.' && $file != '..') 
				if (filetype($dir.$file) == 'dir' && in_array($file, $dirsup)) 
					RecursiveRemoteDir($dir.$file); 
		}		
		$dir = CHEMIN.'plugins/';
		DeleteDir($dir);
		$files = scandir($dir);
		foreach ($files as $file) {
			if ($file != '.' && $file != '..') 
				if (filetype($dir.$file) == 'dir') 
					RecursiveRemoteDir($dir.$file); 
		}		
		$dir = CHEMIN.'admin/plugins/';
		$bad = array('index.php', 'funcplug.inc', 'plugbox.inc');
		DeleteDir($dir, $bad);
		$files = scandir($dir);
		foreach ($files as $file) {
			if ($file != '.' && $file != '..') 
				if (filetype($dir.$file) == 'dir') 
					RecursiveRemoteDir($dir.$file); 
		}		
		RecursiveRemoteDir(CHEMIN.'admin/editors/fckeditor_config/');
		RecursiveRemoteDir(CHEMIN.INCREP.'fckeditor/');
		RecursiveRemoteDir(CHEMIN.'file/__script__/');
		$bad = array('index.php', '.htaccess', 'fr-news.xml', 'fr-blog.xml', 'fr-articles.xml', 'fr-all.xml', 'en-news.xml', 'en-blog.xml', 'en-articles.xml', 'en-all.xml');
		DeleteDir(CHEMIN.DATAREP, $bad);
		DeleteDir(CHEMIN.DATAREP.'cache/');
		DeleteDir(CHEMIN.DATAREP.'error/');
		DeleteDir(CHEMIN.INCREP.'img/general/');
		RecursiveRemoteDir(CHEMIN.'skin/');
		include CONFIG;
		$serviz[44] = '';
		include CHEMIN.'admin/inc/confupdt.inc';
		
		DisplayProcess($clean[28],$clean[32],sprintf($clean[36], '').'<br />'.sprintf($clean[371], '').'<br />'.$clean[372].'<br />'.$clean[373].'<br />'.sprintf($clean[38], '[1]').'<br />'.sprintf($clean[38], '[2]').'<br />'.$clean[39].'<br />'.$clean[31].'<br />'.$clean[33]);
		set_time_limit(60);
	} elseif ($doing == '11') {
        DisplayHeader('migrate46.php?lng='.$lng.'&form=4');
		DisplayProcess($clean[28],$clean[35],sprintf($clean[36], '').'<br />'.sprintf($clean[371], '').'<br />'.$clean[372].'<br />'.$clean[373].'<br />'.sprintf($clean[38], '[1]').'<br />'.sprintf($clean[38], '[2]').'<br />'.$clean[39].'<br />'.$clean[31].'<br />'.$clean[33].'<br />'.$clean[34]);
	}
} elseif ($form == '4') {
    DisplayHeader();
	DisplayTitre($clean[26],$clean[35]);
	echo '
<form name="instal4" action="delete.php?lng='.$lng.'" method="post">
  <div style="text-align:center;">'.SubmitButton($clean[25]).'
    <button type="reset" style="cursor:pointer;" title="'.$clean[0].'" onclick="window.location=\'install.php?lng='.$lng.'&form=1\';">'.$clean[0].'</button>
  </div>
</form>';
}

DisplayFooter();
?>
