<?php
/*******************************************************************************
 *   Maintenance
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

include 'inc/constantes.php';
include CONFIG;
$reptheme = 'inc/img/general/'.$page[27];
$lng = isset($_GET['lng']) ? strip_tags($_GET['lng']) : $lang[0];

echo '<!DOCTYPE html>
<html lang="'.$site[15].'" xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - Site en maintenance - Site under maintenance</title>
<meta name="Robots" content="NONE" />
<meta http-equiv="Refresh" Content="60; index.php" />
</head>
<style type="text/css">
body {
    background-color: azure;
    text-align: center;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 20px;
}
a, img, span, table {
    border-style: none;
    vertical-align: middle;
}
</style>
<body>
  <div style="width: 600px; border: 1px solid; text-align: center; margin: auto;">
    <table style="width:100%;">
      <tr>
        <td colspan="3" style="padding:5px;">
		  <br />
		  <strong>*** &nbsp;&nbsp;'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'&nbsp;&nbsp; ***&nbsp;&nbsp;</strong>
		  <br />
        </td>
      </tr>
      <tr>
        <td style="padding:5px; width: 33%; font-size: 0.85em;">
		  <br /><br />
		  <p>Site en maintenance pour quelques minutes.</p>
		  <p>...</p>
		  <p>Nous sommes désolés pour la g&ecirc;ne occasionnée, à bientôt.</p>
		  <br /><br />
        </td>
        <td style="padding:5px;width:34%;">
		  <img src="'.$reptheme.'/maintenance.png" alt="" />
        </td>
        <td style="padding:5px;width:33%; font-size: 0.85em;">
		  <br /><br />
		  <p>This site is currently under maintenance.</p>
		  <p>...</p>
		  <p>We apologize for the inconvenience. Please, come back soon...</p>
		  <br /><br />
        </td>
      </tr>
    </table>
    <p style="padding:10px;">
	  <a href="http://www.freeguppy.org">
	    <img src="'.$reptheme.'/gyslogo.png" alt="" title="" />
	  </a>
	  <br />
	  <a class="copyright" href="http://www.freeguppy.org/" title="" target="_blank"><img src="'.$reptheme.'/gypower.png" alt="" title="" /></a>
	  <span style="font-size: 0.7em; font-weight: normal;">  &nbsp; © '.MP_COPYRIGHT.' &nbsp;</span>
	  <a class="copyright" href="http://www.cecill.info/index.en.html" title="" target="_blank"><img src="'.$reptheme.'/gycecill_e.png" alt="" title="" /></a>
    </p>
  </div>
</body>
</html>';
?>
