<?php
/*******************************************************************************
 *   Forum Topics for Mobile
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '../');
include CHEMIN.'inc/includes.inc';

if ($serviz[13] != 'on' || $serviz[18] != 'on') {
    exit($web[143]);
}

$section_index = 5;
$i = $lng == $lang[0] ? 0 : 1;
$nom_fr = getLabel($nom[$i+22]);
$section_name = $nom_fr;
include 'inc/members.inc';
if ($section_access) {

    $dbwork    = ReadDBFields(DBFORUMCAT);
    $dbworkcat = ReadDBFields(DBFORUM);
    for ($i = 0; $i < count($dbwork); $i++) {
        $dbwork[$i][3] = 0;
        $dbwork[$i][4] = 0;
        for ($j = 0; $j < count($dbworkcat); $j++) {
            if ($dbworkcat[$j][12] == $dbwork[$i][0]) {
                $dbwork[$i][3]++;
                $dbwork[$i][4] = $dbwork[$i][4] + $dbworkcat[$j][7] + 1;
                if (empty($dbwork[$i][5])) {
                    if (!empty($dbworkcat[$j][8])) {
                        $dbwork[$i][5] = $dbworkcat[$j][8];
                        if ($dbworkcat[$j][11] != 'on') {
                            $dbwork[$i][6] = $dbworkcat[$j][9];
                        } else {
                            $dbwork[$i][6] = '';
                        }
                        $dbwork[$i][7] = $dbworkcat[$j][0];
                    }
                    else {
                    $dbwork[$i][5] = $dbworkcat[$j][3];
                    if ($dbworkcat[$j][10] != 'on') {
                        $dbwork[$i][6] = $dbworkcat[$j][4];
                    } else {
                        $dbwork[$i][6] = '';
                    }
                    $dbwork[$i][7] = $dbworkcat[$j][0];
                    }
                }
            }
        }
    }

    $topmess = $nom_fr;
    include 'inc/hpalm.inc';
    echo '
<div style="text-align:center"><b>'.$nom_fr.'</b></div>
<hr />';
    if (!empty($dbwork)) {
		foreach ($dbwork as $dbw) {
			if (!isForumAccessGranted($dbw[0])) continue;
			echo '
<a href="forum.php?lng='.$lng.'&amp;cat='.getForumcatId($dbw[0]).'"><b>'.$dbw[1].'</b></a>
<br />&nbsp;&nbsp;'.$web[131].' : '.$dbw[3].'
<br />&nbsp;&nbsp;'.$web[132].' : '.$dbw[4].'
<br />&nbsp;&nbsp;'.$web[133].' : ';
			if (!empty($dbw[5])) {
				echo '
'.$web[6].' <b>'.$dbw[5].'</b> ';
			}
			if (!empty($dbw[7])) {
				echo '
'.$web[7].' '.FormatDate($dbw[7]);
			}
			echo '
<br />';
        }
    }

    include 'inc/bpalm.inc';
}
?>
