<?php
/*******************************************************************************
 *   Site Bottom of Page for Mobile
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER["SCRIPT_NAME"], "bpalm.inc")) {
    header("location:../index.php");
    die();
}

// php or html scripts located in directory inc/incfoot are automatically include at the bottom of the page
if (is_dir(CHEMIN.'mobile/inc/incfoot')) { 
	$hd = opendir(CHEMIN.'mobile/inc/incfoot');
	while ($file = readdir($hd)) { 
		if (1 == preg_match('!^[^_].*(\.inc|\.inc\.php)$!', $file)) {
			include(CHEMIN.'mobile/inc/incfoot/'.$file);
		}
	}
}

// Haut
echo '
    <div style="text-align:center;">
      <a class="top" href="#top">
        <b> '.$web[136].' </b>
      </a>
    </div>

    <div style="text-align:center;">';

$txtxhtml = $site[32] != 'on' ? '' : '
      <a href="http://validator.w3.org/check?uri=referer" target="_blank" title="Valid HTML 5.0">
        <img src="'.$reptheme.'/html5.png" alt="Valid HTML 5.0" style="vertical-align:middle;" />
      </a>
      &nbsp;';

$txtcss = $site[32] != 'on' ? '' : '
      &nbsp;
      <a href="http://jigsaw.w3.org/css-validator/validator?uri='.$site[3].'" target="_blank" title="Valid CSS 3">
        <img src="'.$reptheme.'/css3.png" alt="Valid CSS 3" style="vertical-align:middle;" />
      </a>';

$imgspe = $site[24] == 'N' ? '' : '
      <a href="http://www.freeguppy.org/" target="_blank" title="GuppY site">
        <img src="'.CHEMIN.INCREP.'img/general/'.$page[27].'/gy'.$site[24].'logo.png" alt="GuppY site" style="vertical-align:middle;" />
      </a>';


    ///////////////////////////////////////////////////////////////////////////////////
    //                                                                               //
    //                GuppY is protected by the CeCILL FREE LICENSE.                 //
    //  REMOVING OR MODIFYING THE FOLLOWING COPYRIGHT NOTICE IS STRICTLY FORBIDDEN.  //
    //                                                                               //
    ///////////////////////////////////////////////////////////////////////////////////


if ($lng == 'fr') {
    $txtspe = '
      &nbsp;
      <a class="copyright" href="http://www.freeguppy.org/" title="freeguppy.org" target="_blank">
        <img src="'.$reptheme.'/gypower.png" alt="freeguppy.org" style="vertical-align:middle;" />
      </a>&nbsp;'.html_entity_decode('Â© '.MP_COPYRIGHT, ENT_COMPAT, $charset).'&nbsp;
      <a class="copyright" href="http://www.cecill.info/index.fr.html" title="En savoir plus ..." target="_blank">
        <img src="'.$reptheme.'/gycecill_f.png" alt="En savoir plus ..." style="vertical-align:middle;" />
      </a>
      &nbsp;';
}
else {
    $txtspe = '
      &nbsp;
      <a class="copyright" href="http://www.freeguppy.org/" title="freeguppy.org" target="_blank">
        <img src="'.$reptheme.'/gypower.png" alt="freeguppy.org" style="vertical-align:middle;" />
      </a>&nbsp;'.html_entity_decode('Â© '.MP_COPYRIGHT, ENT_COMPAT, $charset).'&nbsp;
      <a class="copyright" href="http://www.cecill.info/index.en.html" title="More info ..." target="_blank">
        <img src="'.$reptheme.'/gycecill_e.png" alt="More info ..." style="vertical-align:middle;" />
      </a>
      &nbsp;';
}

if ($site[25] == 'T') {
    echo $imgspe.'
      <br />
'.$txtxhtml.$txtspe.$txtcss;
}
elseif ($site[25] == 'L') {
    echo $txtxhtml.$imgspe.$txtspe.$txtcss;
}
elseif ($site[25] == 'R') {
    echo $txtxhtml.$txtspe.$imgspe.$txtcss;
}
else {
    echo $txtxhtml.$imgspe.$txtspe.$imgspe.$txtcss;
}
echo '
  </div>

';

if (!empty($skinCopyright)) {
    echo '
  <div id="skinCopyright">'.$skinCopyright.'</div>

';
}


    ///////////////////////////    END of COPYRIGHT NOTICE    /////////////////////////


if ($page[8] == 'on') {
    $timer = StopTimer();
    echo '
    <p class="timer">'.$web[116].' '.$timer.' '.($timer <= 1 ? $web[117] : $web[118]).'</p>';
}
echo '
</body>
</html>';
?>
