<?php
/*******************************************************************************
 *   Poll
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

if ($serviz[23] != 'on') {
    exit($web[143]);
}

$choix = import('choix');
if (!empty($choix)) {
    $vote = DejaVote(DBIPPOLL, POLL_TIME);
    if ($vote[0] == false) {
        $ter = ReadDBFields(DBPOLL);
        if ($choix > 0 && $choix < count($ter)) {
            $ter[$choix][3] = $ter[$choix][3]+1;
            WriteDBFields(DBPOLL, $ter);
        }
    }
}

$commun = PollCalculation();
$bar = 200/$commun[0][3];

$topmess = getLabel($nom[($lng == $lang[0] ? 6 : 16)]).' - '.$commun[0][($lng == $lang[0] ? 0 : 1)];
$topmess = mb_substr($topmess, 0, 1, $charset) == '§' ? mb_substr($topmess, 1, mb_strlen($topmess ,$charset) ,$charset) : $topmess;
include('inc/hpage.inc');
htable($topmess, '100%');

$j = ($lng == $lang[0] ? 0 : 1);
echo '
<table style="margin:auto;">';

$k = 0;
foreach($commun as $com) {
	if ($k == 0) {
		$k++;
		continue;
	}
    $nbvotes = $com[3];
    echo '
  <tr>
      <td style="text-align:right;"><b>'.$com[$j].'</b> </td>
      <td style="white-space:nowrap;align:left;"> <img src="inc/img/bars/'.$com[2].'.gif" style="width:'.round($com[3]*$bar).'px;height:10px;" alt="'.$com[4].'%" /> </td>
      <td style="white-space:nowrap;"> '.$com[4].'% </td>
      <td style="white-space:nowrap;"> ('.$nbvotes.' '.$web[24].')</td>
  </tr>';
}
echo '
</table>
<p style="text-align:center;">'.$web[25].' <b>'.$commun[0][2].'</b> '.$web[24].'.</p>';

if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[25] == "on")) {
    echo '
<div style="text-align:right;"><a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=poll"><img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" /></a></div>';
}
if (isset($vote) && $vote[0] == true) {
    echo BeginJavascript().'alert("'.addslashes($web[26]).'");'.EndJavascript();
	echo '
<noscript>
  <p style="text-align:center">'.$web[26].'</p>
</noscript>';
}

btable();
include('inc/bpage.inc');
?>
