<?php
/*******************************************************************************
 *   RSS Feeds
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

$topmess = $web[617];
include 'inc/hpage.inc';
htable($topmess, '100%');

if ($prt != -1 && $prt != 1) {
	echo sprintf($web[618], stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'
<table class="bord" style="margin:auto;width:90%;">
  <tbody>';
	if ($serviz[60] == 'on') {
		$rssurl = $site[3].sprintf(RSSART, $lng);
		echo '
	<tr>
	  <td style="width:50%;text-align:right;padding:6px;">'.$web[169].'</td>
	  <td style="width:50%;padding:6px;">
  	    <a href="'.$rssurl.'" target="_blank">
		  <img src="'.CHEMIN .$reptheme.'/rssguppy.png" style="border:0;vertical-align:bottom;"  alt="rss" />
		</a>
	  </td>
	</tr>';
	}
	if ($serviz[54] == 'on') {
		$rssurl = $site[3].sprintf(RSSBLOG, $lng);
		echo '
	<tr>
	  <td style="width:50%;text-align:right;padding:6px;">'.getLabel($nom[$lng == $lang[0] ? 42 : 43]).'</td>
	  <td style="width:50%;padding:6px;">
		<a href="'.$rssurl.'" target="_blank">
		  <img src="'.CHEMIN .$reptheme.'/rssguppy.png" style="border:0;vertical-align:bottom;"  alt="rss" />
		</a>
	  </td>
	</tr>';
	}
	if ($serviz[16] == 'on') {
		$rssurl = $site[3].sprintf(RSSNEWS, $lng);
		echo '
	<tr>
	  <td style="width:50%;text-align:right;padding:6px;">'.getLabel($nom[$lng == $lang[0] ? 7 : 17]).'</td>
	  <td style="width:50%;padding:6px;">
		<a href="'.$rssurl.'" target="_blank">
		  <img src="'.CHEMIN .$reptheme.'/rssguppy.png" style="border:0;vertical-align:bottom;"  alt="rss" />
		</a>
	  </td>
	</tr>';
	}
	if ($serviz[103] == 'on') {
		$rssurl = $site[3].sprintf(RSSALL, $lng);
		echo '
	<tr>
	  <td style="width:50%;text-align:right;padding:6px;">'.$web[619].'</td>
	  <td style="width:50%;padding:6px;">
		<a href="'.$rssurl.'" target="_blank">
		  <img src="'.CHEMIN .$reptheme.'/rssguppy.png" style="border:0;vertical-align:bottom;"  alt="rss" />
		</a>
	  </td>
	</tr>';
	}
	echo '
  </tbody>
</table>
<br />
<hr />';
}

btable();
include 'inc/bpage.inc';
?>
