<?php
/*******************************************************************************
 *   Skin variables and functions
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

$meskin        = CHEMIN.'skins/'.basename(dirname(__FILE__)).'/'; // Skin path (directory folder)

$screen_choice = '';   // if '' user can choose 1024px or full screen size) otherwise enter 1024 or 1280 to fix screen width
$screen_icon   = '';   // alternate screen icon if not empty
$mod_css       = '';   // off: no change permitted in css and skin look
$skn_logo      = $meskin.'img/logo.png';   // Specific logo
//   ----------   CUSTOMIZATION BUTTONS --------- 
$boutonleft    = '';   // Left Image for submit buttons
$boutonright   = '';   // Right Image for submit buttons
$boutoncenter  = '';   // Center Image for submit buttons
//   ----------   OPTIONNAL BOXES --------- 
$boxid         = 0;

function htable($tblti, $largeur) {
    echo '
<div class="titre">'.$tblti.'</div>
<div class="tbl tblout" onmouseover="this.className = \'tbl tblover\'" onmouseout="this.className = \'tbl tblout\'">
';
}

function btable() {
    echo '
</div>
<br />
';
}

function boxwide($pos, $title, $content, $class='') {
    global $boxid, $tconfig;
	$boxid++;
    if (empty($title)) {
        return '
<div class="tbl'.$class.'" id="'.$pos.$tconfig.'tbl'.$boxid.'" onmouseover="this.className = \'tbl'.$class.' tblover\'" onmouseout="this.className = \'tbl'.$class.'\'">
'.$content.'
</div>
<br />';
    } else {
		$tclass = empty($class) ? '' : ' Tr'.trim($class);
        return '
<div class="titre'.$tclass.'" id="'.$pos.$tconfig.'titre'.$boxid.'">'.$title.'</div>
<div class="tbl'.$class.'" id="'.$pos.$tconfig.'tbl'.$boxid.'" onmouseover="this.className = \'tbl'.$class.' tblover\'" onmouseout="this.className = \'tbl'.$class.'\'">
'.$content.'
</div>
<br />';
    }
}

function boxthin($pos, $title, $content, $class='', $dynbox='off') {
    global $boxid, $page, $tconfig, $reptheme;
	$boxid++;
    if (empty($title)) {
        return '
<div class="tblbox'.$class.'" id="'.$pos.$tconfig.'tbl'.$boxid.'" onmouseover="this.className=\'tblbox'.$class.' tblboxover\'" onmouseout="this.className=\'tblbox'.$class.'\'">
'.$content.'
</div>
';
    } else {
		$tclass = empty($class) ? '' : ' Tr'.trim($class);
		if ($dynbox == 'off' || $dynbox == '')
			$out = '
<div class="titrebox'.$tclass.'" id="'.$pos.$tconfig.'titrebox'.$boxid.'">'.$title.'</div>';
		else
			$out = '
<div class="titrebox'.$tclass.'" id="'.$pos.$tconfig.'titrebox'.$boxid.'" onclick="montre(\''.$pos.$tconfig.'tblbox'.$boxid.'\');" style="cursor:pointer;">'.$title.'</div>';
        $out .= '
<div class="tblbox'.$class.'" id="'.$pos.$tconfig.'tblbox'.$boxid.'" onmouseover="this.className=\'tblbox'.$class.' tblboxover\'" onmouseout="this.className=\'tblbox'.$class.'\'" style="padding-bottom:12px;">
'.$content;
		if ($dynbox == 'open' || $dynbox == 'close')
			$out .= '
  <div class="f-right">
	<img src="'.$reptheme.'/close.png" alt=" &uarr; " title=" &uarr; " style="border:none;cursor:pointer;" onmouseup="cache(\''.$pos.$tconfig.'tblbox'.$boxid.'\');" />&nbsp;
  </div><div class="c-right"></div>';
		$out .= '
</div>';
		if (!empty($title) && ($dynbox == 'open' || $dynbox == 'close')) {
			if ($dynbox == 'open')
				$out .= BeginJavascript().'montre(\''.$pos.$tconfig.'tblbox'.$boxid.'\');'.EndJavascript();
			else
				$out .= BeginJavascript().'cache(\''.$pos.$tconfig.'tblbox'.$boxid.'\');'.EndJavascript();
		}
		return $out;
    }
}
?>
