<?php
/*******************************************************************************
 *   Forum Thread
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

define('PATH_PGEDITOR', 'inc/pgeditor/');
define('PATH_CONFIG_PGEDITOR','inc/config_pgeditor_guppy/');
include CHEMIN.PATH_PGEDITOR.'pgeditor.php'; 
include CHEMIN.PATH_PGEDITOR.'syntaxcolor/syntaxcolor.php'; 

if ($serviz[13] != 'on') {
    exit($web[143]);
}

$thrd = import('thrd');
$cat  = import('cat');
$fid  = import('fid');

$thread = 0;
if (!empty($pg)) {
    $dbwork = SelectDBForumByID(ReadDBFields(DBFORUM),$pg);
    if (count($dbwork) != 0) {
        $thread = $dbwork[0][1];
    }
} elseif (!empty($thrd)) {
    $dbwork = ReadDBFields(DBTHREAD);
    foreach ($dbwork as $dbw) {
        if ($dbw[1] == $thrd && $dbw[2] == '0') {
            $thread = $thrd;
            $pg     = $dbw[3];
            break;
        }
    }
}

if ('on' == $serviz[18] && !isForumAccessGranted($cat)) {
	header('HTTP/1.0 403 Forbidden');
}

if (empty($pg)) {
    header('location:'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-31': $site['FR'].'.php?lng='.$lng));
    exit;
}

$nom_frth = getLabel($lng == $lang[0] ? $nom[22] : $nom[23]);

if ($thread === 0) {
    $threadarch = 0;
    $dbworkarch = SelectDBForumByID(ReadDBFields(DBFORUMARCH), $pg);
    if (count($dbworkarch) != 0) {
        $threadarch = $dbwork[0][1];
    }
    if ($threadarch !== 0) {
        header('location:'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-51-'.$pg.'-'.$cat.'-'.$fid: 'threadarch.php?lng='.$lng.'&pg='.$pg.'&cat='.$cat.'&fid='.$fid));
        exit;
    }
    header('HTTP/1.0 404 Not Found');
    $topmess = $nom_frth;
    include 'inc/hpage.inc';
    htable($topmess, '100%');
    echo '
<p>'.$web[36].'</p>';
    btable();
    include 'inc/bpage.inc';
    exit;
}

if ($serviz[34] == 'on') {
    $threadcounter = UpdateDocCounter($pg);
}
$dbthrd = SelectDBThreadByThread(ReadDBFields(DBTHREAD), $thread);
ReadDoc($pg);

if ('on' == $serviz[18] && !isForumAccessGranted($fielda1)) {
	header('HTTP/1.0 403 Forbidden');
}

if ($serviz[18] != 'on') {
    $topmess = '<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-21-'.$fid: $site['FR'].'.php?lng='.$lng.'&amp;id='.$fid).'">'.$nom_frth.'</a>';
}
else {
    if (!empty($cat)) {
        $dbworkcat = ReadDBFields(DBFORUMCAT);
        $catxt     = getForumCatName($cat);
        $topmess   = '<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5]: $site['FRT'].'.php?lng='.$lng).'">'.$nom_frth.'</a> - <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-22-'.$fid.'-'.getForumcatId($cat): $site['FR'].'.php?lng='.$lng.'&amp;id='.$fid.'&amp;cat='.getForumcatId($cat)).'">'.$catxt.'</a> - ';
    }
    else {
		$dbworkcat = array();
		$catxt     = 'unknown';
        $topmess   = '<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5]: $site['FRT'].'.php?lng='.$lng).'">'.$nom_frth.'</a> - ';
    }
    $topmess .= $fieldb1;
}
if ($page[9] != '') {
    $topmess = '<img src=\''.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif\' style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}
if ($userprefs[3] =='' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) {
    $userprefs3 = BOX_LEFT;
}
$widepage = $forum[3];
$forumname = strip_tags($nom_frth);

include 'inc/hpage.inc';
htable($topmess, '100%');

ReadDoc($pg);
echo '<br />';
include 'inc/topforum.inc'; 
if ($forum[9] == 'on') {
	echo '
<div style="margin-top:-8px; font-weight:bold;">
  <a href="javascript:PopupWindow(\'rules.php?lng='.$lng.'\',\'rules\',800,500,\'yes\',\'yes\');" title="'.$web[409].'">
  <img src="'.$reptheme.'/charte.png" alt="'.$web[409].'" /> - '.$web[409].'</a>
</div>';
}
if ($serviz[18] == 'on') {
    $title = '
<span style="margin-left:8px; font-weight:bold;">
  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5]: $site['FRT'].'.php?lng='.$lng).'" title="'.$forumname.'">
  <img src="'.$reptheme.'/dir.png"  style="vertical-align:middle;" alt="'.$forumname.'" /> - '.$forumname.'</a>
</span>
<br />
<span style="margin-left:28px; font-weight:bold;">
  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-2-'.getForumcatId($cat): $site['FR'].'.php?lng='.$lng.'&amp;cat='.getForumcatId($cat)).'" title="'.$catxt.'">
  <img src="'.$reptheme.'/dir1.png"  style="vertical-align:middle;" alt="'.$catxt.'"/> - '.$catxt.'</a>
</span>
<br />';
}
else {
    $title = '
<span style="margin-left:8px; font-weight:bold;">
  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-31': $site['FR'].'.php?lng='.$lng).'" title="'.$forumname.'">
  <img src="'.$reptheme.'/dir.png"  style="vertical-align:middle;" alt="'.$forumname.'" />  - '.$forumname.'</a>
</span>
<br />';
}
echo '
<p style="text-align:left;">'.$title.'</p>';

if ($members[0] == 'on' && $userprefs[1] == '' && $members[5] == 'on') {
    echo '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
</div>';
}
else {
    $newdate = date('YmdHi', time() - (86400 * $forum[8]));
    $st = explode('#',$fieldmod);
    if ($st[0] == 'c') {
        $etat = $web[368].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
		$img_msg = 'msg_'.$st[0].'.png';
    } elseif ($st[0] == 's') {
        $st[0] = 'c';
        $etat = $web[368].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
		$img_msg = 'msg_'.$st[0].'.png';
    } elseif ($st[0] == 't' && $moddate > date('YmdHi')) {
        $etat = $web[370].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
		$img_msg = 'msg_'.$st[0].'.gif';
    } elseif ($st[0] == 'u' && $moddate > date('YmdHi')) {
        $st[0] = 't';
        $etat = 'Up '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
		$img_msg = 'msg_'.$st[0].'.gif';
    } elseif ($newdate < $creadate) {
        $st[0] = 'n';
        $etat = $web[371];
		$img_msg = 'msg_'.$st[0].'.png';
    } else {
        $st[0] = 'a';
        $etat = $web[367];
		$img_msg = 'msg_'.$st[0].'.png';
    }
    echo '
<div style="text-align:center;">
<table class="bord" style="width:100%;margin:auto auto 6px auto;">
  <tr class="forum2">
    <td style="height:32px;width:20%;min-width:140px;max-width:160px;text-align:center;white-space:nowrap;">
	  <img src="'.$reptheme.'/'.$img_msg.'" style="vertical-align:middle" alt="'.$etat.'" title="'.$etat.'" />&nbsp;&nbsp;<b>'.$web[63].' '.$thread.'</b>
	</td>
    <td colspan="2" style="text-align:left;">
      &nbsp;<a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-4-'.$pg.'-'.$cat: $site['TH'].'.php?lng='.$lng.'&amp;pg='.$pg.GetOptionnalArg('cat', $cat)).'" title="'.$web[511].'"><b>'.$fieldb1.'</b></a>
	</td>
  </tr>
  <tr style="vertical-align:top;">
    <td class="rep" rowspan="2" style="text-align:center;min-width:136px;white-space:nowrap;">';
    if ($fieldd2 != 'v' && $fieldd2 != '') {
        $nbrpostmsg = $fieldd2.' '.($fieldd2 > 1 ? $web[335] : $web[334]);
    } else {
        $nbrpostmsg='';
    }
    $max = explode('-', $forum[7]);
    if ($fieldd2 == 'v') {
        $inscrit = $web[15];
    } elseif($forum[7] == '') {
        $inscrit = '';
    } elseif($fieldd2 >= $max[3]) {
        $inscrit = '<img src="'.$reptheme.'/rank5.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
    } elseif($fieldd2 >= $max[2]) {
        $inscrit = '<img src="'.$reptheme.'/rank4.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
    } elseif($fieldd2 >= $max[1]) {
        $inscrit = '<img src="'.$reptheme.'/rank3.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
    } elseif($fieldd2 >= $max[0]) {
        $inscrit = '<img src="'.$reptheme.'/rank2.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
    } else {
        $inscrit = '<img src="'.$reptheme.'/rank1.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
    }
	if ($page[23] != 'none') {
		if($fieldc2 == '') {
			$fieldc2 = '<img src="inc/img/avatars/unknow.gif" alt="'.$web[305].'" title="'.$web[305].'" />';
		} else {
			if ($fieldc2 == 'unknown' && is_file(MSGREP.$author.DBEXT)) {
				$userdb  = ReadDBFields(MSGREP.$author.DBEXT);
				if ($userdb[1][9] == 'unknown' && $userdb[1][16] != '')
					$fieldc2 = '<img src="'.$userdb[1][16].'" alt="'.$author.'" title="'.$author.'" />';
				else
					$fieldc2 = '<img src="inc/img/avatars/unknow.gif" alt="'.$author.'" title="'.$author.'" />';
			} else {
			$fieldc2 = '<img src="inc/img/avatars/'.$page[23].'/'.$fieldc2.'" alt="'.$author.'" title="'.$author.'" />';
			}
		}
	}
    echo '
    <br />'.$web[7].' '.FormatDate($creadate).'
    <br />'.$web[6].' <b>'.addslashes($author).'</b>
    <br />
    <br />'.($page[23] != 'none' ? $fieldc2 : '&nbsp;').'
    <br />
    <br />';
    $rank     = ReadDBFields(ADMINS);
    $modadmin = '';
    for ($y = 0; $y < count($rank); $y++) {
        if ($rank[$y][0] == $userprefs[1] && $rank[$y][2] == 'on') {
            $modadmin = 'yes';
            break;
        }
    }
    if ($userprefs[1] == $serviz[31]) {
        $modadmin = 'yes';
    }
    if ($author == $serviz[31]) {
        echo $web[418].'<br />';
    } else {
        for ($y = 0; $y < count($rank); $y++) {
            if ($rank[$y][0] == $author) {
                switch ($rank[$y][1]) {
                case 'admin' :
                    echo (empty($rank[$y][3]) ? $web[418] : $rank[$y][3]).'<br />';
                    break;
                case 'modo' :
                    echo (empty($rank[$y][3]) ? $web[420] : $rank[$y][3]).'<br />';
                    break;
                case 'redac' :
                    echo (empty($rank[$y][3]) ? $web[419] : $rank[$y][3]).'<br />';
                    break;
                case 'webm' :
                    echo (empty($rank[$y][3]) ? $web[11] : $rank[$y][3]).'<br />';
                    break;
                }
            }
        }
    }
    echo $inscrit;
	$url1 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'maj'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=maj&amp;num='.$thread.'&amp;pg='.$fileid;
	$url2 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'stop'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=stop&amp;num='.$thread.'&amp;pg='.$fileid;
	$url3 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'raz'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=raz&amp;num='.$thread.'&amp;pg='.$fileid;
	$url4 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'lock'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=lock&amp;num='.$thread.'&amp;pg='.$fileid;
	$url5 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'top'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=top&amp;num='.$thread.'&amp;pg='.$fileid;
	$url6 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'up'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=up&amp;num='.$thread.'&amp;pg='.$fileid;
	$url7 = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'move'.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=move&amp;num='.$thread.'&amp;pg='.$fileid;
    switch ($st[0]) {
    case 'c':
    case 's':
        if (WYSIWYG && $userprefs[11] != 'on' && $modadmin == 'yes') {
            echo '
    &nbsp;<a href="'.$url1.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>
    &nbsp;<a href="'.$url3.'" title="'.$web[621].'"><img src="'.$reptheme.'/unlock.png" alt="'.$web[621].'" /></a>';
        }
        break;
    case 't':
    case 'u';
        if ($modadmin == 'yes') {
            if (WYSIWYG && $userprefs[11] != 'on') {
                echo '
    &nbsp;<a href="'.$url1.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>
    &nbsp;<a href="'.$url2.'" title="'.$web[390].'"><img src="'.$reptheme.'/lock.png" alt="'.$web[390].'" /></a>
    &nbsp;<a href="'.$url3.'" title="'.$web[621].'"><img src="'.$reptheme.'/unlock.png" alt="'.$web[621].'" /></a>';
            }
        }
        elseif ($userprefs[1] == $author) {
            if (WYSIWYG && $userprefs[11] != 'on') {
                echo '
    &nbsp;<a href="'.$url1.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>';
			}
			echo '
    &nbsp;<a href="'.$url4.'" title="'.$web[363].'"><img src="'.$reptheme.'/lock.png" alt="'.$web[363].'" /></a>';
        }
        break;
    default:
        if ($modadmin == 'yes') {
            if (WYSIWYG && $userprefs[11] != 'on') {
                echo '
    &nbsp;<a href="'.$url1.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>
    &nbsp;<a href="'.$url2.'" title="'.$web[390].'"><img src="'.$reptheme.'/lock.png" alt="'.$web[390].'" /></a>';
            }
            if ($forum[6] != '') {
                echo '
	&nbsp;<img src="'.$reptheme.'/lockup.png" style="cursor:pointer;" alt="'.$web[364].'" title="'.$web[364].'" onmouseup="cache(\'moveto\'); montre(\'timetop\');" />
	<div id="timetop" class="quest" style="position:absolute;display:none;width:400px;height:52px;z-index:15;text-align:center;border:1px solid;border-radius:8px;">
	  <form name="topval" action="'.$url5.'" method="post">
	    '.$web[622].' 
		<input type="text" name="forum6"  size="2" value="'.$forum[6].'" />
		<div style="text-align:center;">'.SubmitButton($web[52]).'</div>
		<div style="float:right;margin:-12px 4px 0 0;"><img src="'.$reptheme.'/close.png" alt="'.$web[57].'" title="'.$web[57].'" onmouseup="cache(\'timetop\')" /></div>
		<div style="clear:both;"></div>
	  </form>
	</div>';
            }
			if ($serviz[18] == 'on') {
				echo '
	&nbsp;<img src="'.$reptheme.'/moveto.png" style="cursor:pointer;" alt="'.$web[632].'" title="'.$web[632].'" onmouseup="cache(\'timetop\'); montre(\'moveto\');" />
	<div id="moveto" class="quest" style="position:absolute;display:none;width:400px;height:46px;z-index:15;text-align:center;border:1px solid;border-radius:8px;">
	  <form name="movetoform" action="'.$url7.'" method="post">
	    '.$web[633].' 
        <select name="tocat" onchange="this.form.submit();" style="vertical-align:middle;width:120px;">';
				for ($k = 0; $k < count($dbworkcat); $k++) {
					echo '
          <option value="'.$dbworkcat[$k][0].'" '.Selected($dbworkcat[$k][0] == $cat).'>'.$dbworkcat[$k][1].'</option>';
				}
				echo '
      </select>
		<div style="float:right;margin:6px 4px 0 0;"><img src="'.$reptheme.'/close.png" alt="'.$web[57].'" title="'.$web[57].'" onmouseup="cache(\'moveto\')" /></div>
		<div style="clear:both;"></div>
	  </form>
	</div>';
			}
        } elseif ($userprefs[1] == $author) {
            if (WYSIWYG && $userprefs[11] != 'on') {
                echo '
    &nbsp;<a href="'.$url1.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>';
            }
            echo '
    &nbsp;<a href="'.$url4.'" title="'.$web[363].'"><img src="'.$reptheme.'/lock.png" alt="'.$web[363].'" /></a>';
            if ($forum[5] != '') {
                echo '
    &nbsp;<a href="'.$url6.'" title="'.$web[364].'"><img src="'.$reptheme.'/lockup.png" alt="'.$web[364].'" /></a>';
            }
        }
    }
    echo '
    <br />';
    $fieldc1 = colorCode($fieldc1);
    echo '
    </td>
    <td class="rep" colspan="2" style="height:120px;padding:4px;text-align:left;"><br />'.$fieldc1.'</td>
  </tr>
  <tr>
    <td colspan="2" style="height:28px;text-align:left;">';
	if ($prt == 0 && $serviz[107] = 'on') {
		include CONFIGREP.'sncode.inc';
		if (!empty($coders))
			echo '
	  <div style="padding-top:4px;">'.$coders.'</div>';
	}
	echo '
	  <div>
	    <div float:left;>';
    if ($fieldd1 == 'on') {
        echo 
		  displayWriteEmail(TYP_THREAD, $author, $email, ' <img src="'.$reptheme.'/email.png" alt="'.$web[173].' '.$author.'" title="'.$web[173].' '.$author.'" style="vertical-align:middle;" />');
    }
    echo '&nbsp;';
    if ($fieldweb != '') {
        echo '
          <a href="'.$fieldweb.'" target="_blank"><img src="'.$reptheme.'/site.png" alt="'.$web[304].' '.$author.'" title="'.$web[304].' '.$author.'" style="vertical-align:middle;" /></a>';
    }
    echo '
	    <div style="float:right;text-align:right;">';
    if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31] == $userprefs[1]) || ($serviz[32] && $drtuser[23] == 'on')) {
        echo '
          <a href="admin/admin.php?lng='.$lng.'&amp;pg=forum&amp;form=2&amp;id='.$fileid.'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" title="'.$web[369].'" /></a>
          <a href="admin/admin.php?lng='.$lng.'&amp;pg=forum&amp;act=i&amp;id='.$fileid.'"><img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'" /></a>
          <a href="admin/admin.php?lng='.$lng.'&amp;pg=forum&amp;del='.$fileid.'"><img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" /></a>';
    }
    if ($st[0] != 'c') {
        echo '
          <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-2-'.TYP_THREAD.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;num='.$thread.'&amp;pg='.$fileid).'">
            <img src="'.$reptheme.'/reponse.png" alt="'.$web[65].'" title="'.$web[65].'" />
		  </a>&nbsp;';
    } else {
        echo '
          <img src="'.$reptheme.'/rep_lock.png" alt="'.$web[366].$web[368].'" title="'.$web[366].$web[368].'" />&nbsp;';
    }
    echo '
          <a href="#top"><img src="'.$reptheme.'/haut.png"  style="width:12px;height:11px;" alt="'.$web[136].'" title="'.$web[136].'" /></a>
	    </div>
	  </div><div style="clear:both;"></div>
    </td>
  </tr>
</table>';
    $dbder = ReadDBFields(DBFORUM);
    for ($i = 0; $i < count($dbder); $i++) {
        if($fielda1==$dbder[$i][1] && $dbder[$i][7] > 3) {
            $idder=(ceil(count($dbthrd)/ $serviz[20]));
            echo '
<form action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-5-'.$pg.'-'.$cat.'-'.$idder.'-R'.$dbder[$i][7]: $site['TH'].'.php?lng='.$lng.'&amp;pg='.$pg.GetOptionnalArg('cat', $cat).GetOptionnalArg('id', $idder).'#R'.$dbder[$i][7]).'" method="post">
  <p style="text-align:right;">
    '.ImgSubmitButton($web[283]).'
  </p>
</form>';
        }
    }
    if (empty($id)) {
        $id = 1;
    }
    if (!empty($dbthrd)) {
        if (3 == abs($prt)) {
            $id = 1;
            $serviz[20] = 99999;
        }
        echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-5-'.$pg.'-'.$cat.'-': $site['TH'].'.php?lng='.$lng.'&amp;pg='.$pg.GetOptionnalArg('cat', $cat).'&amp;id='), count($dbthrd), $id, $serviz[20]);
        for ($i = $serviz[20]*($id-1); $i < Min($serviz[20]*$id, count($dbthrd)); $i++) {
            ReadDoc($dbthrd[$i][3]);
            if ($fieldd2 != 'v' && $fieldd2 != '') {
                $nbrpostmsg = $fieldd2.' '.($fieldd2 > 1 ? $web[335] : $web[334]);
            } else {
                $nbrpostmsg='';
            }
            if ($fieldd2=='v' || !FileDBExist(MSGREP.$author.DBEXT)) {
                $inscrit = $web[15];
            } elseif($forum[7] == '') {
                $inscrit = '';
            } elseif($fieldd2 >= $max[3]) {
                $inscrit = '<img src="'.$reptheme.'/rank5.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
            } elseif($fieldd2 >= $max[2]) {
                $inscrit = '<img src="'.$reptheme.'/rank4.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
            } elseif($fieldd2 >= $max[1]) {
                $inscrit = '<img src="'.$reptheme.'/rank3.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
            } elseif($fieldd2 >= $max[0]) {
            $inscrit = '<img src="'.$reptheme.'/rank2.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
            } else {
                $inscrit = '<img src="'.$reptheme.'/rank1.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
            }
			if ($page[23] != 'none') {
				if($fieldc2 == '') {
					$fieldc2 = '<img src="inc/img/avatars/unknow.gif" alt="'.$web[305].'" title="'.$web[305].'" />';
				} else {
					if ($fieldc2 == 'unknown' && is_file(MSGREP.$author.DBEXT)) {
						$userdb  = ReadDBFields(MSGREP.$author.DBEXT);
						if ($userdb[1][9] == 'unknown' && $userdb[1][16] != '')
							$fieldc2 = '<img src="'.$userdb[1][16].'" alt="'.$author.'" title="'.$author.'" />';
						else
							$fieldc2 = '<img src="inc/img/avatars/unknow.gif" alt="'.$author.'" title="'.$author.'" />';
					} else {
						$fieldc2 = '<img src="inc/img/avatars/'.$page[23].'/'.$fieldc2.'" alt="'.$author.'" title="'.$author.'" />';
					}
				}
			}
            echo '
<a name="R'.$fielda2.'"></a>
<table class="bord" style="width:100%;margin:8px auto auto auto;">
  <tr>
    <td class="rep" rowspan="2" style="width:20%;min-width:136px;text-align:center;vertical-align:top;min-width:136px;white-space:nowrap;">';
            $newdate = date('YmdHi',time()-(86400*$forum[8]));
            if ($newdate < $creadate) {
                echo '
      <img src="'.$reptheme.'/msg_n.png" style="vertical-align:middle;" alt="'.$web[371].'" title="'.$web[171].'" /> ';
            }
            echo '
      <b>'.$web[68].' '.$fielda2.'</b>
      <br />--------
      <br /> '.$web[7].' '.FormatDate($creadate).'
      <br />'.$web[6].' <b>'.addslashes($author).'</b>
      <br />
      <br />'.($page[23] != 'none' ? $fieldc2 : '&nbsp;').'
      <br />
      <br />';
            if ($author == $serviz[31]) {
                echo $web[418].'<br />';
            } else {
                for ($y = 0; $y < count($rank); $y++) {
                    if ($rank[$y][0] == $author) {
                        switch ($rank[$y][1]) {
                        case 'admin' :
                            echo $web[418].'<br />';
                            break;
                        case 'modo' :
                            echo $web[420].'<br />';
                            break;
                        case 'redac' :
                            echo $web[419].'<br />';
                            break;
                        case 'webm' :
                            echo $web[11].'<br />';
                            break;
                        }
                    }
                }
            }
            echo $inscrit;
            if (WYSIWYG && $userprefs[11] != 'on' && $st[0] != 'c' && $st[0] != 's') {
                if ($author == $userprefs[1] || $modadmin == 'yes' || $serviz[31] == $userprefs[1]) {
                    if ($browser == 'OK' && $userprefs[11] != 'on' && $st[0] != 'c' && $st[0] != 's') {
						$url = $site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-maj-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=maj&amp;num='.$thread.'&amp;pg='.$fileid;
                        echo '
      &nbsp;<a href="'.$url.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>';
                    }
                }
            }
            echo '
      <br />';
            $fieldc1 = stripslashes($fieldc1);
            $fieldc1 = colorCode($fieldc1);
            echo '
    </td>
    <td class="rep" colspan="2" height="130" style="vertical-align:top;text-align:left;">'.$fieldc1.'</td>
  </tr>
  <tr>
    <td style="text-align:left;height:28px;">';
            if ($fieldd1 == 'on') {
                echo displayWriteEmail('thread'.$i, $author, $email, ' <img src="'.$reptheme.'/email.png" alt="'.$web[173].' '.$author.'" title="'.$web[173].' '.$author.'" style="vertical-align:middle;" />');
            }
            echo '&nbsp;';
            if ($fieldweb != '') {
                echo '
      <a href="'.$fieldweb.'" target="_blank"><img src="'.$reptheme.'/site.png" alt="'.$web[304].' '.$author.'" title="'.$web[304].' '.$author.'" style="vertical-align:middle;" /></a>';
            }
            echo '
    </td>
    <td style="text-align:right;">';
            if (($serviz[32] == 'on' && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($drtuser[23] == 'on')) {
                echo '
      <a href="admin/admin.php?lng='.$lng.'&amp;pg=forum&amp;form=2'.GetOptionnalArg('id', $fileid).'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" title="'.$web[369].'" /></a>
      <a href="admin/admin.php?lng='.$lng.'&amp;pg=forum&amp;act=i'.GetOptionnalArg('id', $fileid).'"><img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'" /></a>
      <a href="admin/admin.php?lng='.$lng.'&amp;pg=forum'.GetOptionnalArg('del', $fileid).'"><img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" /></a>';
            }
            if ($st[0] != 'c') {
                echo '
      <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-2-'.TYP_THREAD.'-'.$thread.'-'.$fileid: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;num='.$thread.'&amp;pg='.$fileid).'">
      <img src="'.$reptheme.'/reponse.png" alt="'.$web[65].'" title="'.$web[65].'" /></a>&nbsp;';
            }
            else {
                echo '
      <img src="'.$reptheme.'/rep_lock.png" alt="'.$etat.'" title="'.$etat.'" />&nbsp;';
            }
            echo '
      <a href="#top"><img src="'.$reptheme.'/haut.png"  style="width:12px;height:11px;" alt="'.$web[136].'" title="'.$web[136].'" /></a>
    </td>
  </tr>
</table>';
        }
    }
    echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-5-'.$pg.'-'.$cat.'-': $site['TH'].'.php?lng='.$lng.'&amp;pg='.$pg.GetOptionnalArg('cat', $cat).'&amp;id='), count($dbthrd), $id, $serviz[20]);
    if (empty($fid)) {
        $fid = 1;
    }
    echo '
<div style="width:auto;padding:4px;margin:4px auto 0 0;text-align:left;height:36px;">
  <img src="'.$reptheme.'/msg_a.png" style="vertical-align:middle;" alt="'.$web[367].'" /> '.$web[366].$web[367].' &nbsp;
  <img src="'.$reptheme.'/msg_c.png" style="vertical-align:middle;" alt="'.$web[368].'" /> '.$web[366].$web[368].' &nbsp;
  <img src="'.$reptheme.'/msg_t.gif" style="vertical-align:middle;" alt="'.$web[370].'" /> '.$web[370].' &nbsp;
  <img src="'.$reptheme.'/msg_n.png" style="vertical-align:middle;" alt="'.$web[371].'" />'.$web[371].$web[334].'<br />
  <img src="'.$reptheme.'/edit.png" style="vertical-align:middle;" alt="'.$web[369].'" /> '.$web[369]." ".$web[334].' &nbsp;
  <img src="'.$reptheme.'/lock.png" style="vertical-align:middle;" alt="'.$web[363].'" /> '.$web[363].$web[366].' &nbsp;
  <img src="'.$reptheme.'/lockup.png" style="vertical-align:middle;" alt="'.$web[364].'" /> '.$web[364].' &nbsp;'
  .($userprefs[1] == $serviz[31] ? '
	<img src="'.$reptheme.'/unlock.png" style="vertical-align:-1px;" alt="'.$web[621].'" /> '.$web[621].$web[366].' &nbsp;
	<img src="'.$reptheme.'/moveto.png" style="vertical-align:-1px;" alt="'.$web[632].'" /> '.$web[632].$web[366]
	: '').'
</div>
<div style="width:100%;">
  <div style="float:right;text-align:right;padding:2px 0px 4px 8px;line-height:auto;">
    <form action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-22-'.$cat.'-'.$fid: $site['FR'].'.php?lng='.$lng.GetOptionnalArg('cat', $cat).GetOptionnalArg('id', $fid)).'" method="post">
      '.ImgSubmitButton($web[70]).'
    </form>
  </div>';
    if ($serviz[18] == 'on' && !empty($dbworkcat)) {
        echo '
  <div style="float:right;width:300px;text-align:right;padding:0 6px;line-height:auto;">
    <form method="post" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-31': $site['FR'].'.php?lng='.$lng).'">
      <span style="margin-left:8px;vertical-align:middle;padding: 4px 6px 4px 0;"><a href="'.$site['FRT'].'.php?lng='.$lng.'" title="'.$web[130].'"><img src="'.$reptheme.'/dir.png"  style="vertical-align:middle" alt="'.$web[130].'" /> &nbsp;<b>'.$forumname.'</b></a></span>&nbsp;
      <select name="cat" onchange="this.form.submit();" style="vertical-align:middle;">';
        foreach ($dbworkcat as $dbw) {
            echo '
        <option value="'.$dbw[0].'" '.Selected($dbw[0] == $cat).'>'.$dbw[1].'</option>';
        }
        echo '
      </select>
    </form>
  </div>';
    }
    echo '
</div>
<br />
</div>
<br />
<br />';
}
btable();
include 'inc/bpage.inc';
?>
