<?php
/*******************************************************************************
 *   Tinymsg
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

$action     = import('action');
$fic        = import('fic');
$form       = import('form');
$ancienmsg  = addslashes(import('ancienmsg'));
$anciendate = import('anciendate');
$msg        = addslashes(import('msg'));
$maxcar     = '1500'; // max length of tiny messages in chr

$topmess = $web[215];
include 'inc/hpage.inc';
htable($web[215].' - '.$userprefs[1], '100%');

$from = KeepGoodChars(CutLongWord(import('from'),20));
$to   = KeepGoodChars(CutLongWord(import('to'),20));

if (empty($userprefs[1])) {
    echo "<strong>".$web[357]."</strong><br /><br />".$web[358]."<br />";
    btable();
    include("inc/bpage.inc");
    exit;
}

function UpdateFicForm($fic, $form, $id) {
    $array = explode("\n", fread(fopen($fic, "r"), filesize($fic)));
    $delete = array_pop($array);
    $new = $form;
    $array[$id] = $new;
    $fhandle = fopen($fic,"w");
    for($a=0;$a< count($array);$a++) {
        fwrite($fhandle,stripslashes($array[$a])."\n");
    }
    fclose($fhandle);
}

################################################################################
if ($action == 1) {  // Envoyer un tiny
    $from = $userprefs[1];
    if (empty($to)) {
        echo '<strong>'.$web[357].'</strong><br /><br />'.$web[359].'<br />';
        btable();
        include 'inc/bpage.inc';
        exit;
    }
    echo JavascriptFile(CHEMIN.'inc/tinymsg.js').'
  <table style="width:540px;text-align:center;margin:auto;">
    <tr>
	  <td>
        <form name="nmsgr" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-2-2-'.$to.'-'.$from: 'tinymsg.php?lng='.$lng.'&amp;action=2&amp;to='.$to.'&amp;from='.$from).'" method="post">
          <p style="text-align:left;">'.$web[208].'&nbsp;&nbsp;<strong>'.$from.'</strong><br />'.$web[204].'&nbsp;&nbsp;<strong>'.$to.'</strong></p>
          <table style="width:80%;margin:auto;">';
    if (FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
        $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
        if ($id != '') {
            if ($dbmsg[0][0] == $userprefs[7]) {
                if ($dbmsg[$id][3] == 'new') {
                    $dbmsg[$id][3] = 'lu';
                    UpdateFicForm(MSGREP.$userprefs[1].DBEXT, implode(CONNECTOR, $dbmsg[$id]), $id);
                }
            }
            echo '
            <tr><td><input type="hidden" name="anciendate" value="'.$dbmsg[$id][1].'" /></td></tr>
            <tr>
			  <td style="text-align:center;">
			    <p style="text-align:center;">'.$web[216].'</p>
                <input type="hidden" name="ancienmsg" value="'.stripslashes($dbmsg[$id][2]).'" />
                <div class="rep" style="margin:auto;height:80px;width:480px;overflow:auto;border:1px solid;">'.stripslashes(souriez($dbmsg[$id][2])).'</div>
              </td>
			</tr>';
        }
    }
    echo '
            <tr><td style="text-align:center;"><p style="text-align:center;">'.$web[56].'</p></td></tr>
            <tr><td><textarea name="msg" rows="8" style="width:500px;"></textarea></td></tr>
            <tr>
			  <td style="text-align:center;vertical-align:middle;">
                <a href="javascript:format(\'b\')"><img class="clsCursor" src="inc/pgeditor/images/bold.gif" alt="'.$web[98].'" title="'.$web[98].'" /></a>&nbsp;
                <a href="javascript:format(\'i\')"><img class="clsCursor" src="inc/pgeditor/images/italic.gif" alt="'.$web[100].'" title="'.$web[100].'" /></a>&nbsp;
                <a href="javascript:format(\'u\')"><img class="clsCursor" src="inc/pgeditor/images/underline.gif" alt="'.$web[99].'" title="'.$web[99].'" /></a>&nbsp;
                <a href="javascript:dolink(\'href=http://\')"><img class="clsCursor" src="inc/pgeditor/images/link.gif" alt="'.$web[170].'" title="'.$web[170].'" /></a>&nbsp;  &nbsp;';
    if ($page[12] != 'none') DrawSmileys("");
    echo '
	          </td>
			</tr>
          </table>
          <p style="text-align:center;">'.SubmitButton($web[52]).'&nbsp;'.SubmitButton($web[205], '', '', '', 'reset').'</p>
        </form>
      </td>
    </tr>
  </table>'.BeginJavascript().'
document.nmsgr.msg.focus();
'.EndJavascript().'
  <p style="text-align:center;">
    <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-3-3': 'tinymsg.php?lng='.$lng.'&amp;action=3').'">
      <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
    </a>
  </p>';
}
################################################################################
elseif ($action == 2) { // Voir un tiny
    $from = $userprefs[1];
    if (empty($to)) {
        echo "<p><strong>".$web[357]."</strong><br /><br />".$web[359]."</p>";
        btable();
        include 'inc/bpage.inc';
        exit;
    }
    if (strlen($msg) > $maxcar) {
        echo BeginJavascript().'
alert("'.strlen($msg).' '.$web[408].' '.$maxcar.')");
history.back();'.EndJavascript();
        exit;
    }
    $msg = str_replace(chr(10), '<br />', $msg);
    $msg = str_replace(chr(13), '', $msg);
    $msg = str_replace('[b]',   '<b>', $msg);
    $msg = str_replace('[/b]',  '</b>', $msg);
    $msg = str_replace('[i]',   '<i>', $msg);
    $msg = str_replace('[/i]',  '</i>', $msg);
    $msg = str_replace('[u]',   '<u>', $msg);
    $msg = str_replace('[/u]',  '</u>', $msg);
    $msg = str_replace('[l]href=','<a href="', $msg);
    $msg = str_replace('[/l]',  '" target="_blank"><img src="'.$reptheme.'/site.png" border="0" alt="'.$web[304].'" /></a>', $msg);
    $msg = str_replace('"',     "'", $msg);
    $dbmsg = array();
    if (FileDBExist(MSGREP.$to.DBEXT)) {
        $dbmsg[0] = $from;
        $dbmsg[1] = GetCurrentDateTime();
        $dbmsg[2] = RemoveConnector(stripslashes($msg));
        $dbmsg[3] = 'new';
        $dbmsg[4] = '';
        $dbmsg[5] = RemoveConnector(stripslashes($ancienmsg));
        $dbmsg[6] = $anciendate;
        $dbmsg[7] = $userprefs[8];
        AppendDBFields(MSGREP.$to.DBEXT, $dbmsg);
        $dbmsg[0] = $to;
        $dbmsg[1] = GetCurrentDateTime();
        $dbmsg[2] = RemoveConnector(stripslashes($msg));
        $dbmsg[3] = 'lu';
        $dbmsg[4] = 'send';
        $dbmsg[5] = RemoveConnector(stripslashes($ancienmsg));
        $dbmsg[6] = $anciendate;
        $dbmsg[7] = $userprefs[8];
        AppendDBFields(MSGREP.$from.DBEXT, $dbmsg);
        echo '
    <br />
	<div style="margin:auto;text-align:center;">
	  <p>'.$web[332].'<br /><br />
	    <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-3-3': 'tinymsg.php?lng='.$lng.'&amp;action=3').'">
	      <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
	    </a>
	  </p>
    </div>
    <form name="suit2" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-3-3': 'tinymsg.php?lng='.$lng.'&amp;action=3').'" method="post"></form>'.BeginJavascript().'
setTimeout("document.suit2.submit();",4000);'.EndJavascript();
    }
    else {
        echo '
    <br /><p style="text-align:center;">'.$web[230].'</p>';
    }
}
################################################################################
elseif ($action == 3) { // Gérer les tiny
    $nbrtinymsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
    if(count($nbrtinymsg) > ($serviz[48]+2)) {
        DeleteDBFieldById(MSGREP.$userprefs[1].DBEXT, 2);
    }
    $dbmsg = Array();
    if (FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
        $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
        if ($dbmsg[0][0] == $userprefs[7]) {
            echo BeginJavascript().'
function selectAllMsg(opt)
{
	var option = opt.name;
	var allSelected = opt.checked;
	switch (option) {
	case "delRecu_all" :
		var allMsg = document.forms["boxtinymsg"].elements["delRecu_id[]"];
		break;
	case "delSend_all" :
		var allMsg = document.forms["boxtinymsg"].elements["delSend_id[]"];
		break;
	default :
		return false;
	}
	if (allMsg.length != undefined) {
		for (i = 0; i < allMsg.length; i++) {
			allMsg[i].checked = (allSelected)? true : false;
		}
	} else {
		allMsg.checked = (allSelected)? true : false;
	}
	return false;
}

function verifyTinyMsgChecked()
{
	var error = true;
	var message = "'.$web[428].'";

	if (document.forms["boxtinymsg"].elements["delRecu_id[]"]) {
		var allMsgRecu = document.forms["boxtinymsg"].elements["delRecu_id[]"];
		if (allMsgRecu.length != undefined) {
			for (i = 0; i < allMsgRecu.length; i++) {
				if (allMsgRecu[i].checked) { error = false; }
			}
		} else {
			if (allMsgRecu.checked) { error = false; }
		}
	}
	if (document.forms["boxtinymsg"].elements["delSend_id[]"]) {
		var allMsgSend = document.forms["boxtinymsg"].elements["delSend_id[]"];
		if (allMsgSend.length != undefined) {
			for (i = 0; i < allMsgSend.length; i++) {
				if (allMsgSend[i].checked) { error = false; }
			}
		} else {
			if (allMsgSend.checked) { error = false; }
		}
	}
	if (error) {
		alert(message);
		return false;
	} else {
		return true;
	}
}
'.EndJavascript().'
<p style="text-align:center;">'.$web[291].' '.$serviz[48].' '.$web[335].'</p>
<p style="text-align:center;">
  <img src="'.$reptheme.'/new.gif" alt="'.$web[211].'" title="'.$web[211].'" /> '.$web[211].'&nbsp;&nbsp;&nbsp;&nbsp;
  <img src="'.$reptheme.'/lu.gif" alt="'.$web[209].'" title="'.$web[209].'" /> '.$web[209].'
</p>
<hr />
<form name="boxtinymsg" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-3-5': 'tinymsg.php?lng='.$lng.'&amp;action=5').'" method="post" onsubmit="return verifyTinyMsgChecked(); return false;">
  <table style="width:400px;margin:auto;">
    <tr><td colspan="5"><p><strong>'.$web[207].'</strong></p></td></tr>
    <tr class="forum" style="text-align:center;">
      <td style="width:10%"><strong>'.$web[206].'</strong></td>
      <td style="width:35%"><strong>'.$web[210].'</strong></td>
      <td style="width:35%"><strong>'.$web[325].'</strong></td>
      <td style="width:20%" colspan="2"><strong>'.$web[323].'</strong></td>
    </tr>';
      
            $nbMsgRecu = 0;
            for ($i = 2; $i < count($dbmsg); $i++) {
                if (isset($dbmsg[$i][4]) && $dbmsg[$i][4] != 'send') {
                    $tdcolor = $dbmsg[$i][3] == 'new' ? ' class="quest"' : ($dbmsg[$i][3] == 'lu' ? ' class="rep"' : '');
                    echo '
          <tr'.$tdcolor.' style="text-align:center;padding:8px 0px;">
          <td style="width:10%"><img src="'.$reptheme.'/'.$dbmsg[$i][3].'.gif" alt="'.$dbmsg[$i][3].'" title="'.$dbmsg[$i][3].'" /></td>
          <td style="width:35%;text-align:left;padding:8px 4px;">
		    <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-4-1-'.$i.'-'.$dbmsg[$i][0].'-'.$userprefs[1]: 'tinymsg.php?lng='.$lng.'&amp;action=1&amp;id='.$i.'&amp;to='.$dbmsg[$i][0].'&amp;from='.$userprefs[1]).'" title="'.$web[140].'"><strong>'.$dbmsg[$i][0].'</strong></a>
		  </td>
          <td style="width:35%">'.FormatDate($dbmsg[$i][1]).'</td>
          <td style="width:8%">
		    <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-5-4'.$i: 'tinymsg.php?lng='.$lng.'&amp;action=4&amp;id='.$i).'">
			  <img src="'.$reptheme.'/look.png" alt="'.$web[326].'" title="'.$web[326].'" />
			</a>
		  </td>
          <td style="width:12%">
		  	<input type="checkbox" name="delRecu_id[]" value="'.$i.'" />
		  	<img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
		  </td>
		  </tr>';
                    $nbMsgRecu ++;
                }
            }
            if ($nbMsgRecu > 0) { //Case Tout supprimer
                echo '
	  <tr style="text-align:center;padding:8px 0px;">
	    <td style="text-align:right;" colspan="4">'.$web[425].'</td>
	    <td style="width:12%">
	  	  <input title="'.$web[426].'" type="checkbox" name="delRecu_all" value="" onclick="selectAllMsg(this)" />
		  <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
	    </td>
	  </tr>';

            }
            echo '
      </table>
      <br />
      <table style="text-align:center;width:400px;margin:auto;">
      <tr><td colspan="5"><strong>'.$web[327].'</strong></td></tr>
      <tr class="forum" style="text-align:center;">
	    <td style="width:10%"><strong>'.$web[206].'</strong></td>
        <td style="width:35%"><strong>'.$web[328].'</strong></td>
        <td style="width:35%"><strong>'.$web[325].'</strong></td>
        <td colspan="2" style="width:20%"><strong>'.$web[323].'</strong></td>
	  </tr>';
      
            $nbMsgSend = 0;
            for ($i = 2; $i < count($dbmsg); $i++) {
                if ($dbmsg[$i][4] == 'send') {
                    echo '
      <tr class="rep" style="text-align:center;padding:8px 0px;">
        <td style="width:10%"><img src="'.$reptheme.'/'.$dbmsg[$i][3].'.gif" alt="'.$dbmsg[$i][3].'" title="'.$dbmsg[$i][3].'" /></td>
        <td style="width:35%;text-align:left;padding:8px 4px;"><strong>'.$dbmsg[$i][0].'</strong></td>
        <td style="width:35%">'.FormatDate($dbmsg[$i][1]).'</td>
        <td style="width:8%">
		  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-5-6'.$i: 'tinymsg.php?lng='.$lng.'&amp;action=6&amp;id='.$i).'">
		    <img src="'.$reptheme.'/look.png" alt="'.$web[326].'" title="'.$web[326].'" />
		  </a>
		</td>
        <td style="width:12%">
		  <input type="checkbox" name="delSend_id[]" value="'.$i.'" />
		  <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
        </td>
	  </tr>';
                    $nbMsgSend ++;
                }
            }

            if ($nbMsgSend > 0) { //Case Tout supprimer
                echo '
	  <tr style="text-align:center;padding:8px 0px;">
		<td style="text-align:right;" colspan="4">'.$web[425].'</td>
		<td style="width:12%">
		  <input title="'.$web[427].'" type="checkbox" name="delSend_all" value="" onclick="selectAllMsg(this)" />
		  <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
		</td>
	  </tr>';

            }
            if ($nbMsgSend + $nbMsgRecu > 0) { //Case Tout supprimer
                echo '
      <tr>
		<td colspan="5" style="padding-right:25px; padding-top:25px; text-align:right;">
          '.SubmitButton($web[424]).' <img src="'.$reptheme.'/up1.png" alt=" " />
        </td>
	  </tr>';
            }
            echo '
	</table>
	<br />
  </form>';
        }
    }
}
################################################################################
elseif ($action == 4) { // Répondre à  ou Supprimer un tiny
    if (empty($id)) {
        die('tinymsg.php : action=4 empty id');
    }
    $dbmsg = array();
    if (FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
        $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
        if ($dbmsg[0][0] == $userprefs[7]) {
            $dbmsg[$id][3] = 'lu';
            UpdateFicForm(MSGREP.$userprefs[1].DBEXT, implode(CONNECTOR, $dbmsg[$id]), $id);
            echo '
    <p style="text-align:center;"><b>'.$web[330]." ".$dbmsg[$id][0].'</b> '.$web[7]." ".FormatDate($dbmsg[$id][1]).'</p>';
			$imgavexp = $page[23] != 'none' ? $dbmsg[$id][7] != '' ? $page[23].'/'.$dbmsg[$id][7] : 'unknow.png' : '';
			echo '
    <br />
	<fieldset>
      <table style="width:98%;margin:auto;">
      <tr class="quest">
      <td style="width:10%;text-align:center;">'.($page[23] != 'none' ?  '<img src="'.CHEMIN.'inc/img/avatars/'.$imgavexp.'" alt="'.$dbmsg[$id][0].'" title="'.$dbmsg[$id][0].'" />' : '&nbsp;').'</td>
      <td style="width:90%"><p>'.stripslashes(souriez($dbmsg[$id][2])).'</p></td></tr>';
			if($dbmsg[$id][5] != '') {
				$imgavdest = $page[23] != 'none' ? $userprefs[8] != '' ? $page[23].'/'.$userprefs[8] : 'unknow.png' : '';
                echo '
        <tr class="forum">
        <td colspan="2" style="text-align:center;"><p>'.$web[329]." ".FormatDate($dbmsg[$id][6]).'</p></td></tr>
        <tr class="quest">
        <td style="width:10%;text-align:center;">'.($page[23] != 'none' ?  '<img src="inc/img/avatars/'.($page[23] != 'none' ? $imgavdest : '&nbsp;').'" alt="Avatar '.$dbmsg[$id][0].'" />' : '&nbsp;').'</td>
        <td style="width:90%"><p>'.stripslashes(souriez($dbmsg[$id][5])).'</p></td></tr>';
			}
        echo '
      </table>
	</fieldset>
	<div style="margin:0 auto;text-align:center;width:280px;">
	  <div style="float:left;">
	    <form name="msg_answer" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-4-1-'.$id.'-'.$dbmsg[$id][0].'-'.$userprefs[1]: 'tinymsg.php?lng='.$lng.'&amp;action=1&amp;id='.$id.'&amp;to='.$dbmsg[$id][0].'&amp;from='.$userprefs[1]).'" method="post" style="margin:0; padding:0;">
		  '.SubmitButton($web[140]).'
	    </form>
	  </div>
	  <div>
	    <form name="msg_del" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-3-5': 'tinymsg.php?lng='.$lng.'&amp;action=5').'" method="post" style="margin:0; padding:0;">
	      <input type="hidden" name="delRecu_id[]" value="'.$id.'" />
		  '.SubmitButton($web[324]).'
	    </form>
	  </div>
	</div>';
		}
	}
    echo '
  <br />
  <p style="text-align:center;">
    <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-3-3': 'tinymsg.php?lng='.$lng.'&amp;action=3').'">
	  <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
	</a>
  </p>';
}
################################################################################
elseif ($action == 5) { // Supprimer des tiny
	$id = array();
	$id_recu = (isset($_POST['delRecu_id']) && is_array($_POST['delRecu_id']))? $_POST['delRecu_id'] : array();
	$id_send = (isset($_POST['delSend_id']) && is_array($_POST['delSend_id']))? $_POST['delSend_id'] : array();
	$id = array_merge($id_recu, $id_send);
	if (FileDBExist(MSGREP.$userprefs[1].DBEXT) && !empty($id)) { //Vérification de l'existence du membre
		$dbmsg = array();
		$dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
		if ($dbmsg[0][0] == $userprefs[7]) { //Vérification du mot de passe
			for ($i = 0; $i < count($id); $i++) {
				unset($dbmsg[$id[$i]]);
			}
			$dbmsg = array_values($dbmsg);
			WriteDBFields(MSGREP.$userprefs[1].DBEXT, $dbmsg);
		}
	}
    echo '
  <p style="text-align:center;">'.$web[331].'</p>
  <br />
  <p style="text-align:center;">
    <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-3-3': 'tinymsg.php?lng='.$lng.'&amp;action=3').'">
	  <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
	</a>
  </p>
  <form name="suit5" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-3-3': 'tinymsg.php?lng='.$lng.'&amp;action=3').'" method="post"></form>'.BeginJavascript().'
setTimeout("document.suit5.submit();",2400);'.EndJavascript();
}
################################################################################
elseif ($action == 6) {
    if (empty($id)) {
        die("tinymsg.php : action=6 empty id");
    }
    $dbmsg = Array();
    if (FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
        $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
        if ($dbmsg[0][0] == $userprefs[7]) {
            $dbmsg[$id][3] = 'lu';
            UpdateFicForm(MSGREP.$userprefs[1].DBEXT, implode(CONNECTOR, $dbmsg[$id]), $id);
            echo '
      <p style="text-align:center;">'.$web[328]." : &nbsp;" .' <strong>'.$dbmsg[$id][0].'</strong> '." &nbsp;".$web[7]." &nbsp;".FormatDate($dbmsg[$id][1]).'</p>
      <div class="rep" style="width:98%;padding:4px;margin-top:8px;">'.stripslashes(souriez($dbmsg[$id][2])).'</div>';
        }
    }
    echo '
  <div style="text-align:center;">
  <hr />
  <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[13].'-3-3': 'tinymsg.php?lng='.$lng.'&amp;action=3').'">
      <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
	</a>
  </div>';
}
################################################################################

btable();
include 'inc/bpage.inc';
?>

