<?php
/*******************************************************************************
 *   Admin account member
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'compte.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[10] == '') {
        $nomzone = $admin[816];
        include 'access.inc';
        exit();
    }
}

$edit  = import('edit');
$uuser = import('uuser');
$regit = import('regit');
if ($uuser == NULL) $uuser = 'old';
$erreur = '';

function MajPassCollaborator($redac, $pass) {
	$filedroits = REDACREP.$redac.INCEXT;
	if (!is_file($filedroits)) {
		return false;
	}
	include $filedroits;
	$drtuser[38] = md5($pass);
    $mettre      = "<?php
if (stristr(\$_SERVER['SCRIPT_NAME'], '".$redac.".inc')) {
    header('location:../index.php');
    die();
}

\$drtuser[0]  = \"".$drtuser[0]."\";  // Accès à config générale
\$drtuser[1]  = \"".$drtuser[1]."\";  // Accès à config site
\$drtuser[2]  = \"".$drtuser[2]."\";  // Accès à config accueil
\$drtuser[3]  = \"".$drtuser[3]."\";  // Accès à config section
\$drtuser[4]  = \"".$drtuser[4]."\";  // Accès à Config services
\$drtuser[5]  = \"".$drtuser[5]."\";  // Accès à Config boites
\$drtuser[6]  = \"".$drtuser[6]."\";  // Accès à Maintenance
\$drtuser[7]  = \"".$drtuser[7]."\";  // Accès à Archivage Forum
\$drtuser[8]  = \"".$drtuser[8]."\";  // Accès à Contrôle d'intégrité DB
\$drtuser[9]  = \"".$drtuser[9]."\";  // Accès à Mot de passe Collaborateur
\$drtuser[10] = \"".$drtuser[10]."\"; // Accès à Config zone membres
\$drtuser[11] = \"".$drtuser[11]."\"; // Accès à Travaux
\$drtuser[12] = \"".$drtuser[12]."\"; // Accès à Droits
\$drtuser[13] = \"".$drtuser[13]."\"; // Accès à Contact avancé
\$drtuser[14] = \"".$drtuser[14]."\"; // Accès à Nouvelles
\$drtuser[15] = \"".$drtuser[15]."\"; // Accès à Articles
\$drtuser[16] = \"".$drtuser[16]."\"; // Accès à Réactions Articles
\$drtuser[17] = \"".$drtuser[17]."\"; // Accès à Boîtes menus
\$drtuser[18] = \"".$drtuser[18]."\"; // Accès à Photos
\$drtuser[19] = \"".$drtuser[19]."\"; // Accès à Téléchargements
\$drtuser[20] = \"".$drtuser[20]."\"; // Accès à Liens
\$drtuser[21] = \"".$drtuser[21]."\"; // Accès à FAQ
\$drtuser[22] = \"".$drtuser[22]."\"; // Accès à Livre d'or
\$drtuser[23] = \"".$drtuser[23]."\"; // Accès à Forum
\$drtuser[24] = \"".$drtuser[24]."\"; // Accès à Config Forum
\$drtuser[25] = \"".$drtuser[25]."\"; // Accès à Sondage
\$drtuser[26] = \"".$drtuser[26]."\"; // Accès à Boites libres
\$drtuser[27] = \"".$drtuser[27]."\"; // Accès à Bannières
\$drtuser[28] = \"".$drtuser[28]."\"; // Accès à Citations
\$drtuser[29] = \"".$drtuser[29]."\"; // Accès à Menu icônes
\$drtuser[30] = \"".$drtuser[30]."\"; // Statut à afficher
\$drtuser[31] = \"".$drtuser[31]."\"; // Accès à Compteur
\$drtuser[32] = \"".$drtuser[32]."\"; // Accès à Statistiques
\$drtuser[33] = \"".$drtuser[33]."\"; // Accès à Newsletter
\$drtuser[34] = \"".$drtuser[34]."\"; // Accès à Nouvelles RSS
\$drtuser[35] = \"".$drtuser[35]."\"; // Accès à Logs
\$drtuser[36] = \"".$drtuser[36]."\"; // Accès à Fichiers
\$drtuser[37] = \"".$drtuser[37]."\"; // Accès à Agenda
\$drtuser[38] = \"".$drtuser[38]."\"; // Password
\$drtuser[39] = \"".$drtuser[39]."\"; // Accès à Blogs
\$drtuser[40] = \"".$drtuser[40]."\"; // Accès à Réactions Blogs
\$drtuser[41] = \"".$drtuser[41]."\"; // Accès à Blog RSS
\$drtuser[42] = \"".$drtuser[42]."\"; // Fonction
\$drtuser[43] = \"".$drtuser[43]."\"; // Accès à Config Style
\$drtuser[44] = \"".$drtuser[44]."\"; // Accès à Import
\$drtuser[45] = \"".$drtuser[45]."\"; // Accès à Sécurité
\$drtuser[46] = \"".$drtuser[46]."\"; // Accès à Mise à jour / Extension
\$drtuser[47] = \"".$drtuser[47]."\"; // Accès à Sauvegarde du site
\$drtuser[48] = \"".$drtuser[48]."\"; // Accès à Version de GuppY
\$drtuser[49] = \"".$drtuser[49]."\"; // Accès à Config Recherche
\$drtuser[50] = \"".$drtuser[50]."\"; // Accès à Réseaux sociaux
\$drtusersv[0] = \"".$drtusersv[0]."\"; // e-mail publication article
\$drtusersv[1] = \"".$drtusersv[1]."\"; // e-mail publication réaction article
\$drtusersv[2] = \"".$drtusersv[2]."\"; // e-mail publication nouvelle
\$drtusersv[3] = \"".$drtusersv[3]."\"; // e-mail publication blog
\$drtusersv[4] = \"".$drtusersv[4]."\"; // e-mail publication commentaire blog
\$drtusersv[5] = \"".$drtusersv[5]."\"; // e-mail publication livre d\'or
\$drtusersv[6] = \"".$drtusersv[6]."\"; // e-mail publication forum";
	foreach($drtuserplg as $plg => $value) {
        $mettre .= "
\$drtuserplg['$plg'] = \"".$value."\"; // Accès plugin $plg";
    }
	$mettre .='
?>';
    WriteFullDB($filedroits, $mettre);
	return true;
}

$err_pseudo = false;
$err_uid    = false;
$err_uid2   = false;
$err_uemail = false;
$err_uweb   = false;
$err_uimg   = false;
$err_uext   = false;

if ($regit == 1) {
	$pseudok = true;
	$msg = '';
	if ($uuser == 'new') {
		$upseudo = KeepGoodChars(RemoveConnector(RemoveQuote(stripslashes(CutLongWord(import('upseudo'),20)))));
		$edit    = $upseudo;
	}
	else $userdb = ReadDBFields(MSGREP.$edit.DBEXT);
	
	$ulang      = import('ulang');
	$uemail     = CutLongWord(import('uemail'));
	$uboxes     = import('uboxes');
	$ushow      = import('ushow');
	$usign      = WrapLongWords(stripslashes(import('usign')));
	$usign      = RemoveConnector(stripslashes($usign));
	$usign      = str_replace(chr(10), '<br />', $usign);
	$uuid       = import('uuid');
	$uuid2      = import('uuid2');
	$avatar     = import('avatar');
	$avatar     = IsImage(substr($avatar, -3)) ? $avatar : 'unknown';
	$uwebsite   = import('uwebsite');
	$udesign    = import('udesign');
	$ueditor    = import('ueditor');
	$uimgsign   = import('uimgsign');
	$uextavatar = import('uextavatar');

	$uwebsite   = empty($uwebsite) ? 'http://' : $uwebsite;
	$uimgsign   = empty($uimgsign) ? 'http://' : $uimgsign;
	$uextavatar = empty($uextavatar) ? 'http://' : $uextavatar;

	$err_pseudo = empty($edit) ? true: false;
	$err_uid    = empty($uuid) && $uuser == 'new' ? true: false;
	$err_uid2   = $uuid != $uuid2 && $uuser != 'new' ? true: false;
	$err_uemail = empty($uemail) ? true: false;
	$err_uweb   = 'http://' != $uwebsite && 1 != preg_match('/(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/', $uwebsite) ? true : false;
	$err_uimg   = 'http://' != $uimgsign && 1 != preg_match('/(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/', $uimgsign) ? true : false;
	$err_uimg   = $err_uimg && !IsImage(substr($uimgsign, -3));
	$err_uext   = 'http://' != $uextavatar && 1 != preg_match('/(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/', $uextavatar) ? true : false;
	$err_uext   = $err_uext && !IsImage(substr($uextavatar, -3));
	
	$erreur .= $err_pseudo ? '<li>'.$web[266].'</li>': '';
	$erreur .= $err_uid ? '<li>'.$web[302].'</li>': '';
	$erreur .= $err_uid2 ? '<li>'.$web[466].'</li>': '';
	$erreur .= $err_uemail ? '<li>'.$web[42].'</li>': '';
	$erreur .= $err_uweb ? '<li>'.$web[545].$web[51].$web[554].'</li>': '';
	$erreur .= $err_uimg ? '<li>'.$web[545].$web[623].$web[554].'</li>': '';
	$erreur .= $err_uext ? '<li>'.$web[545].$web[627].$web[554].'</li>': '';
	
	$uwebsite   = $err_uweb ? 'http://' : $uwebsite;
	$uimgsign   = $err_uimg ? 'http://' : $uimgsign;
	$uextavatar = $err_uext ? 'http://' : $uextavatar;
	
    if (empty($erreur)) {
		$dbmail = array();
		$bad    = array('.', '..', 'index.php');
		$files  = scandir(MSGREP);
		$files  = array_diff($files, $bad);
		foreach ($files as $file) {
			if (is_file(MSGREP.$file) && substr($file, -3) == 'dtb') {
				$userdb = ReadDBFields(MSGREP.$file);
				if (basename($file) == $edit.DBEXT) {
					if ($uuser == 'new') {
						$pseudok = false;
						$msg     = $web[231];
						break;
					}
				} elseif (isset($userdb[1][3])) {
					$dbmail[] = $userdb[1][3];
				}
			}
		}
		$files = scandir(TEMPREP);
		foreach ($files as $file) {
			if (is_file(TEMPREP.$file) && substr($file, -3) == 'dtb') {
				$userdb = ReadDBFields(TEMPREP.$file);
				if (basename($file) == $edit.DBEXT) {
					if ($uuser == 'new') {
						$pseudok = false;
						$msg     = $web[231];
						break;
					}
				} elseif (isset($userdb[1][3])) {
					$dbmail[] = $userdb[1][3];
				}
			}
		}
		if ($pseudok && in_array($uemail, $dbmail)) {
			$pseudok = false;
			$msg    .= ' - '.$web[557];
		}
		if ($pseudok) {
			if ($uimgsign != 'http://') {
				list($wimg, $himg, $timg, $aimg) = getimagesize($uimgsign);
				if ($wimg == 0 || $himg == 0 || $wimg > 468 || $himg > 60) {
					$uimgsign = 'http://';
					$msg     .= ' - '.$web[624];
				} else {
					$frcode  = 'fr_'.$edit;
					$frsigns = ReadFrSigns();
					if (isset($frsigns[$frcode])) {
						$frsigns[$frcode]['image'] = $uimgsign;
					} else {
						$frsigns[$frcode]['image']   = $uimgsign;
						$frsigns[$frcode]['status']  = 'a';
						$frsigns[$frcode]['origine'] = 'e';
					}
					WriteFrSigns($frsigns);
				}
			} elseif (empty($uimgsign) || $uimgsign == 'http://') {
				$frcode  = 'fr_'.$edit;
				$frsigns = ReadFrSigns();
				if (isset($frsigns[$frcode])) unset($frsigns[$frcode]);
				WriteFrSigns($frsigns);
			}
			if ($uextavatar != 'http://') {
				list($wimg, $himg, $timg, $aimg) = getimagesize($uextavatar);
				if ($wimg == 0 || $himg == 0 || $wimg > 60 || $himg > 60) {
					$uextavatar = 'http://';
					$msg       .= ' - '.$web[628];
				}
			}

			if (empty($msg)) {
				$userdb        = (is_file(MSGREP.$edit.DBEXT)) ? ReadDBFields(MSGREP.$edit.DBEXT) : array();
				$userdb[0][0]  = $uuser == 'new' || $uuid != '' ? md5($uuid) : $userdb[0][0];
				$userdb[1][0]  = '0';
				$userdb[1][1]  = $ulang;
				$userdb[1][2]  = $edit;
				$userdb[1][3]  = $uemail;
				$userdb[1][4]  = $uboxes;
				$userdb[1][5]  = $ulang;
				$userdb[1][6]  = $ushow;
				$userdb[1][7]  = $usign;
				$userdb[1][8]  = $uuser == 'new' || $uuid != '' ? md5($uuid) : $userdb[0][0];
				$userdb[1][9]  = trim($avatar);
				$userdb[1][10] = $uwebsite == 'http://' ? '' : $uwebsite;
				$userdb[1][11] = $udesign;
				$userdb[1][12] = $ueditor;
				if ($uuser == 'new') {
					$userdb[1][13] = 'on';
					$userdb[1][14] = GetCurrentDateTime();
					$userdb[1][15] = '';
				}
				$userdb[1][16] = $uextavatar == 'http://' || $avatar != 'unknown' ? '' : $uextavatar;
				
				if ($uuser == 'new' && $serviz[31] != '') {
					$userdb[2][0] = $serviz[31].CONNECTOR.GetCurrentDateTime().CONNECTOR.'&nbsp; '.
					$web[253].' '.sprintf($web[167], stripslashes($site[($lang[0] == $lng ? 0 : 11)]), $edit).CONNECTOR.'new'.CONNECTOR.''.
						CONNECTOR.''.CONNECTOR.''.CONNECTOR.$serviz[43].CONNECTOR.substr($page[23], 4);
				}
				
				WriteDBFields(MSGREP.$edit.DBEXT, $userdb);
				
				if ($uuser == 'new') {
					$adrimg = $skn_logo != '' ? $skn_logo : CHEMIN.'img/'.$page[4];
					while ('../' == substr($adrimg, 0, 3)) $adrimg = substr($adrimg, 3);
					$to    = $uemail;
					$sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[523];
					$body  = '<div style="margin:auto;padding:8px;width:600px;border: solid 1px #000000;border-radius:4px;">';
					$body .= '<p style="text-align:center;"><img src="'.$site[3].$adrimg.'" style="max-width:600px;" /></p><hr />';
					$body .= '<p style="text-align:left;font:12pt Arial;">';
					$body .= $web[245].sprintf($web[343], $edit, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
					$body .= $web[49].' <b>'.$edit.'</b><br />'.$web[300].' : <b>'.$uuid.'</b><br /><br />';
					$body .= $web[629];
					$body .= '<a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-4-'.$edit.'-'.$uuid: 'connect.php?lng='.$lng.'&pseudo='.$edit.'&uid='.$uuid).'">'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'</a><br />';
					$body .= $web[235].'<br />'.$user[0].'<br />';
					$body .= '</p></div>';
					eMailHtmlTo($sujet, $body, $to);			
				} elseif (!empty($uuid)) {
					MajPassCollaborator($edit, $uuid);
				}
			}
		}
	}
	if (!empty($msg)) {
		$erreur .= '<li>'.$msg.'</li>';
        echo BeginJavascript().'
alert("'.addslashes($msg).'");
'.EndJavascript();
    }
	if (empty($erreur)) {
		header('location:'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=members&act=2');
		exit();
	}
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto = "";
    var erreur = false;
	var uweb = document.userprefnow.uwebsite.value;
	var uimg = document.userprefnow.uimgsign.value;
	var uext = document.userprefnow.uextavatar.value;
    regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
    if (!regexp.test(document.userprefnow.uemail.value)) {
        sto += \'  - '.addslashes($web[42]).'\n\';
		document.userprefnow.uemail.className = "errorInputText";
        erreur = true;
    }
	';
if ($uuser != 'new')
	$headinc .= '
	var uid = document.userprefnow.uuid.value;
	var uid2 = document.userprefnow.uuid2.value;
    if (uid != "") {
        regexp = /^[a-zA-Z0-9]{5,20}$/;
        if (!regexp.test(uid) || uid.length < 5 || uid.length > 20) {
            sto += \'  - '.addslashes($web[302]).'\n\';
			document.userprefnow.uuid.className = "errorInputText";
            erreur = true;
        }
    }
	if (uid != uid2) {
		sto += \'  - '.addslashes($web[466]).' !\n\';
		document.userprefnow.uuid.className = "errorInputText";
		document.userprefnow.uuid2.className = "errorInputText";
		erreur = true;
	}';
else
	$headinc .= '
    regexp = /^[a-zA-Z0-9_]{2,20}$/;
    if (!regexp.test(document.userprefnow.upseudo.value)) {
        sto += \'  - '.addslashes($web[266]).'\n\';
		document.userprefnow.upseudo.className = "errorInputText";
        erreur = true;
    }';
$headinc .= '
	regexp = /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
    if (uweb != "http://" && !regexp.test(uweb)) {
        sto += \'  - '.addslashes($web[545].$web[51].$web[554]).'\n\';
		document.userprefnow.uwebsite.className = "errorInputText";
		document.userprefnow.uwebsite.value = "http://";
        erreur = true;
    }
    if (uext != "http://" && !regexp.test(uext)) {
        sto += \'  - '.addslashes($web[545].$web[627].$web[554]).'\n\';
		document.userprefnow.uextavatar.className = "errorInputText";
		document.userprefnow.uextavatar.value = "http://";
        erreur = true;
    }
    if (uimg != "http://" && !regexp.test(uimg)) {
        sto += \'  - '.addslashes($web[545].$web[623].$web[554]).'\n\';
		document.userprefnow.uimgsign.className = "errorInputText";
		document.userprefnow.uimgsign.value = "http://";
        erreur = true;
    }
    if (erreur == true) {
        sto = "'.addslashes($web[265]).'\n\n" + sto;
        alert(sto);
		return false;
    }
}'.EndJavascript();

$topmess = '
  <a href="admin.php?lng='.$lng.'">Admin</a> >&nbsp;
  <a href="admin.php?lng='.$lng.'&amp;pg=members&amp;act=2">'.$admin[696].'</a> > '.($uuser == 'new' ? $admin[1308] : $admin[498]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';

if ($uuser != 'new' && !FileDBExist(MSGREP.$edit.DBEXT)) {
	header('location:admin.php?lng='.$lng.'&pg=members&act=2');
	exit();
} else {
	if ($uuser == 'new') {
		$userdb       = array();
		$userdb[0][0] = '';
		$userdb[1]    = array_pad(array(), 16, '');		
		$value_pseudo = ' value=""';
	} else {
		$userdb = ReadDBFields(MSGREP.$edit.DBEXT);
		$value_pseudo = ' value="'.$edit.'" readonly="readonly"';
	}
	htable($uuser == 'new' ? $admin[1308] : $admin[498].' - '.$edit, '100%');
	if (!empty($erreur))
		echo displayErrorMsg($web[638], $erreur);
	echo '
<p style="text-align:center;">'.ToHelp($lng, 'compte').'</p>
<br />
<hr />
<div style="text-align:center;width:600px;margin:auto;text-align:left;">
  <form name="userprefnow" id="userprefnow" action="admin.php?lng='.$lng.'&amp;pg=compte" method="post" onsubmit="return VerifyForm(); return false;">
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($web[154]).'</div>
      <div style="clear:both"></div>
    </div>
    <input type="hidden" name="regit" value="1" />';
	if ($uuser == 'new') {
		$chars = "abBDEFcdefghijklmnPQRSTUVWXYpqrst0123456789";
		srand((double)microtime() * 1000000);
		$mpass = '';
		for ($i = 0; $i < 8; $i++) $mpass .= $chars[rand() % strlen($chars)];
		echo '
    <input type="hidden" name="uuser" value="new" />
    <input type="hidden" name="uuid" value="'.$mpass.'" />';
	}
	else
		echo '
    <input type="hidden" name="edit" value="'.$edit.'" />';
	echo '
    <br />
    <fieldset style="margin-top:-10px;">'.legend($web[377]).'
      <table style="margin:auto 12px;width:100%;">
        <tr>
          <td style="width:40%;">&bull; '.$web[49].'</td>
          <td><input type="text"  class="'.($err_pseudo ? 'errorInputText' : 'texte').'" name="upseudo" size="30"'.$value_pseudo.' /></td>
        </tr>';
	if ($members[0] == "on") {
		echo '
        <tr>
          <td colspan="2"><input type="hidden" name="ushow" value="on" />&nbsp;&nbsp;</td>
        </tr>';
	} else {
		echo '
        <tr>
          <td colspan="2" style="text-align:center;">'.$web[213].'<input type="checkbox" name="ushow"'.Checked($userdb[1][6] == 'on').' /></td>
        </tr>';
	}
	if ($uuser != 'new') 
		echo '
        <tr>
          <td>&bull; '.$web[300].' :</td>
          <td>
            <div style="float:left;">
			  <input type="password" class="'.($err_uid ? 'errorInputText' : 'texte').'" name="uuid" size="30" value="" />
			</div>
			<div class="pop" style="width:32px;margin-left:8px;">
			  <a><img src="'.$reptheme.'/say.png" alt="" title="" />
			    <span style="left:-260px;"><em style="left:auto;right:20px;"></em>'.$help[3].'</span></a>
			</div>
			<div style="clear:both"></div>
          </td>
        </tr>
        <tr>
          <td>&bull; '.$web[300].' '.$web[467].' :</td>
          <td><input type="password" class="'.($err_uid2 ? 'errorInputText' : 'texte').'" name="uuid2" size="30" value="" /></td>
        </tr>';
	echo '
        <tr>
          <td>&bull; '.$web[50].'</td>
          <td><input type="text" class="'.($err_uemail ? 'errorInputText' : 'texte').'" name="uemail" size="40" value="'.$userdb[1][3].'" /></td>
        </tr>
        <tr>
          <td>&bull; '.$web[51].'</td>
          <td><input type="text" class="'.($err_uweb ? 'errorInputText' : 'texte').'" name="uwebsite" size="40" value="'.(empty($userdb[1][10]) ? 'http://' : $userdb[1][10]).'" /></td>
        </tr>
        <tr>
          <td>&bull; '.$web[219].'</td>
          <td><textarea name="usign" rows="2" cols="30">'.stripslashes($userdb[1][7]).'</textarea></td>
        </tr>
        <tr>
          <td>&bull; '.$web[623].' :</td>';
	$frsigns = ReadFrSigns();
	$imgsign = 'http://';
	foreach ($frsigns as $code => $frsign) {
		if ('fr_'.$edit == $code && 'a' == $frsign['status'] && 'e' ==  $frsign['origine']) {
			$imgsign = $frsign['image'];
			break;
		}
	}
	echo '
          <td>
		    <div style="float:left;"><input type="text" class="'.($err_uimg ? 'errorInputText' : 'texte').'" name="uimgsign" size="40" value="'.$imgsign.'" /></div>
		    <div class="pop" style="width:32px;margin-left:8px;">
			  <a><img src="'.$reptheme.'/say.png" alt="" title="" />
			    <span style="left:-260px;"><em style="left:auto;right:20px;"></em>'.$help[6].'</span>
			  </a>
			</div>
			<div style="clear:both"></div>';
	if ($imgsign != 'http://') {
		echo '
			<div><img src="'.$imgsign.'" alt="" title="'.$imgsign.'" /></div>';
	}
	echo '
		  </td>
        </tr>
      </table>
      <br />
    </fieldset>
    <br />
    <fieldset style="margin-top:-10px;">'.legend($web[378]).'
      <table style="margin:auto 12px;width:100%;">';
	if ($lang[1] != '') {
		echo '
        <tr>
          <td style="width:45%;">&bull; '.$web[155].'</td>
          <td>
            <select name="ulang">
              <option value="'.$lang[0].'"'.Selected($userdb[1][1] == $lang[0]).'>'.$lang[0].'</option>
              <option value="'.$lang[1].'"'.Selected($userdb[1][1] == $lang[1]).'>'.$lang[1].'</option>
            </select>
          </td>
        </tr>';
	} else {
		echo '
        <input type="hidden" name="ulang" value="'.$lang[0].'" />';
	}
	$uskintheme = ExploreDir('skins/');
	echo '
        <tr>
          <td>&bull; '.$web[307].'</td>
          <td>
            <select name="udesign">
              <option value="">'.$web[315].'</option>';
	for ($i = 0; $i < count($uskintheme); $i++) {
		echo '
			  <option value="'.$uskintheme[$i].'"'.Selected($userdb[1][11] == $uskintheme[$i]).'>'.$uskintheme[$i].'</option>';
	}
	echo '
            </select>
          </td>
        </tr>
        <tr>
          <td>&bull; '.$web[164].'</td>
          <td>
            <select name="uboxes">
              <option value="'.BOX_LEFT.BOX_RIGHT.'"'.Selected($userprefs[3] == BOX_LEFT.BOX_RIGHT).'>'.$web[165].'</option>
              <option value="'.BOX_LEFT.'"'.Selected($userprefs[3] == BOX_LEFT).'>'.$web[166].'</option>
              <option value="'.BOX_RIGHT.'"'.Selected($userprefs[3] == BOX_RIGHT).'>'.$web[232].'</option>
            </select>
          </td>
        </tr>
        <tr>
          <td>&bull; '.$web[375].'</td>
          <td><input type="checkbox" name="ueditor"'.Checked($userdb[1][12]).' /></td>
        </tr>
      </table>
	  <table style="margin:auto;width:100%;">
        <tr>
          <td colspan="2" style="text-align:center;">';
	if ($page[23] != 'none') {
		$imgavatars = array();
		$dossier = opendir(CHEMIN.'inc/img/avatars/'.$page[23].'/');
		while ($fichier = readdir($dossier)) {
			if (is_file(CHEMIN.'inc/img/avatars/'.$page[23].'/'.$fichier)) {
				$path_parts = basename($fichier);
				$path_parts = substr($path_parts,strrpos($path_parts,'.')+1);
				if (Isimage($path_parts)) {
					$imgavatars[] = $fichier;
				}
			}
		}
		closedir($dossier);
		@sort($imgavatars);
		echo '
            <fieldset>'.legend($web[303]).'
			  <div style="max-height:400px;overflow:auto;">
                <table style="margin:auto;width:60%;">
                  <tr>';
		$nbrimgavatar = 0; $j= count($imgavatars);
		for ($i = 0; $i < count($imgavatars); $i++) {
			echo '
                    <td style="text-align:center;margin:4px;padding:4px;"><label>
                      <img src="'.CHEMIN.'inc/img/avatars/'.$page[23].'/'.$imgavatars[$i].'" alt="'.$imgavatars[$i].'" title="'.$imgavatars[$i].'" />
                      <br />
                      <input type="radio" value="'.$imgavatars[$i].'" name="avatar"'.Checked($userdb[1][9] == $imgavatars[$i]).' /></label>
                    </td>';
			$nbrimgavatar++; $j--;
			if ($nbrimgavatar == 5 && $j != 0) {
				$nbrimgavatar = 0;
				echo '
                  </tr>
                  <tr>';
			}
		}
		$vid = 5 - count($imgavatars)%5 ;
		if ($vid != 0) {
			echo '
		            <td colspan="'.$vid.'"></td>';
		}
		echo '
                  </tr>
                </table>
			  </div>
		      <div style="width:480px;text-align:center;margin:auto;">
		        <span style="float:left;">
 		          <label><input type="radio" value="unknown" name="avatar"'.Checked($userdb[1][9] == 'unknown' && !empty($userdb[1][16])).' />'.$web[627].' :</label>
			      <input type="text" class="'.($err_uext ? 'errorInputText' : 'texte').'" name="uextavatar" style="width:300px;" value="'.(empty($userdb[1][16]) ? 'http://' : $userdb[1][16]).'" />
		        </span>
		        <span class="pop" style="width:auto;margin-left:8px;">
			      <a>
			        <img src="'.$reptheme.'/say.png" alt="" title="" />
			        <span style="left:-260px;"><em style="left:auto;right:20px;"></em>'.$help[8].'</span>
			      </a>
		        </span>
		      </div>
		      <div style="clear:both"></div>';
		if ($userdb[1][9] == 'unknown' && !empty($userdb[1][16]))
			echo '
		      <div style="text-align:center;width:100%;margin:auto;">
		        <img src="'.$userdb[1][16].'" alt="" title="'.$edit.'" style="max-width:60px; max-height:60px;" />
		      </div>';
		echo '
            </fieldset>';
	}
	echo '
          </td>
        </tr>
      </table>
    </fieldset>';
	if ($uuser != 'new')
		echo '
  	<fieldset>
	  <table style="margin:auto 12px;width:98%;">
		<tr><td>'.$web[625].'</td><td><b>'.(isset($userdb[1][14])? FormatDate($userdb[1][14]): '???').'</b></td></tr>
		<tr><td>'.$web[626].'</td><td><b>'.(isset($userdb[1][15])? FormatDate($userdb[1][15]): '???').'</b></td></tr>
      </table>
    </fieldset>';
	echo '
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($web[154]).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';
}

btable();
include CHEMIN.'inc/bpage.inc';
?>
