<?php
/*******************************************************************************
 *   Admin CSS Generator
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'config8.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[43] == "") {
        $nomzone = $admin[719];
        include 'access.inc';
        exit();
    }
}

$regit     = import('regit');
$corit     = import('corit');
$mycss     = import('mycss');
$cssval    = import('cssval');
$jqcssval  = import('jqcssval');
$mobcssval = import('jqcssval');
$tabcssval = import('jqcssval');
$active    = 1;

if ($corit == 1) {
    $cssval = str_replace('\'', '"', $cssval);
    $cssval = stripslashes($cssval);
    WriteFullDB(CHEMIN.'skins/'.$mycss.'/style.css', $cssval);
    $cor_css = 'ok';
    $mod_css = 'off';
}

if ($corit == 2) {
    $jqcssval = str_replace('\'', '"', $jqcssval);
    $jqcssval = stripslashes($jqcssval);
    WriteFullDB(CHEMIN.'skins/'.$mycss.'/jqstyle.css', $jqcssval);
    $cor_jqcss = 'ok';
    $mod_css   = 'off';
	$active    = 2;
}

if ($corit == 3) {
    $mobcssval = str_replace('\'', '"', $mobcssval);
    $mobcssval = stripslashes($mobcssval);
    WriteFullDB(CHEMIN.'skins/'.$mycss.'/mobstyle.css', $mobcssval);
    $cor_mobcss = 'ok';
    $mod_css    = 'off';
	$active     = 3;
}

if ($corit == 4) {
    $tabcssval = str_replace('\'', '"', $tabcssval);
    $tabcssval = stripslashes($tabcssval);
    WriteFullDB(CHEMIN.'skins/'.$mycss.'/tabstyle.css', $tabcssval);
    $cor_tabcss = 'ok';
    $mod_css    = 'off';
	$active     = 4;
}

$headinc .= '
    <script type="text/javascript">
        $(document).ready( function() {
            $("#gyaccordion").hoverAccordion({
                keepHeight: false,
                activateItem: '.$active.',
				onClickOnly: true,
                speed: 400
            });
            $("#gyaccordion").children("li:first").addClass("firstitem");
            $("#gyaccordion").children("li:last").addClass("lastitem");
        });
    </script>
';

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[720]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[720].' => '.$selskin, '100%');

echo '
<div style="width:98%; margin:auto; text-align:center;">'.ToHelp($lng, 'config8');

if (isset($selskin)) $skn = '&amp;selskin='.$selskin;
echo '
  <p>&nbsp;</p>';
echo '
  <p class="notice">'.$admin[887].'</p>';
if (isset($put_css)) {
	echo '
  <br /><span class="quest">'.$admin[721].' <b>&nbsp;'.$mycss.'</b></span><br />';
}
$meskin = CHEMIN."skins/".$selskin."/";

echo '
  <ul id="gyaccordion" style="max-width:620px; margin:auto;">';

if (FileDBExist($meskin."style.css")) {
	if (isset($put_css)) {
		$titre = $admin[727];
	}
	elseif (isset($cor_css)) {
		$titre = $admin[728];
	}
	else {
		$titre = $admin[144].' '.$admin[729];
	}
	echo '
    <li>
      <a href="#">'.$titre.'</a>
      <ul>
	    <li>';
	echo '
		  <form name="modcss" action="admin.php?lng='.$lng.'&amp;pg=config8" method="post">';
	if ($selskin != 'no_skin')
		echo '
			<div class="quest" style="margin:0 8px;padding:2px 20px;">
			  <div style="float:right">'.SubmitButton($admin[144].' '.$admin[422], '', '', $imgdroite).'</div>
			  <div style="clear:both"></div>
			</div>';
	echo '
			<input type="hidden" name="corit" value="1" />
			<input type="hidden" name="selskin" value="'.$selskin.'" />
			<input type="hidden" name="mycss" value="'.$selskin.'" />
			<div style="margin:auto;text-align:center;">
			  <textarea name="cssval" rows="32" cols="64">';
	$cssfile = fopen($meskin."style.css", "r");
	while (!feof($cssfile)) {
		$cssline = fgets($cssfile, 255);
		echo $cssline;
	}
	fclose($cssfile);
	echo '
			  </textarea>
			</div>';
	if ($selskin != 'no_skin')
		echo '
			<div class="quest" style="margin:0 8px;padding:2px 20px;">
			  <div style="float:right">'.SubmitButton($admin[144].' '.$admin[422], '', '', $imgdroite).'</div>
			  <div style="clear:both"></div>
			</div>';
	echo '
		  </form>
        </li>
	  </ul>
    </li>';
}

if (FileDBExist($meskin."jqstyle.css")) {
	if (isset($put_jqcss)) {
		$titre = $admin[727].'(jQuery)';
	}
	elseif (isset($cor_jqcss)) {
		$titre = $admin[728].'(jQuery)';
	}
	else {
		$titre = $admin[144]." ".$admin[729].'(jQuery)';
	}
	echo '
    <li>
      <a href="#">'.$titre.'</a>
      <ul>
	    <li>';
	echo '
		  <form name="modjqcss" action="admin.php?lng='.$lng.'&amp;pg=config8" method="post">';
	if ($selskin != 'no_skin')
		echo '
			<div class="quest" style="margin:0 8px;padding:2px 20px;">
			  <div style="float:right">'.SubmitButton($admin[144].' '.$admin[422], '', '', $imgdroite).'</div>
			  <div style="clear:both"></div>
			</div>';
	echo '
		    <input type="hidden" name="corit" value="2" />
		    <input type="hidden" name="selskin" value="'.$selskin.'" />
		    <input type="hidden" name="mycss" value="'.$selskin.'" />
		    <div style="margin:auto;text-align:center;">
			  <textarea name="jqcssval" rows="32" cols="64">';
	$cssfile = fopen($meskin."jqstyle.css", "r");
	while (!feof($cssfile)) {
		$cssline = fgets($cssfile, 255);
		echo $cssline;
	}
	fclose($cssfile);
	echo '
			  </textarea>
		    </div>';
	if ($selskin != 'no_skin')
		echo '
			<div class="quest" style="margin:0 8px;padding:2px 20px;">
			  <div style="float:right">'.SubmitButton($admin[144].' '.$admin[422], '', '', $imgdroite).'</div>
			  <div style="clear:both"></div>
			</div>';
	echo '
		  </form>
        </li>
	  </ul>
    </li>';
}

if (FileDBExist($meskin."mobstyle.css")) {
	if (isset($cor_mobcss)) {
		$titre = $admin[728].'(RD mobile)';
	}
	else {
		$titre = $admin[144]." ".$admin[729].'(RD mobile)';
	}
	echo '
    <li>
      <a href="#">'.$titre.'</a>
      <ul>
	    <li>';
	echo '
		  <form name="modmobcss" action="admin.php?lng='.$lng.'&amp;pg=config8" method="post">';
	if ($selskin != 'no_skin')
		echo '
			<div class="quest" style="margin:0 8px;padding:2px 20px;">
			  <div style="float:right">'.SubmitButton($admin[144].' '.$admin[422], '', '', $imgdroite).'</div>
			  <div style="clear:both"></div>
			</div>';
	echo '
		    <input type="hidden" name="corit" value="3" />
		    <input type="hidden" name="selskin" value="'.$selskin.'" />
		    <input type="hidden" name="mycss" value="'.$selskin.'" />
		    <div style="margin:auto;text-align:center;">
			  <textarea name="mobcssval" rows="32" cols="64">';
	$cssfile = fopen($meskin."mobstyle.css", "r");
	while (!feof($cssfile)) {
		$cssline = fgets($cssfile, 255);
		echo $cssline;
	}
	fclose($cssfile);
	echo '
			  </textarea>
		    </div>';
	if ($selskin != 'no_skin')
		echo '
			<div class="quest" style="margin:0 8px;padding:2px 20px;">
			  <div style="float:right">'.SubmitButton($admin[144].' '.$admin[422], '', '', $imgdroite).'</div>
			  <div style="clear:both"></div>
			</div>';
	echo '
		  </form>
        </li>
	  </ul>
    </li>';
}

if (FileDBExist($meskin."tabstyle.css")) {
	if (isset($cor_tabcss)) {
		$titre = $admin[728].'(RD tablet)';
	}
	else {
		$titre = $admin[144]." ".$admin[729].'(RD tablet)';
	}
	echo '
    <li>
      <a href="#">'.$titre.'</a>
      <ul>
	    <li>';
	echo '
		  <form name="modtabcss" action="admin.php?lng='.$lng.'&amp;pg=config8" method="post">';
	if ($selskin != 'no_skin')
		echo '
			<div class="quest" style="margin:0 8px;padding:2px 20px;">
			  <div style="float:right">'.SubmitButton($admin[144].' '.$admin[422], '', '', $imgdroite).'</div>
			  <div style="clear:both"></div>
			</div>';
	echo '
		    <input type="hidden" name="corit" value="4" />
		    <input type="hidden" name="selskin" value="'.$selskin.'" />
		    <input type="hidden" name="mycss" value="'.$selskin.'" />
		    <div style="margin:auto;text-align:center;">
			  <textarea name="tabcssval" rows="32" cols="64">';
	$cssfile = fopen($meskin."tabstyle.css", "r");
	while (!feof($cssfile)) {
		$cssline = fgets($cssfile, 255);
		echo $cssline;
	}
	fclose($cssfile);
	echo '
			  </textarea>
		    </div>';
	if ($selskin != 'no_skin')
		echo '
			<div class="quest" style="margin:0 8px;padding:2px 20px;">
			  <div style="float:right">'.SubmitButton($admin[144].' '.$admin[422], '', '', $imgdroite).'</div>
			  <div style="clear:both"></div>
			</div>';
	echo '
		  </form>
        </li>
	  </ul>
    </li>';
}
echo '
  </ul>';

if (isset($selskin)) $skn = "&amp;selskin=".$selskin;
echo '
</div>';
btable();
include CHEMIN.'inc/bpage.inc';
?>
