<?php
/*******************************************************************************
 *   Config Skin
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'confskin.inc')) {
    header('location:../index.php');
    die();
}

$mettre = '<?php
if (stristr($_SERVER["SCRIPT_NAME"], "confskin.inc")) {
    header("location:../index.php");
    die();
}
$page[0] = stripslashes("'.$page[0].'"); // Arrière-plan du site
$page[1] = stripslashes("'.$page[1].'"); // Police des boites centrales
$page[2] = stripslashes("'.$page[2].'"); // Taille des textes des boites centrales
$page[3] = stripslashes("'.$page[3].'"); // Image de fond du site
$page[4] = stripslashes("'.$page[4].'"); // Logo du site
$page[5] = stripslashes("'.$page[5].'"); // Arrière-plan du bandeau
$page[6] = stripslashes("'.$page[6].'"); // Image de fond du bandeau
$page[7] = stripslashes("'.$page[7].'"); // Affichage alerte Javascript désactivé
$page[8] = stripslashes("'.$page[8].'"); // Affichage Temps de chargement de page ON / OFF
$page[9] = stripslashes("'.$page[9].'"); // Thème d\'icônes
$page[10] = stripslashes("'.$page[10].'"); // Image de fond fixe / mouvante
$page[11] = stripslashes("'.$page[11].'"); // Thème de compteur de visites
 // Thème smileys for site is in config.inc
$page[13] = stripslashes("'.$page[13].'"); // Image Page en cours de chargement
 // Default Thème skins is in config.inc
$page[15] = stripslashes("'.$page[15].'"); // Effet animation liens
$page[16] = stripslashes("'.$page[16].'"); // Police des boites latérales
$page[17] = stripslashes("'.$page[17].'"); // Taille des textes des boites latérales
$page[18] = stripslashes("'.$page[18].'"); // Police du menu de navigation
$page[19] = stripslashes("'.$page[19].'"); // Taille des liens du menu de navigation
$page[20] = stripslashes("'.$page[20].'"); // Rollover sur les icônes
$page[21] = stripslashes("'.$page[21].'"); // Image de fond du menu
$page[22] = stripslashes("'.$page[22].'"); // Utilisation titres longs
 // Thème avatars for the site is in config.inc
$page[28] = stripslashes("'.$page[28].'"); // Largeur de page <=> $screen_choice

$titre[0] = stripslashes("'.$titre[0].'"); // Couleur du titre des boites centrales
$titre[1] = stripslashes("'.$titre[1].'"); // Arrière-plan du titre des boites centrales
$titre[2] = stripslashes("'.$titre[2].'"); // Police des titres des boites centrales
$titre[3] = stripslashes("'.$titre[3].'"); // Taille des titres des boites centrales
$titre[4] = stripslashes("'.$titre[4].'"); // Couleur du titre des boites latérales
$titre[5] = stripslashes("'.$titre[5].'"); // Arrière-plan du titre des boites latérales
$titre[6] = stripslashes("'.$titre[6].'"); // Police des titres des boites latérales
$titre[7] = stripslashes("'.$titre[7].'"); // Taille des titres des boites latérales
$titre[8] = stripslashes("'.$titre[8].'"); // Image de fond titre des boites centrales
$titre[9] = stripslashes("'.$titre[9].'"); // Image de fond titre des boites latérales
$titre[10] = stripslashes("'.$titre[10].'"); // Largeur des boîtes et colonnes latérales

$texte[0] = stripslashes("'.$texte[0].'"); // Couleur des textes des boites centrales
$texte[1] = stripslashes("'.$texte[1].'"); // Arrière-plan OFF des boites centrales
$texte[2] = stripslashes("'.$texte[2].'"); // Arrière-plan ON des boites centrales
 // Puce articles is in config.inc
$texte[4] = stripslashes("'.$texte[4].'"); // Taille des bordures
$texte[5] = stripslashes("'.$texte[5].'"); // Couleur des textes des boites latérales
$texte[6] = stripslashes("'.$texte[6].'"); // Arrière-plan OFF des boites latérales
$texte[7] = stripslashes("'.$texte[7].'"); // Arrière-plan ON des boites latérales
$texte[8] = stripslashes("'.$texte[8].'"); // Couleur des textes de bas de page

$bordure[0] = stripslashes("'.$bordure[0].'"); // Couleur des bordures
$bordure[1] = stripslashes("'.$bordure[1].'"); // Couleur de la base de la barre de défilement
$bordure[2] = stripslashes("'.$bordure[2].'"); // Couleur des flèches de la barre de défilement
$bordure[3] = stripslashes("'.$bordure[3].'"); // Couleur des bordures bandeau et pied de page
$bordure[4] = stripslashes("'.$bordure[4].'"); // Taille des bordures bandeau et pied de page
$bordure[5] = stripslashes("'.$bordure[5].'"); // Taille coins arrondis bandeau et pied de page
$bordure[6] = stripslashes("'.$bordure[6].'"); // Taille coins arrondis pages
$bordure[7] = stripslashes("'.$bordure[7].'"); // Couleur des bordures titre boîtes centrales
$bordure[8] = stripslashes("'.$bordure[8].'"); // Taille des bordures titre boîtes centrales
$bordure[9] = stripslashes("'.$bordure[9].'"); // Taille coins arrondis titre boîtes centrales
$bordure[10] = stripslashes("'.$bordure[10].'"); // Couleur des bordures corps boîtes centrales
$bordure[11] = stripslashes("'.$bordure[11].'"); // Taille des bordures corps boîtes centrales
$bordure[12] = stripslashes("'.$bordure[12].'"); // Taille coins arrondis corps boîtes centrales
$bordure[13] = stripslashes("'.$bordure[13].'"); // Couleur des bordures titre boîtes latérales
$bordure[14] = stripslashes("'.$bordure[14].'"); // Taille des bordures titre boîtes latérales
$bordure[15] = stripslashes("'.$bordure[15].'"); // Taille coins arrondis titre boîtes latérales
$bordure[16] = stripslashes("'.$bordure[16].'"); // Couleur des bordures corps boîtes latérales
$bordure[17] = stripslashes("'.$bordure[17].'"); // Taille des bordures corps boîtes latérales
$bordure[18] = stripslashes("'.$bordure[18].'"); // Taille coins arrondis corps boîtes latérales

$lien[0] = stripslashes("'.$lien[0].'"); // Liens OFF des boites centrales
$lien[1] = stripslashes("'.$lien[1].'"); // Liens ON des boites centrales
$lien[2] = stripslashes("'.$lien[2].'"); // Liens OFF des boites latérales
$lien[3] = stripslashes("'.$lien[3].'"); // Liens ON des boites latérales
$lien[4] = stripslashes("'.$lien[4].'"); // Liens OFF de la barre de menu haute
$lien[5] = stripslashes("'.$lien[5].'"); // Liens ON de la barre de menu haute

$barre[0] = stripslashes("'.$barre[0].'"); // Couleur des HR
$barre[1] = stripslashes("'.$barre[1].'"); // Taille des HR
$barre[2] = stripslashes("'.$barre[2].'"); // Style des HR

$forum[0] = stripslashes("'.$forum[0].'"); // Arrière plan entêtes
$forum[1] = stripslashes("'.$forum[1].'"); // Arrière plan question
$forum[2] = stripslashes("'.$forum[2].'"); // Arrière plan réponse
$forum[11] = stripslashes("'.$forum[11].'"); // Couleur texte dans entête

$calendar[0] = stripslashes("'.$calendar[0].'"); // Couleur de fond des jours libres du mois
$calendar[1] = stripslashes("'.$calendar[1].'"); // Couleur de fond des jours
$calendar[2] = stripslashes("'.$calendar[2].'"); // Couleur de fond de la journée
$calendar[3] = stripslashes("'.$calendar[3].'"); // Couleur de fond des dimanches
$calendar[4] = stripslashes("'.$calendar[4].'"); // Couleur de fond de la journée si dimanche
$calendar[5] = stripslashes("'.$calendar[5].'"); // Police du calendrier
$calendar[6] = stripslashes("'.$calendar[6].'"); // Taille de la police du calendrier
$calendar[7] = stripslashes("'.$calendar[7].'"); // Couleurs de la police des chiffres
$calendar[8] = stripslashes("'.$calendar[8].'"); // Couleurs de la police des jours de la semaine
$calendar[9] = stripslashes("'.$calendar[9].'"); // Espacement des bordures du calendrier
$calendar[10] = stripslashes("'.$calendar[10].'"); // Couleur évènement
$calendar[11] = stripslashes("'.$calendar[11].'"); // Couleur de fond du calendrier
$calendar[12] = stripslashes("'.$calendar[12].'"); // Taille des bordures du calendrier
$calendar[13] = stripslashes("'.$calendar[13].'"); // Couleur bordure calendrier
$calendar[14] = stripslashes("'.$calendar[14].'"); // Taille coins arrondis calendrier

$citation[0] = stripslashes("'.$citation[0].'"); // Police des citations
$citation[1] = stripslashes("'.$citation[1].'"); // Taille de la police des citations
$citation[2] = stripslashes("'.$citation[2].'"); // Couleur de la police des citations

$presform[0] = stripslashes("'.$presform[0].'"); // Couleur des textes dans les boites de choix et boutons de commande
$presform[1] = stripslashes("'.$presform[1].'"); // Couleur des boites de choix
$presform[2] = stripslashes("'.$presform[2].'"); // Couleur des boutons de commande
$presform[3] = stripslashes("'.$presform[3].'"); // Couleur des zone de texte
$presform[4] = stripslashes("'.$presform[4].'"); // Police dans la présentation des formulaires
$presform[5] = stripslashes("'.$presform[5].'"); // Taille de la police dans la présentation des formulaires
$presform[6] = stripslashes("'.$presform[6].'"); // Couleur de fond des textarea
$presform[7] = stripslashes("'.$presform[7].'"); // Taille de la bordure
$presform[8] = stripslashes("'.$presform[8].'"); // Couleur de la bordure
$presform[9] = stripslashes("'.$presform[9].'"); // Taille coins arrondis

$site[4]  = stripslashes("'.$site[4].'");  // Nouvelles sur la page d\'accueil
$site[20] = stripslashes("'.$site[20].'"); // Messages Forum sur la page d\'accueil
$site[21] = stripslashes("'.$site[21].'"); // ID du message Livre d\'or préféré
$site[29] = stripslashes("'.$site[29].'"); // Nombre de caractères des nouvelles en page d\'accueil
$site[31] = stripslashes("'.$site[31].'"); // Blog sur la page d\'accueil

$serviz[23]  = stripslashes("'.$serviz[23].'");  // Sondage ON / OFF
$serviz[28]  = stripslashes("'.$serviz[28].'");  // Préférences visiteurs
$serviz[38]  = stripslashes("'.$serviz[38].'");  // RSS News ON / OFF
$serviz[74]  = stripslashes("'.$serviz[74].'"); // Cacher les boîtes en page d\'accueil
$serviz[131] = stripslashes("'.$serviz[131].'"); // Page associée au blog hors pleine page

// Configurations accueil et pages secondaires';

foreach(array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $subarray) {
    $mettre .= "\n// \$xposbox[\"E\"][$subarray]";
    foreach ($xposbox[BOX_EDITO][$subarray] as $key=>$value) {
        $mettre .= '
$xposbox["'.BOX_EDITO.'"]["'.$subarray.'"]['.$key.'] = stripslashes("'.$value.'");';
    }
    $mettre .= "\n";
}

$mettre .= "\n".'
// NE PAS SUPPRIMER $templates[0]
';
foreach ($templates as $keyconf=>$valueconf) {
    $mettre .= '
$templates['.$keyconf.'] = stripslashes("'.$valueconf.'");';
}

foreach ($templates as $keyconf=>$valueconf) {
	$mettre .= "\n".str_repeat('/', 20).' '.$valueconf.' '.str_repeat('/', 20);
	foreach (array(BOX_LEFT, BOX_RIGHT, BOX_ABOVE, BOX_UNDER) as $subarray) {
		$mettre .= "\n// \$xposbox[$valueconf][$subarray]";
		foreach ($xposbox[$keyconf][$subarray] as $key=>$value) {
			$mettre .= '
$xposbox['.$keyconf.']["'.$subarray.'"]['.$key.'] = stripslashes("'.$value.'");';
		}
		$mettre .= "\n";
	}
	
	foreach (array(BOX_TOP, BOX_BOTTOM) as $array) {
		foreach(array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $subarray) {
			$mettre .= "\n// \$xposbox[$valueconf][$array][$subarray]";
			foreach ($xposbox[$keyconf][$array][$subarray] as $key=>$value) {
				$mettre .= '
$xposbox['.$keyconf.']["'.$array.'"]["'.$subarray.'"]['.$key.'] = stripslashes("'.$value.'");';
			}
			$mettre .= "\n";
		}
	}
}

WriteFullDB($meskin.'confskin.inc', $mettre);
?>
