<?php
/*******************************************************************************
 *   Admin Categories of forum
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'frcateg.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[24] == '') {
    $nomzone = $admin[253];
    include 'access.inc';
    exit();
    }
}

function Deplacer($i) {
    global $lng, $forum, $page, $frcat, $reptheme, $web;
	$ispred = $i == 0 || ($i > 0 && empty($frcat[$i][0])) ? false : true;
	$issucc = $i == $forum[4] - 1 || ($i < $forum[4] - 1 && empty($frcat[$i + 1][0])) ? false : true;
    $i++;
    $img1  = '<img src="'.$reptheme.'/close.png" alt="'.$web[647].'" title="'.$web[647].'" />';
    $img2  = '<img src="'.$reptheme.'/open.png" alt="'.$web[648].'" title="'.$web[648].'" />';
    $img1g = '<img src="'.$reptheme.'/closeg.png" alt="'.$web[647].'" title="" />';
    $img2g = '<img src="'.$reptheme.'/openg.png" alt="'.$web[648].'" title="" />';
	$apred = $ispred ? '<a href="admin.php?lng='.$lng.'&amp;pg=frcateg&amp;upd=-'.$i.'">'.$img1.'</a>' : $img1g;
	$asucc = $issucc ? '<a href="admin.php?lng='.$lng.'&amp;pg=frcateg&amp;upd='.$i.'">'.$img2.'</a>' : $img2g;
	return $apred.'<br />'.$asucc;
}

function ReadForumCat() {
    global $frcat, $frgrp, $forum;
    $frcat = ReadDbFields(DBFORUMCAT);
    $frgrp = array();
    for ($i = 0; $i < $forum[4]; $i++) {
        if (isset($frcat[$i])) {
            $tmp = explode(',', $frcat[$i][0]);
            $frcat[$i][0] = $tmp[0];
            $frgrp[$i] = isset($tmp[1]) ? trim($tmp[1]) : '';
        } else {
            $frcat[$i] = array_pad(array(), 5, '');
            $frgrp[$i] = '';
        }
    }
}

function WriteForumCat($dbcat, $dbgrp) {
    global $frcat, $frgrp;
    global $type,$fileid,$status,$creadate,$moddate,$author,$email,
         $fielda1,$fielda2,$fieldb1,$fieldb2,$fieldc1,$fieldc2,$fieldd1,$fieldd2,
         $fieldweb,$fieldmail,$fieldmod;
    $frcat2 = array();
    $update = FALSE;
    for ($i = 0; $i < count($dbcat); $i++) {
        if ($dbcat[$i][0] != '' && $dbcat[$i][1] != '') {
            if ($frcat[$i][0] != $dbcat[$i][0] || $frgrp[$i] != $dbgrp[$i]) {
                UpdateDBForumCat($frcat[$i][0], $dbcat[$i][0], $frgrp[$i], $dbgrp[$i]);
                $update = TRUE;
            }
            if ($dbgrp[$i] != '') {
                $dbcat[$i][0] = str_replace(',', '', $dbcat[$i][0]).','.$dbgrp[$i];
            }
			$dbcat[$i][1] = stripslashes($dbcat[$i][1]);
			$dbcat[$i][2] = stripslashes($dbcat[$i][2]);
			$dbcat[$i][3] = stripslashes($dbcat[$i][3]);
			$dbcat[$i][4] = stripslashes($dbcat[$i][4]);
            $frcat2[] = $dbcat[$i];
        }
    }
    WriteDBFields(DBFORUMCAT, $frcat2);
    if ($update) UpdateDBForum('', 0);
}

function UpdateDBForumCat($icat1, $icat2, $grp1, $grp2) {
    global $type,$fileid,$status,$creadate,$moddate,$author,$email,
         $fielda1,$fielda2,$fieldb1,$fieldb2,$fieldc1,$fieldc2,$fieldd1,$fieldd2,
         $fieldweb,$fieldmail,$fieldmod;
    $cat1 = $icat1.(empty($grp1) ? '' : ','.$grp1);
    $cat2 = $icat2.(empty($grp2) ? '' : ','.$grp2);
    $dbforum = SelectDbFields(TYP_FORUM, "", "");
    foreach ($dbforum as $doc) {
        ReadDoc($doc[1]);
        if ($fieldb2 == $cat1) {
            $fieldb2 = $cat2;
            WriteDoc();
        }
    }
}


$upd    = import('upd');
$xfrcat = import('xfrcat');
$xfrgrp = import('xfrgrp');

ReadForumCat();
if (is_numeric($upd)) {
    if (0 == $upd) {
        $xfrcat = $_POST['xfrcat'];
        foreach($xfrcat as &$db) {
            ksort($db);
        }
        $xfrgrp = $_POST['xfrgrp'];
        WriteForumCat($xfrcat, $xfrgrp);
        ReadForumCat();
    } else {
        $i = abs($upd) -1;          // rang de la ligne à déplacer
        $ud = $upd > 0 ? 1 : -1;    // sens +1 ou -1 du déplacement
        $temp = isset($frcat[$i]) ? $frcat[$i] : array_pad(array(), 6, '');
        $frcat[$i] = isset($frcat[$i+$ud]) ? $frcat[$i+$ud] : array_pad(array(), 6, '');
        $frcat[$i+$ud] = $temp;
        $temp = isset($frgrp[$i]) ? $frgrp[$i] : '';
        $frgrp[$i] = isset($frgrp[$i+$ud]) ? $frgrp[$i+$ud] : '';
        $frgrp[$i+$ud] = $temp;
        WriteForumCat($frcat, $frgrp);
        unset($temp);
    }
}

$widepage = 'on';
$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[953]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[953], "100%");
$bilingue = !empty($lang[1]);
$rowspan  = $bilingue ? ' rowspan="2"' : '';

echo '
<div style="width:98%; margin:auto;">
<p style="text-align:center;">'.ToHelp($lng, 'frcateg').$admin[948].'<br /><br />'.$admin[933].'</p>
<hr />
<form action="admin.php?lng='.$lng.'&amp;pg=frcateg" method="post">
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right;">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
    <div style="clear:both;"></div>
  </div>
  <fieldset>'.legend($admin[864]).'
    <input type="hidden" name="upd" value="0" />

    <table class="bord" style="width:95%;margin:auto;">
      <tr class="forum2">
        <td style="text-align:center;padding:5px;">&nbsp;</td>
        <td style="text-align:center;padding:5px;"><b>'.$admin[256].'</b></td>
        <td style="text-align:center;padding:5px;"><b>'.$admin[1059].'</b></td>';
if ($bilingue) {
    echo '
        <td style="text-align:center;padding:5px;"><b>'.$admin[947].'</b></td>';
}
echo '
        <td style="text-align:center;padding:5px;"><b>'.$admin[255].'</b></td>
        <td style="text-align:center;padding:5px;"><b>'.$admin[949].'</b></td>
      </tr>';

$dbgroups = ReadDBFields(GROUPS);
$maxnocat = 0;
for ($i = 0; $i < $forum[4]; $i++) $maxnocat = max($frcat[$i][0], $maxnocat);
for ($i = 0; $i < $forum[4]; $i++) {
    $color = $i %2 == 0 ? "rep" : "quest";
    echo '
      <tr class="'.$color.'" style="text-align:center;">
        <td'.$rowspan.'>'.Deplacer($i).'</td>
        <td'.$rowspan.' style="text-align:center;">
          <input type="hidden" name="xfrcat['.$i.'][0]" value="'.($frcat[$i][0] == '' ? ++$maxnocat : $frcat[$i][0]).'" />
		  <div class="forum" style="width:20px;text-align:center;border:1px solid #000;border-radius:4px;">'.($frcat[$i][0] == '' ? $maxnocat : $frcat[$i][0]).'</div>
        </td>';
    echo '
        <td'.$rowspan.' style="text-align:center;">
          <select name="xfrgrp['.$i.']">
            <option value=""> -- '.$web[314].' -- </option>
			<option value="all_members"'.Selected('all_members' == $frgrp[$i]).'>'.$admin[690].'</option>';
    foreach ($dbgroups as $dbgroup) {
        echo '
            <option value="'.$dbgroup[0].'"'.Selected($dbgroup[0] == $frgrp[$i]).'>'.$dbgroup[0].'</option>';
    }
    echo '
          </select>
        </td>';
    if ($bilingue) {
        echo '
        <td><img src="'.$flag1.'" style="width:24px;height:16px;" alt="" /></td>
        <td><input class="texte" type="text" name="xfrcat['.$i.'][1]" size="28" value="'.$frcat[$i][1].'" /></td>
        <td><input class="texte" type="text" name="xfrcat['.$i.'][3]" size="70" value="'.$frcat[$i][3].'" /></td>
      </tr>
      <tr class="'.$color.'" style="text-align:center;">
        <td><img src="'.$flag2.'" style="width:24px;height:16px;" alt="" /></td>
        <td><input class="texte" type="text" name="xfrcat['.$i.'][2]" size="28" value="'.$frcat[$i][2].'" /></td>
        <td><input class="texte" type="text" name="xfrcat['.$i.'][4]" size="70" value="'.$frcat[$i][4].'" /></td>';
    } else {
        echo '
        <td><input class="texte" type="text" name="xfrcat['.$i.'][1]" size="28" value="'.$frcat[$i][1].'" /></td>
        <td><input class="texte" type="text" name="xfrcat['.$i.'][3]" size="70" value="'.$frcat[$i][3].'" /></td>';
    }
    echo '
      </tr>';
}
echo '
  </table>
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right;">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
    <div style="clear:both;"></div>
  </div>
</form>
</div>';

btable();
include CHEMIN.'inc/bpage.inc';
?>
