<?php
/*******************************************************************************
 *   Read Admin Logbook
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'logread.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[35] == '') {
        $nomzone = $admin[553];
        include 'access.inc';
        exit();
    }
}
header('Pragma: no-cache');

$headinc .= BeginJavascript().'
function ConfirmDeleteAll(url) {
    if (confirm("'.$admin[559].'")) location.href=url;
}'.EndJavascript();

$action = import('action');

if ($action == "delall") {
    DestroyDBFile(DBLOGBOOK);
    echo BeginJavascript().'
window.location="admin.php?lng='.$lng.'&amp;pg=logbook";'.EndJavascript();
}

include_once CHEMIN.INCREP.'security.inc';
$amsglog = ReadDBFields(DBLOGBOOK);

$widepage = 'on';
$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.$admin[1310];
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[1310], '100%');
echo '
<p style="text-align:center;">'.ToHelp($lng, 'logread').$admin[557].' '.$_SERVER['REMOTE_ADDR'].'</p>';

if (empty($amsglog)) {
    echo '
<p style="text-align:center;"><img src="'.CHEMIN.'inc/img/smileys/rolleyes.gif" alt="8-)" title="8-)" /><b>'.$admin[558].'</b></p>';
}
else {
    echo '
<div class="quest" style="padding:2px 20px;">
  <div style="float:right">'.SubmitButton($admin[218], 'ConfirmDeleteAll(\'admin.php?lng='.$lng.'&amp;pg=logread&amp;action=delall\')', '', $imgdroite).'</div>
  <div style="clear:both"></div>
</div>
<fieldset>'.legend(sprintf($admin[1380], min($configlogNB, count($amsglog)))).'
  <table style="width:100%;">
    <tr class="forum2" style="text-align:center;white-space:nowrap;height:2.5em;">
      <td style="font-weight:bold;padding:2px 4px;"> '.$admin[521].' </td>
      <td style="font-weight:bold;padding:2px 4px;"> '.$admin[518].' </td>
      <td style="font-weight:bold;padding:2px 4px;"> '.$admin[560].' </td>
      <td style="font-weight:bold;padding:2px 4px;"> '.$admin[986].' </td>
      <td style="font-weight:bold;padding:2px 4px;"> '.$admin[561].' </td>
      <td style="font-weight:bold;padding:2px 4px;"> '.$admin[562].' </td>
      <td style="font-weight:bold;padding:2px 4px;"> '.$admin[563].' </td>
    </tr>';
    $nnav = array('netscape', 'msie', 'mozilla', 'da', 'opera', 'icab',
        'konqueror', 'robot', 'unknown', 'wget', 'avant browser', 'crazy',
        'maxthon', 'lynx', 'safari', 'seamonkey', 'psp', 'ps3', 'wii',
        'firefox', 'flock', 'iceweasel', 'chrome', 'camino', 'dillo',
        'element', 'epiphany', 'galeon', 'k-meleon', 'kazehakase', 'minifield'
        );
    for ($i = count($amsglog)-1; $i >= 0; $i--) {
		if (isset($amsglog[$i][3])) {
			$imgflag = substr($amsglog[$i][3], 1 + strrpos($amsglog[$i][3], '.')).'.gif';
			if (!file_exists(CHEMIN.'inc/lang/'.$imgflag)) {
				$imgflag = ('unknown.gif');
			}
		}
        $xurl = str_replace('&', '&amp;', $amsglog[$i][2]);
        $xurl = empty($xurl) ? '&nbsp;' : '&nbsp;<a style="font-weight:normal;" href="'.$xurl.'" target="_blank" title="'.$xurl.'">'.CutField($xurl, 55).'</a>';
        echo '
    <tr '.( $i % 2 ? 'class="rep"' : 'class="quest"').'">
      <td style="font-size:0.9em;padding:0 2px;text-align:center;">'.FormatDate($amsglog[$i][0]).'</td>
      <td style="font-size:0.9em;padding:0 2px;text-align:center;">'.$amsglog[$i][1].'</td>
      <td style="font-size:0.9em;padding:0 2px;">'.$xurl.'</td>
      <td style="font-size:0.9em;padding:0 2px;">'.(isset($amsglog[$i][5]) ? CutField($amsglog[$i][5], 40) : '').'</td>
      <td style="font-size:0.9em;padding:0 2px;">'.(isset($amsglog[$i][3]) ? CutField($amsglog[$i][3], 25) : '').'</td>
      <td style="font-size:0.9em;padding:0 2px;text-align:center;">
	    <img src="'.CHEMIN.'inc/lang/'.$imgflag.'" style="width:24px;height:16px;" alt="'.$imgflag.'" title="'.$imgflag.'" />
	  </td>
      <td style="font-size:0.9em;padding:0 2px;text-align:center;">';
		if (isset($amsglog[$i][4]))
			echo '
	    <img src="'.CHEMIN.'inc/img/browser/'.$nnav[$amsglog[$i][4]].'.gif" style="width:16px;height:16px;" alt="'.ucfirst($nnav[$amsglog[$i][4]]).'" title="'.ucfirst($nnav[$amsglog[$i][4]]).'" />';
		else
			echo '
	    <img src="'.CHEMIN.'inc/img/browser/unknown.gif" style="width:16px;height:16px;" alt="Unknown" title="Unknown" />';
		echo '
	  </td>
    </tr>';
    }
    echo '
  </table>
</fieldset>
<div class="quest" style="padding:2px 20px;">
  <div style="float:right">'.SubmitButton($admin[218], 'ConfirmDeleteAll(\'admin.php?lng='.$lng.'&amp;pg=logread&amp;action=delall\')', '', $imgdroite).'</div>
  <div style="clear:both"></div>
</div>
<hr />';
}

btable();
include CHEMIN.'inc/bpage.inc';
?>
