<?php
/*******************************************************************************
 *   Send Newsletter
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaim
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'newssend.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[33] == '') {
        $nomzone = $admin[546];
        include 'access.inc' ;
        exit();
    }
}
header('Pragma: no-cache');

$action   = import('action');
$idpg     = import('idpg', '', true, 1);
$lsn      = import('lsn', '', true, 0);
$id       = import('id');
$selgroup = import('selgroup', 'POST');

/// Nombre de nouvellés par page
$nbpg = 8;

include CHEMIN.'inc/func_groupsnwl.php';

$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[1148]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[1148], '100%');

$dbwork = SelectDBFieldsByStatus(SelectDBFieldsByType(ReadDBFields(DOCID),TYP_NEWS),'a');
@rsort($dbwork);
$listabon = ReadDBFields(NEWSLET_LIST);

echo '
<p style="text-align:center;">'.ToHelp($lng, 'newssend').$admin[529].'</p>
<hr />
';

$count = count($dbwork);
if (!isset($idpg)) {
    $idpg = 1;
} else {
    while ($count <= ($idpg - 1)* $nbpg) $idpg--;
}

if ($action != 'send') {
	if (empty($dbwork)) {
		echo '
<p style="text-align:center;">
	<strong>'.$admin[1149].'</strong>
</p>
		';
	} else {
		echo '
<br />
<p class="forum" style="width:75%; margin:0 auto;">'.$admin[1082].'</p>
		';
		$navbar = GetNavBar('admin.php?lng='.$lng.'&amp;pg=newssend&amp;idpg=', $count, $idpg, $nbpg);
		if (!empty($navbar)) {
			echo '
<hr />
<div style="text-align:center">'.$navbar.'</div>
<hr />
			';
		}
		for ($i = ($idpg - 1)*$nbpg; $i < Min($nbpg*$idpg, $count); $i++) {
			ReadDoc($dbwork[$i][1]);
			$class = $i % 2 == 0 ? 'rep' : 'quest';
			echo '
<p class="'.$class.'" style="width:75%; margin:0 auto;">
  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=newssend&amp;id='.$dbwork[$i][1].'&amp;action=edit" title="">'.$admin[756].'<b>'.$fieldb1.'</b></a>
</p>
			';
		}
	}
	echo '
<br />
	';
}

if ($action == "edit") {
  ReadDoc($id);
  $body1 = ForceToAbsolute($fieldc1);
  echo '
<hr />
<p style="text-align:center;"><b>'.$admin[528].'</b>
<img src="'.CHEMIN.'inc/lang/'.$lang[0].'.gif" style="width:24px;height:16px;vertical-align:top;" alt="'.$lang[0].'" title="'.$lang[0].'" />
</p>
<br />
<p>'.$admin[527].' '.$user[1].'</p>
<p>'.$admin[526].'</p>
<p>'.$admin[525].' '.$fieldb1.'</p>
<p style="text-align:center;">'.$web[468].$web[469].'</p>
<fieldset style="padding:15px;"><legend> '.getLabel($nom[38]).' </legend>'.$body1.'</fieldset>
	';
  include CHEMIN.'inc/lang/'.$lang[0].'-admin'.INCEXT;
  echo '
<p style="text-align:center;font-size:0.75em;">'.$admin[533].'</p>
	';
  include CHEMIN.'inc/lang/'.$lng.'-admin'.INCEXT;
  if ($lang[1] != "") {
    $body2 = ForceToAbsolute($fieldc2);
    echo '
<p><br /></p>
<p style="text-align:center;"><b>'.$admin[528].'</b> <img src="'.CHEMIN.'inc/lang/'.$lang[1].'.gif" style="width:24px;height:16px;vertical-align:top;" alt="'.$lang[1].'" title="'.$lang[1].'" /></p>
<br />
<p>'.$admin[527].' '.$user[1].'</p>
<p>'.$admin[526].'</p>
<p>'.$admin[525].' '.$fieldb2.'</p>
<p style="text-align:center;">'.$web[468].$web[469].'</p>
<fieldset style="padding:15px;"><legend> '.getLabel($nom[39]).' </legend>'.$body2.'</fieldset>
		';
    include CHEMIN.'inc/lang/'.$lang[1].'-admin'.INCEXT;
    echo '
<p style="text-align:center;font-size:0.75em;"">'.$admin[533].'</p>
		';
    include CHEMIN.'inc/lang/'.$lng.'-admin'.INCEXT;
  }
  echo '
<p style="text-align:center;">
  '.$boutonleft.'<button type="button" title="'.$admin[757].'" onClick="self.location.href=\'admin.php?lng='.$lng.'&amp;pg=newssend&amp;action=send&amp;id='.$id.'&amp;lsn=-1\'">'.$admin[757].'</button>'.$boutonright.'
</p>
	';
  if (!empty($listabon)) {
		echo '
<br />
<fieldset>
<legend>'.$admin[1151].'</legend>
<div style="text-align:center;">
<form name="sellist" method="POST" action="admin.php?lng='.$lng.'&amp;pg=newssend&amp;action=send&amp;id='.$id.'">
	<select name="selgroup" style="width:160px;">
		<option value="ALL">'.$admin[1150].'</option>
		';
		$grps = ReadGroupsNewsletter();
		foreach ($grps as $grp=>$group) {
			echo '
		<option value="'.$grp.'">'.$grp.'</option>
			';
		}
		echo '
	</select>
	<br />
	<p style="text-align:center;">'.SubmitButton($admin[523]).'</p>
</form>
</div>
</fieldset>
		';
  }
} 
elseif ($action == 'send') {
	echo '
<fieldset>
	';
	ReadDoc($id);
	if ($lsn != -1) {
		if ($selgroup == 'ALL') {
			$lst = $listabon;
		}
		else {
			$lst = array();
			$grps = ReadGroupsNewsletter();
			for ($i=0; $i<count($grps[$selgroup]); $i++) {
				$abon = $grps[$selgroup][$i];
				for ($j=0; $j<count($listabon); $j++) {
					if ($abon == $listabon[$j][0]) {
						$lst[] = $listabon[$j];
						break;
					}
				}
			}
		}
    echo '
<p style="text-align:center;">'.$admin[524].'</p>
<p style="text-align:center;">'.count($lst).' '.$admin[516].'</p>
<div style="text-align:center;margin:auto;">
  <form name="gosend" id="gosend" action="admin.php?lng='.$lng.'&amp;pg=newssend&amp;action=edit&amp;id='.$id.'" method="post">
    <input type="text" class="texte" style="text-align: center; background: transparent; border: none;" size="64" name="curto" />
		';
		for ($lsn=0; $lsn<count($lst); $lsn++) {
			$to = $lst[$lsn][1];
			if ($lst[$lsn][2] == $lang[0]) {
				include CHEMIN.'inc/lang/'.$lang[0].'-admin'.INCEXT;
				include CHEMIN.'inc/lang/'.$lang[0].'-web'.INCEXT;
				$adrnl = $site[3].$site['NL'].'.php?lng='.$lang[0].'&nlgrp='.$selgroup.'&nlpseudo='.$lst[$lsn][0].'&pg='.$id;
				$sujet = strip_tags($fieldb1);
				$body  = '<p style="text-align:center;">'.$web[468].'<br />';
				$body .= '<a href="'.$adrnl.'">'.$adrnl.'</a></p>';
				$body .= '<fieldset style="padding:15px;"><legend> '.getLabel($nom[38]).' </legend>'.ForceToAbsolute($fieldc1).'</fieldset>';
			}
			else {
				include CHEMIN.'inc/lang/'.$lang[1].'-admin'.INCEXT;
				include CHEMIN.'inc/lang/'.$lang[1].'-web'.INCEXT;
				$adrnl = $site[3].$site['NL'].'.php?lng='.$lang[1].'&nlgrp='.$selgroup.'&nlpseudo='.$lst[$lsn][0].'&pg='.$id;
				$sujet = strip_tags($fieldb2);
				$body  = '<p style="text-align:center;">'.$web[468].'<br />';
				$body .= '<a href="'.$adrnl.'">'.$adrnl.'</a></p>';
				$body .= '<fieldset style="padding:15px;"><legend> '.getLabel($nom[39]).' </legend>'.ForceToAbsolute($fieldc2).'</fieldset>';
			}
			$body .= '<p style="text-align:center;font-size:0.75em;">'.$admin[549].'<br />';
			$body .= '<a href="'.$site[3].$site['NL'].".php?lng=".$lst[$lsn][2]."&action=unsub&nlpseudo=".$lst[$lsn][0]."&nlmail=".$lst[$lsn][1].'">';
			$body .= $site[3].$site['NL'].".php?lng=".$lst[$lsn][2]."&action=unsub&nlpseudo=".$lst[$lsn][0]."&nlmail=".$lst[$lsn][1]."</a></p>";
			echo BeginJavascript().'document.forms["gosend"].elements["curto"].value = "'.$to.'";'.EndJavascript();
			eMailHtmlTo($sujet, $body, $to);
		}
		include CHEMIN.'inc/lang/'.$lng.'-admin'.INCEXT;
		include CHEMIN.'inc/lang/'.$lng.'-web'.INCEXT;
		echo BeginJavascript().'document.forms["gosend"].elements["curto"].value = "";'.EndJavascript();
		echo '
	<div style="text-align:center;">'.SubmitButton($admin[1152]).'</div>
  </form>
</div><br />
<hr />
<p style="text-align:center;"><b>'.$admin[522].'</b></p>
<br />
		';
	}
	else {
		include CHEMIN.'inc/lang/'.$lang[0].'-admin'.INCEXT;
		include CHEMIN.'inc/lang/'.$lang[0].'-web'.INCEXT;
		$adrnl = $site[3].$site['NE'].'.php?lng='.$lang[0].'&nlgrp=all_subscribers&nlpseudo='.$userprefs[1].'&pg='.$id;
		$to = $userprefs[2];
		$sujet = strip_tags($fieldb1);
		$body  = '<p style="text-align:center;">'.$web[468].'<br />';
		$body .= '<a href="'.$adrnl.'">'.$adrnl.'</a></p>';
		$body .= '<fieldset style="padding:15px;"><legend> '.getLabel($nom[38]).' </legend>'.ForceToAbsolute($fieldc1).'</fieldset>';
		$body .= '<p style="text-align:center;font-size:0.75em;">'.$admin[549].'<br />';
		$body .= '<a href="'.$site[3].$site['NE'].".php?lng=".$lang[0]."&action=unsub&nlpseudo=".$userprefs[1]."&nlmail=".$userprefs[2].'">';
		$body .= $site[3].$site['NL'].".php?lng=".$lang[0]."&action=unsub&nlpseudo=".$userprefs[1]."&nlmail=".$userprefs[2]."</a></p>";
		if (!empty($lang[1])) {
			include CHEMIN.'inc/lang/'.$lang[1].'-admin'.INCEXT;
			include CHEMIN.'inc/lang/'.$lang[1].'-web'.INCEXT;
			$adrnl = $site[3].$site['NE'].'.php?lng='.$lang[1].'&nlgrp=all_subscribers&nlpseudo='.$userprefs[1].'&pg='.$id;
			$sujet = strip_tags($fieldb2);
			$body .= '<p style="text-align:center;">'.$web[468].'<br />';
			$body .= '<a href="'.$adrnl.'">'.$adrnl.'</a></p>';
			$body .= '<fieldset style="padding:15px;"><legend> '.getLabel($nom[39]).' </legend>'.ForceToAbsolute($fieldc2).'</fieldset>';
			$body .= '<p style="text-align:center;font-size:0.75em;">'.$admin[549].'<br />';
			$body .= '<a href="'.$site[3].$site['NL'].".php?lng=".$lang[1]."&action=unsub&nlpseudo=".$userprefs[1]."&nlmail=".$userprefs[2].'">';
			$body .= $site[3].$site['NL'].".php?lng=".$lang[1]."&action=unsub&nlpseudo=".$userprefs[1]."&nlmail=".$userprefs[2]."</a></p>";
		}
		eMailHtmlTo($sujet, $body, $to);
		include CHEMIN.'inc/lang/'.$lng.'-admin'.INCEXT;
		include CHEMIN.'inc/lang/'.$lng.'-web'.INCEXT;
		echo '
<p style="text-align:center;">'.$admin[758].'</p>
<p style="text-align:center;">'.$admin[759].$to.'</p>
<hr />
<p style="text-align:center;"><b>'.$admin[760].'</b></p>
<br />
		';
		echo '
<p style="text-align:center;">
  '.SubmitButton($admin[1152], 'self.location.href=\'admin.php?lng='.$lng.'&amp;pg=newssend&amp;action=edit&amp;id='.$id.'\'').'
</p>
		';
	}
	echo '
</fieldset>
	';
}

btable();
include CHEMIN.'inc/bpage.inc';
?>
