<?php
/*******************************************************************************
 *   .
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'nwlgroup.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
	include REDACREP.$userprefs[1].INCEXT;
	if ($drtuser[33] == '') {
		$nomzone = $admin[546];
		include 'access.inc';
		exit();
	}
}
header("Pragma: no-cache");

$act    = import('act');
$group  = import('group');
$abonne = import('abonne');
$regit  = import('regit');

include_once CHEMIN.'inc/func_groupsnwl.php';

// gestion groupes
if ($act == 5) { 
	$mess = '';
	if ($regit == 5 && $group != '') { //ajouter groupe
		$group = preg_replace('! !', '_', $group);
		$mess = AddGroupNEWSLETTER($group) ? ucfirst($admin[928]).' '.$group.$admin[929].' !<br />' : ucfirst($admin[928]).' '.$group.$admin[931].' !<br />';
	} 
	elseif ($regit == 6) { // supprimer groupe
		$mess = DelGroupNEWSLETTER($group) ? ucfirst($admin[928]).' '.$group.$admin[930].' !<br />' : ucfirst($admin[928]).' '.$group.' '.mb_strtolower($web[314], $charset).$admin[930].' !<br />';
	}
	$grps = ReadGroupsNewsletter();

	$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[1209]);
	include CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
	htable($admin[1209], '100%');
	echo '			
	<p style="text-align:center;">'.ToHelp($lng, 'nwlgroup').$admin[1146].'</p>
	<hr />
	';
		
	echo '
<p style="text-align:center;">'.$admin[1144].'</p>
<hr />'.$mess.'
<div style="width:380px; margin:auto;">
  <form name="abonnegrp" action="admin.php?lng='.$lng.'&amp;pg=nwlgroup" method="post">
    <fieldset style="padding:12px;">
    <table class="bord" style="width:300px;margin:auto;">
	  <tr class="forum">
	    <td style="width:66%;text-align:left;"><b>'.ucfirst($admin[928]).'</b></td>
	    <td colspan="2" style="text-align:center;"><b>'.$admin[680].'</b></td>
	  </tr>
';

	foreach ($grps as $grp=>$abonnes) {
		echo '
	  <tr class="rep">
		<td style="width:33%;text-align:left;">'.$grp.'</td>
		<td style="text-align:center;"><a href="admin.php?lng='.$lng.'&amp;pg=nwlgroup&amp;act=6&amp;group='.$grp.'" title="'.$admin[144].' '.$grp.'"><img src="inc/img/files/edit.gif" alt="'.$admin[144].'" /></a><br /></td>
		<td style="text-align:center;"><a href="admin.php?lng='.$lng.'&amp;pg=nwlgroup&amp;act=5&amp;regit=6&amp;group='.$grp.'" title="'.$admin[186].' '.$grp.'"><img src="inc/img/files/sup.gif" alt="'.$admin[186].'" /></a><br /></td>
	  </tr>';
	}
	unset($grps);
	echo '
	</table>
	<br />
    <input type="hidden" name="regit" value="5" />
    <input type="hidden" name="act" value="5" />
    <p style="text-align:center">'.$web[371].' '.$admin[928].' :
      <input class="texte" type="text" name="group" value="" style="width:196px;" />
	</p>
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</form>
</div>
';
}
//ajout et suppression des abonnÃ©s 
elseif ($act == 6) { 
	$aAbonnes = import('aAbonnes', 'POST', FALSE);
    $mess      = '';
    if ($regit == 'add' && $group != '' && count($aAbonnes) != 0) { 
		for ($ijk = 0; $ijk < count($aAbonnes); $ijk++) {
			$abonne = $aAbonnes[$ijk];
			$mess  .= AddAbonne($group, $abonne) ? ucfirst($admin[928]).' '.$group.' : '.$web[257].' '.$abonne.$admin[929].' !<br />' : $web[257].' '.$abonne.$admin[931].' !<br />';
		}
	}
	elseif ($regit == 'del' && $group != '' && $abonne != '') {
		$mess = DelAbonne($group, $abonne) ? ucfirst($admin[928]).' '.$group.' : '.$web[322].' '.$abonne.$admin[930].' !<br />' : ucfirst($web[322]).' '.$abonne.' '.mb_strtolower($web[314], $charset).$admin[930].' !<br />';
	}
	
    $grps = ReadGroupsNewsletter();
	$lst = $grps[$group];
	$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > <a href="admin.php?lng='.$lng.'&amp;pg=nwlgroup&amp;act=5">'.$admin[925].'</a> > '.str_replace('Admin - ', '', $admin[1209].' : '.$group);
	include CHEMIN.'inc/hpage.inc';
	if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
	if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
    htable($admin[1209].' : '.$group, '100%');
    echo '
<p style="text-align:center;">'.ToHelp($lng, 'nwlgroup').$admin[1145].'</p>
<hr />'.$mess;
    if (FileDBExist(GROUPSNWL)) {
		echo '
<div style="width:400px; margin:auto;">
  <p class="forum" style="text-align:left; padding:5px 20px;">'.$group.'</p>
  <form name="abonnes" action="admin.php?lng='.$lng.'&amp;pg=nwlgroup" method="post">
    <fieldset style="padding-top:12px;">
    <table class="bord" style="width:300px;margin:auto;">
      <tr class="forum">
        <td style="width:66%;text-align:left;"><b>'.$web[258].'</b></td>
        <td style="text-align:center;"><b>'.$admin[186].'</b></td>
      </tr>';
		foreach ($lst as $abon) {
			if (!empty($abon))
				echo '
      <tr class="rep">
	    <td style="width:33%;text-align:left;">'.$abon.'</td>
	    <td style="text-align:center;">
          <a href="admin.php?lng='.$lng.'&amp;pg=nwlgroup&amp;act=6&amp;regit=del&amp;group='.$group.'&amp;abonne='.$abon.'" title="'.$admin[186].' '.$abon.' de '.$group.'">
          <img src="inc/img/files/sup.gif" alt="'.$admin[186].'" /></a><br />
        </td>
      </tr>';
        }
        unset($grps);
        echo '
    </table><br />';
        echo '
    <input type="hidden" name="regit" value="add" />
    <input type="hidden" name="act" value="6" />
    <input type="hidden" name="group" value="'.$group.'" />
    <p style="text-align:center">'.$web[526].' '.mb_strtolower($web[257], $charset).' :</p>
    <p style="text-align:center">';
        
        $pseudos = array();
        $dbwork  = ReadDBFields(NEWSLET_LIST);
        for ($i = 0; $i < count($dbwork); $i++) {                   
			if (!in_array($dbwork[$i][0], $lst)) $pseudos[] = $dbwork[$i][0];
        }            
        @usort($pseudos,'AsciiCompare');
		$size = min(20, count($pseudos) + 2);
        echo '
	  <select name="aAbonnes[]" multiple="multiple" size="'.$size.'" style="width:160px;">';
        for ($i = 0; $i < count($pseudos); $i++) {
            echo '
	    <option value="'.$pseudos[$i].'">'.$pseudos[$i].'</option>
		  ';
		}
        echo '
      </select>
    </p>
	</fieldset>
	<div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[38], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';
    } 

	echo '
<hr />
<p style="text-align:center;">
  <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=nwlgroup&amp;act=5">'.$web[135].' '.$admin[925].'</a><br />
</p>
	';
}
btable();
include CHEMIN.'inc/bpage.inc';
?>
