<?php
/*******************************************************************************
 *   Security Bannishment
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER["SCRIPT_NAME"], "sec_ban_cfg.inc")) {
    header("location:../index.php");
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[45] == '') {
        $nomzone = $admin[940];
        include 'access.inc';
        exit();
    }
}
header('Pragma: no-cache');

include_once CHEMIN.INCREP.'security.inc';
$cfg = ReadSecurityConfig(BAN_CFG);

$xcfg = isset($_POST['xcfg']) ? $_POST['xcfg'] : null;
if (isset($xcfg)) {
    $cfg = $xcfg;
    WriteSecurityConfig(BAN_CFG, $cfg);
}

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[997].' '.$web[478]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[1431], '100%');

echo '
<p>'.ToHelp($lng, 'secbancfg').'</p>
<div style="width:560px; max-width:98%; margin:auto;">
<p style="text-align:center;">'.$admin[1001].'</p>
<hr />';

echo '
<form name="security" action="admin.php?lng='.$lng.'&amp;pg=sec_ban_cfg" method="post">
  <input type="hidden" name="xcfg[nextid]" value="'.$cfg['nextid'].'" />
  <fieldset>'.legend($admin[1437]);
    if (!empty($msg)) {
        echo '
  <p class="quest" style="font-weight:bold;text-align:center;">
    <img src="'.CHEMIN.'admin/inc/img/files/off.gif" alt="" title="" style="padding-right:3px;vertical-align:middle;" />
    '.$msg.'
  </p>';
    }
    echo '
    <p style="position:relative;width:100%;text-align:left;margin-bottom:12px;">
      <span style="margin-left:5%;">'.$admin[1031].'</span>
      <span style="position:absolute; left:60%;">'.SelectSecurity("xcfg[status]", $cfg['status'], $sec_active).'</span>
    </p>
    <p style="position:relative;width:100%;text-align:left;margin-bottom:12px;">
      <span style="margin-left:5%;">'.$admin[1032].'</span>
      <span style="position:absolute; left:60%;">'.SelectSecurity("xcfg[record]", $cfg['record'], $sec_active).'</span>
    </p>
    <p style="position:relative;width:100%;text-align:left;margin-bottom:12px;">
      <span style="margin-left:5%;">'.$admin[1033].'</span>
      <span style="position:absolute; left:60%;">'.SelectSecurity("xcfg[retention]", $cfg['retention'], $sec_retention).'</span>
    </p>
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</form>';

echo '
</div>';

btable();
include CHEMIN.'inc/bpage.inc';
?>
