<?php
/*******************************************************************************
 *   Plugins Functions
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'funcplug.inc')) {
    header('location:../index.php');
    die();
}

function PluginRegistered($pluginame) {
    if (FileDBExist(DBPLUGIN)) {
        $DataDB = ReadDBFields(DBPLUGIN);
        for ($i = 0; $i < count($DataDB); $i++) {
            if ($DataDB[$i][0] == $pluginame) {
                return true;
            }
        }
    }
    return false;
}

function RegisterPlugin($pluginame) {
    $newplug[0] = $pluginame;
    AppendDBFields(DBPLUGIN, $newplug);
}

function UnregisterPlugin($pluginame) {
    $oldplug = ReadDBFields(DBPLUGIN);
    $newplug = array();
    for ($i = 0 ; $i < count($oldplug); $i++) {
        if ($oldplug[$i][0] != $pluginame) {
            $newplug[] = $oldplug[$i];
        }
    }
    WriteDBFields(DBPLUGIN, $newplug);
}
