<?php
/*******************************************************************************
 *   Plugin Speed
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'speed.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(CHEMIN.'plugins/speed/'.$lng.'-speed.inc')) {
    include CHEMIN.'plugins/speed/'.$lng.'-speed.inc';
} else {
    include CHEMIN.'plugins/speed/en-speed.inc';
}

include("plugins/funcplug.inc");

$speedy = import('speedy');
if ($regit == 1) {
    if ($speedy == 'on') {
        if (!PluginRegistered('speed')) {
            RegisterPlugin('speed');
        }
    }
    else {
        UnregisterPlugin('speed');
    }
}

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $speed[1]);
include CHEMIN.'inc/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($speed[1], '100%');

echo '
<p>'.$speed[2].'</p>
<hr />
<p>'.$speed[3].'<br />
<br />
<u>'.$speed[4].'</u><br />
'.$speed[5].'<br />
<br />
<u>'.$speed[6].'</u> <a href="'.CHEMIN.'plugins/speed/speed.php?lng='.$lng.'" target="_blank">'.$speed[7].'</a>
</p>
<form name="speed" action="admin.php?lng='.$lng.'&amp;pg=plugin&amp;plug=speed/speed" method="post">
  <input type="hidden" name="regit" value="1" />
  <fieldset style="width:75%; margin:0 auto;">
    <p style="text-align:center">'.$speed[8].'&nbsp;&nbsp;<input type="checkbox" name="speedy"'.Checked(PluginRegistered("speed")).' /></p>
    <p style="text-align:center">'.SubmitButton($admin[66]).'</p>
  </fieldset>
</form>
<br />
<hr />
<p style="text-align:center"><a href="admin.php?lng='.$lng.'">'.$admin[22].'</a> || <b><a href="admin.php?lng='.$lng.'&amp;logout=1">'.$admin[19].'</a></b></p>';

btable();
include CHEMIN.'inc/bpage.inc';
