<?php
/*******************************************************************************
 *   Blog
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

define('PATH_PGEDITOR', 'inc/pgeditor/');
define('PATH_CONFIG_PGEDITOR','inc/config_pgeditor_guppy/');
include_once CHEMIN.PATH_PGEDITOR.'pgeditor.php';
include_once CHEMIN.PATH_PGEDITOR.'syntaxcolor/syntaxcolor.php';

if ($serviz[53] != 'on' && $indexblog == 0) {
    exit($web[143]);
}

$cat = import('cat');

if ($userprefs[3] == '' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) $userprefs3 = BOX_LEFT;
$widepage = $serviz[58];
$tconfig  = $widepage == '' ? (in_array($serviz[131], array_keys($templates)) ? $serviz[131] : 0) : 0;

$dbw   = SelectDBFields(TYP_BLOG, 'a', $pg);
$isdoc = count($dbw) == 1;
if ($isdoc) {
    ReadDoc($pg);
	$isdoc = isAuthorizedPublication($creadate);
	if ($isdoc) {
		$countit = 1;
		if ($lng == $lang[0]) {
			$txtart1 = $fieldb1;
			$txtprt = strip_tags($fieldb1);
			$txtart2 = $fieldc1;
			$txtart3 = $fielda1;
		}
		else {
			$txtart1 = $fieldb2;
			$txtprt = strip_tags($fieldb2);
			$txtart2 = $fieldc2;
			$txtart3 = $fielda2;
		}
		$txtart4 = FormatDate($moddate);
		$txtart5 = FormatDate($creadate);
		$txtart6 = $author;
		if ($fieldd1 != 'on') {
			$txtart7 = $email;
		}
		$txtart8 = $fieldd2;
		if (!isAccessGranted($fieldmod)) {
			header('HTTP/1.0 403 Forbidden');
		}
	}
}
if (!$isdoc) {
    $prt = 0;
    $countit = 0;
    $txtart1 = $web[35];
    $txtart2 = $web[36];
    $txtart3 = $web[37];
    $txtart4 = $web[37];
    $txtart5 = $web[37];
    header('HTTP/1.0 404 Not found');
}
$topmess = getLabel($nom[$lng == $lang[0] ? 42 : 43]);
if (!empty($txtprt)) $topmess .= ' - '.$txtart3;
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/blog.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}

include 'inc/hpage.inc';
htable($topmess, '100%');
if ($widepage != '' && abs($prt) != 1) {
    include CHEMIN.'inc/topblog.inc';
}
if ($userprefs[3] == '' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) {
    $userprefs3 = BOX_LEFT;
}
echo '
<br />';
if ($members[0] == 'on' && $userprefs[1] == '' && $members[15] == 'on') {
    echo '
<p style="text-align:center;">'.$web[342].'</p>
<br />';
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
<br />
<p style="text-align:center;">
  <a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">['.$web[160].']</a>
</p>';
}
else {
    echo '
<table style="width:100%;">
  <tr style="vertical-align:top;padding:4px;">';
    if ($widepage == 'on' || $userprefs3 != BOX_LEFT) {
        echo '
    <td id="BlogLeftBoxes" style="vertical-align:top;">';
        if ($widepage == "on") {
            echo fbox_blogcat()
                .fbox_bloglast()
                .fbox_blogcom();
        } else {
            echo fbox_blogcat()
                .fbox_bloglast()
                .fbox_blogcom()
				.fbox_blogarch('archive')
                .fbox_blogcal()
                .fbox_blogrss();
        }
        echo '
    </td>';
    }
    echo '
    <td style="width:auto;vertical-align:top;">';
    if ($members[0] == "on" && $userprefs[1] == "" && $members[16] == "on") {
        echo '
      <p style="text-align:center;">'.$web[342].'</p>
      <br />';
	    if ($members[19] != '0' && $members[19] != '3') 
			echo '
      <p style="text-align:center;">
        <a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">['.$web[160].']</a>
      </p>
      <br />';
    } else {
		if ($serviz[54] == 'on') {
			$rssblogurl = $site[3].sprintf(RSSBLOG, $lng);
			echo '
	  <span class="pop" style="width:64px;">
		<a href="'.$rssblogurl.'" target="_blank">
		  <img src="'.$reptheme.'/rssguppy.png" style="border:0;vertical-align:bottom;" alt="" /> 
		  <span style="top:30px;"><em></em>'.$web[398].':<br /><b> '.$rssblogurl.'</b></span>
		</a>
	  </span><br />';
        }
        if (!empty($txtart1)) {
            if ($site[30] != '2' && abs($prt) != 1) {
                echo '
      <form name="comment" action="'.($site['URLR'] == 'on'? $site[3].$lng.'-'.$urlrw[14].'-'.TYP_BLOG: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_BLOG).'" method="post">
        <p style="text-align:center;">'.SubmitButton($web[386]).'</p>
      </form>';
            } else
				echo '<br />';
            echo '
      <div class="titrebox" style="width:auto;margin:8px 0px;">'.$txtart3.'</div>';
            if (!empty($txtart8)) {
                $txtart1 = '<img src="'.CHEMIN.'img/'.$txtart8.'" style="float:right;" alt=""/>'.$txtart1;
            }
            echo '
      <p style="text-align:left;"><b>'.$txtart1.'</b> &nbsp;';
			if ($serviz[114] != 'on') {
				if (!empty($txtart6) && !empty($txtart7)) {
					echo '- &nbsp;'.$web[6].displayWriteEmail('blog', $txtart6, $txtart7);
				} elseif (!empty($txtart6)) {
					echo '- &nbsp;'.$web[6].'
        <b>'.$txtart6.'</b>';
				}
			}
            $txtart2 = colorCode($txtart2);
            echo '
      </p>
      <div class="bord" style="margin-top:4px;">
        <div class="rep" style="padding:4px;text-align:left;">
          <div>'.$txtart2.'</div>
        </div>';
			if ($prt == 0 && $serviz[104] = 'on') {
				include CONFIGREP.'sncode.inc';
				if (!empty($coders))
					echo '
	    <div style="text-align:left;padding-top:6px;">'.$coders.'</div>';
			}
			echo '
        <div id="action" style="float:right;width:50%;padding:4px 4px 0 0;font-size:smaller;text-align:right;vertical-align:middle">
          <b>'.$web[394].'</b> '.$txtart5.'&nbsp;&nbsp;';
            if ($serviz[33] == 'on' && $countit == 1) {
                $artcounter = UpdateDocCounter($pg);
                $txtcount = $artcounter <= 1 ? $web[188] : $web[189];
            }
            if ($countit == 1) {
                $dbw = array();
                $dbw = SelectDBFields(TYP_BLOG, 'a', '');
                @rsort($dbw);
                for ($i = 0; $i < count($dbw) ; $i++) {
                    if ($dbw[$i][1] == $pg){
                        $idb = floor(1+($i/$serviz[55]));
                        break;
                    }
                }
				if ($prt == 0) {
					echo '
          <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1]: $site['BLS'].'.php?lng='.$lng).'"><img src="'.$reptheme.'/ed_copy.png" alt="'.$web[383].'" title="'.$web[383].'" style="vertical-align:middle;" /></a>&nbsp;';
									echo '
          <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-41-'.$pg.'--1': $site['BL'].'.php?lng='.$lng.'&amp;pg='.$pg.'&amp;prt=-1').'" target="_blank"><img src="'.$reptheme.'/look.png" alt="'.$web[264].'" title="'.$web[264].'" style="vertical-align:middle;" /></a>&nbsp;
          <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[1].'-41-'.$pg.'-1': $site['BL'].'.php?lng='.$lng.'&amp;pg='.$pg.'&amp;prt=1').'" target="_blank"><img src="'.$reptheme.'/print.png" alt="'.$web[22].'" title="'.$web[22].'" style="vertical-align:middle;" /></a>&nbsp;';
				}
				echo '
		  <a href="#top"><img src="'.$reptheme.'/haut.png"   style="vertical-align:middle;width:12px;height:11px;" alt="'.$web[136].'" title="'.$web[136].'" /></a>';
			}
            echo '
        </div>
        <div style="clear:both"></div>
      </div>';
            if ($prt == 0 && ($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1] && $countit == 1) || ($serviz[32] && $drtuser[39] == "on" && $countit == 1)) {
                echo '
      <div style="text-align:right;">
        <a href="admin/admin.php?lng='.$lng.'&amp;pg=blog&amp;form=2&amp;id='.$pg.'"><img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" /></a>
        <a href="admin/admin.php?lng='.$lng.'&amp;pg=blog&amp;act=i&amp;id='.$pg.'"><img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'" /></a>
        <a href="admin/admin.php?lng='.$lng.'&amp;pg=blog&amp;del='.$pg.'"><img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" /></a>
      </div>';
            }
        } else {
            $countit = 0;
        }
    }
    if ($serviz[57] != '2' && $countit == 1 && 1 != abs($prt)) {
        echo '
        <input type="hidden" name="cat" value="'.$txtart3.'"/><br /><br />';
        include 'inc/boxreblog.inc';
    }
    echo '
    </td>';
    if ($widepage == 'on' || $userprefs3 == BOX_LEFT) {
        echo '
    <td id="BlogRightBoxes" style="vertical-align:top;">';
        if ($widepage == "on") {
            echo fbox_blogarch('archive')
				.fbox_blogcal()
                .fbox_blogrss();
        } else {
            echo fbox_blogcat()
                .fbox_bloglast()
                .fbox_blogcom()
				.fbox_blogarch('archive')
                .fbox_blogcal()
                .fbox_blogrss();
        }
        echo '
    </td>';
    }
    echo '
  </tr>
</table>';
}
btable();
include 'inc/bpage.inc';
?>
