<?php
/*******************************************************************************
 *   Connect User 
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

if ($serviz[28] != 'on') {
    exit($web[143]);
}

$crypt   = isset($_POST['crypt']) ? strip_tags($_POST['crypt']) : NULL;
$cryptok = (!$crypt) ? false : chk_crypt($crypt);

$connect = import('connect');
$pseudo  = import('pseudo');
$pseudo  = KeepGoodChars(RemoveConnector(RemoveQuote(stripslashes(CutLongWord(strip_tags($pseudo),20)))));
$uid     = import('uid');
$uuser   = import('uuser');

$err_pseudo = empty($pseudo) && $connect == 'on' && $uuser == 'old' ? true: false;
$err_uid    = empty($uid) && $connect == 'on' && $uuser == 'old' ? true: false;
$err_crypt  = $serviz[100] != '0' && ($userprefs[1] == '' || $serviz[98] == '') && !$cryptok && $connect == 'on' && $uuser == 'old' ? true: false;

$erreur  = '';
$erreur .= $err_pseudo ? '<li>'.$web[266].'</li>': '';
$erreur .= $err_uid ? '<li>'.$web[302].'</li>': '';
$erreur .= $err_crypt ? '<li>'.$web[529].'</li>': '';

if (is_file(MSGREP.'.dtb')) @unlink(MSGREP.'.dtb');

switch ($connect) {
case 'on':
	if ($members[19] == '0' && !FileDBExist(MSGREP.$pseudo.DBEXT)) {
		echo BeginJavascript().'
alert("'.addslashes($web[512]).'");
history.back();
'.EndJavascript();
		include 'inc/hpage.inc';
		htable($topmess, '100%');
		echo '<br /><p style="text-align:center;"><strong>'.$web[512].'</strong></p>';
		btable();
		include 'inc/bpage.inc';
		exit();
	}
	if (is_file(TEMPREP.'cnt-'.$pseudo.DBEXT)) {
		$dbw = ReadDBFields(TEMPREP.'cnt-'.$pseudo.DBEXT);
		$dt  = GetCurrentDateTime() - $dbw[0][2];
		if ($dt >= 10) {
			unlink(TEMPREP.'cnt-'.$pseudo.DBEXT);
		} else {
			$ntc = $site['NTC'];
			$nt  = $dbw[0][0];
			if ($nt == $ntc) {
				$location = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-16': 'lostpass.php?lng='.$lng);
				echo BeginJavascript().'
alert("'.sprintf($web[614].$web[615], $pseudo).'");
window.location="'.$location.'";
'.EndJavascript();
				header("location:".$location); 
				exit('<br /><p style="text-align:center"><strong>'.sprintf($web[614], $pseudo, $site['NTC']).'</strong>');
			}
		}
	}
	$topmess = $web[630];
	if (is_file(TEMPREP.$pseudo.DBEXT)) {
		include 'inc/hpage.inc';
		htable($topmess, '100%');
		switch($members[19]) {
		case 1 :
			echo '
<br />
<p style="text-align:center;"><strong>'.$web[513].'</strong></p>';
			break;
		case 2 :
			echo '
<br />
<p style="text-align:center;"><strong>'.$web[514].'</strong></p>';
			break;
		}
		btable();
		include 'inc/bpage.inc';
		exit();
	} else {
		if (($serviz[100] != '0' && $serviz[88] == 'on' && ($userprefs[1] == '' || $serviz[98] == '')) && !$cryptok && $uuser != 'new') {
			echo BeginJavascript().'
alert("'.addslashes($web[529]).'");
history.back();
'.EndJavascript();
			header("location:".$site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng); 
			exit();
		}
		if (!empty($pseudo) && FileDBExist(MSGREP.$pseudo.DBEXT) && $uuser != 'new') {
			$userdb = ReadDBFields(MSGREP.$pseudo.DBEXT);
			if (isset($userdb[1][13]) && 'off' == $userdb[1][13] && $pseudo != '') {
				echo BeginJavascript().'
alert("'.addslashes($web[620]).'");
history.back();
'.EndJavascript();
				header("location:".$site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng); 
				exit();
			} elseif (isset($userdb[1][3]) && empty($userdb[1][3])) {
				$location = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-3-'.$pseudo.'-'.$uuser: $site['USR'].'.php?lng='.$lng.'&upseudo='.$pseudo.'&uuser='.$uuser);
				echo BeginJavascript().'
alert("'.addslashes($pseudo.stripslashes($web[374])).'");
window.location="'.$location.'"'.EndJavascript();
				header("location:".$location); 
				exit('<p style="text-align:center"><br /><strong>'.$pseudo.stripslashes($web[374]).'</strong>');
			}
			elseif (isset($userdb[1][8]) && md5($uid) == $userdb[1][8] && $pseudo != '') {
				$userprefs[0]   = $userdb[1][1];
				$userprefs[1]   = $userdb[1][2];
				$userprefs[2]   = $userdb[1][3];
				$userprefs[3]   = $userdb[1][4];
				$userprefs[4]   = $userdb[1][5];
				$userprefs[5]   = $userdb[1][6];
				$userprefs[6]   = $userdb[1][7];
				$userprefs[7]   = $userdb[1][8];
				$userprefs[8]   = $userdb[1][9];
				$userprefs[9]   = $userdb[1][10];
				$userprefs[10]  = $userdb[1][11];
				$userprefs[11]  = $userdb[1][12];
				$userprefs[12]  = $userdb[1][13];
				$userprefs[13]  = $userdb[1][14];
				$userprefs[14]  = GetCurrentDateTime();
				$userprefs[15]  = $userdb[1][16];
				$userprefs[16]  = $userdb[1][17];
				$userdata       = $userprefs[0].CONNECTOR.$userprefs[1].CONNECTOR.$userprefs[2].CONNECTOR.$userprefs[3].CONNECTOR.$userprefs[4].CONNECTOR.$userprefs[5].CONNECTOR.
				  $userprefs[6].CONNECTOR.$userprefs[7].CONNECTOR.$userprefs[8].CONNECTOR.$userprefs[9].CONNECTOR.$userprefs[10].CONNECTOR.$userprefs[11].CONNECTOR.$userprefs[12].CONNECTOR.
				  $userprefs[13].CONNECTOR.$userprefs[14].CONNECTOR.$userprefs[15].CONNECTOR.$userprefs[16];
				setcookie(USER_COOKIE, $userdata, time() + 157680000);
				DejaVote(DBIPSTATS);
				$userdb[0][0] = $userprefs[7];
				$userdb[1][15] = $userprefs[14];
				WriteDBFields(MSGREP.$userprefs[1].DBEXT, $userdb);
				
				if (is_file(TEMPREP.'cnt-'.$pseudo.DBEXT)) unlink(TEMPREP.'cnt-'.$pseudo.DBEXT);
				
				include 'inc/hpage.inc';
				htable($topmess, '100%');
				echo '
<br />
<p style="text-align:center;"><b>'.sprintf($web[167], stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'...!', $userprefs[1]).'</b></p>';
				btable();
				include 'inc/bpage.inc';
				echo '
<br />'.BeginJavascript().'
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-14': 'compte.php?lng='.$lng).'"\', 3000);'.EndJavascript();
				header('location:'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-14': 'compte.php?lng='.$lng));
				exit();
			}
			elseif (md5($uid) == $userdb[0][0] && $pseudo != '' && $uuser == 'old') {
				$location = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-3-'.$pseudo.'-'.$uuser: $site['USR'].'.php?lng='.$lng.'&upseudo='.$pseudo.'&uuser='.$uuser);
				echo BeginJavascript().'
alert("'.$pseudo.addslashes(stripslashes($web[374])).'");
window.location="'.$location.'"'.EndJavascript();
				header("location:".$location); 
				exit('<p style="text-align:center"><br /><strong>'.$pseudo.stripslashes($web[374]).'</strong>');
			}
			elseif ($pseudo != '') {
				if ($supervision[12] == 'on') {
					$uuid  = strlen($uid) > 3 ? substr($uid, 0, strlen($uid) - 3).'***' : '***';
					$sujet = $web[606];
					$body  = $web[253].' '.$user[0].'<br /><br />'.sprintf($web[607], $pseudo, $uuid).'<br /><br />';
					$body .= $web[455].$_SERVER['REMOTE_ADDR'].'<br /><br />';
					$to    = $user[1];
					eMailHtmlTo($sujet, $body, $to);
				}
				$ntc = $site['NTC'];
				if ($ntc > 0) { // contrôle du nombre de tentatives
					if (is_file(TEMPREP.'cnt-'.$pseudo.DBEXT)) {
						$dbw = ReadDBFields(TEMPREP.'cnt-'.$pseudo.DBEXT);
						$nt  = $dbw[0][0];
					} else {
						$dbw = array();
						$nt  = 0;
					}
					$nt++;
					$dbw[0][0] = $nt;
					$dbw[0][1] = $_SERVER['REMOTE_ADDR'];
					$dbw[0][2] = GetCurrentDateTime();
					WriteDBFields(TEMPREP.'cnt-'.$pseudo.DBEXT, $dbw);
					if ($nt == $ntc - 1) {
						$location = $site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng;
						echo BeginJavascript().'
alert("'.sprintf($web[613], $pseudo, $ntc).'");
history.back();
'.EndJavascript();
						header("location:".$location); 
						exit();
					}
					if ($nt == $ntc) {
						$location = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-16': 'lostpass.php?lng='.$lng);
						echo BeginJavascript().'
alert("'.sprintf($web[614], $pseudo).'");
window.location="'.$location.'";
'.EndJavascript();
						header("location:".$location); 
						exit();
					}
				}
				$location = ($site['URLR'] == 'on')? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng;
				echo BeginJavascript().'
alert("'.addslashes($web[231]).'");
history.back();
'.EndJavascript();
				header("location:".$location); 
				exit();
			}
		}
		else {
			if ($members[19] == '3') 
				$userdest = $site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng;
			else {
				if ($pseudo != '' && $uid != '')
					$userdest = $site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-4-'.$pseudo.'-'.$uid.'-new': $site['USR'].'.php?lng='.$lng.'&upseudo='.$pseudo.'&uuid='.$uid.'&uuser=new';
				else
					$userdest = $site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-5-new': $site['USR'].'.php?lng='.$lng.'&uuser=new';
			}
			header('location:'.CHEMIN.$userdest);
		}
	}
	exit();
	break;

case 'off':
	$dbuser = $userprefs[1];
	$userdb = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
	$userdb[1] = array_merge(array(0 => $userdb[1][0]), $userprefs);
	$userdb[1][17] = GetCurrentDateTime();
	WriteDBFields(MSGREP.$userprefs[1].DBEXT, $userdb);
	$userprefs = array_fill(0, 17, '');
	setcookie(USER_COOKIE, '');
	DejaVote(DBIPSTATS);
	
	$topmess = getLabel($nom[$lng == $lang[0] ? 34 : 35]);
	$topmess = mb_substr($topmess, 0, 1, $charset) == '§' ? mb_substr($topmess, 1, mb_strlen($topmess ,$charset) ,$charset) : $topmess;
	include 'inc/hpage.inc';
	htable($topmess, '100%');
	echo '
<br />
<p style="text-align:center;"><b>'.$web[376].$dbuser.'...!</b></p>
<br />';
	btable();
	include 'inc/bpage.inc';
	$location = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng);
	echo BeginJavascript().'
setTimeout(\'window.location="'.$location.'"\', 3000);'
.EndJavascript();
	header("location:".$location); 
	exit();
	break;
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto = "";
    var messok = "";
    var erreur = false;
    var largeur = 300;
    var progbar = "'.$site[28].'";
	var uid = document.userin.uid.value;

    regexp = /^[a-zA-Z0-9_]{2,20}$/;
    if (!regexp.test(document.userin.pseudo.value)) {
        sto += "  - '.addslashes($web[266]).'\n";
		document.userin.pseudo.className = "errorInputText";
        erreur = true;
    }
	regexp = /^[a-zA-Z0-9]{5,20}$/;
	if (!regexp.test(uid) || uid.length < 5 || uid.length > 20) {
		sto += \'  - '.addslashes($web[302]).'\n\';
		document.userin.uid.className = "errorInputText";
		erreur = true;
	}
	';
if ($serviz[100] != '0' && $serviz[88] == 'on' && ($serviz[98] == '' || $userprefs[1] == '')) {
	$headinc .= '
    regexp = /^[a-zA-Z0-9_]{2,20}$/;
    if (!regexp.test(document.userin.crypt.value)) {
        sto += "  - '.addslashes($web[529]).'\n";
		document.userin.crypt.className = "errorInputText";
        erreur = true;
    }';
}
$headinc .= '
    if (erreur == true) {
        sto = "'.addslashes($web[638]).'\n\n" + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();

$topmess = $web[630];
include 'inc/hpage.inc';
htable($topmess, '100%');
if (!empty($erreur))
	echo displayErrorMsg($web[638], $erreur);
if ($members[19] != "0" && $members[19] != "3") {
	echo '
<div style="text-align:center;">
  <form name="usernew" action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3]: 'connect.php?lng='.$lng).'" method="post">
    <input type="hidden" name="connect" value="on"/>
    <input type="hidden" name="uuser" value="new"/>
    '.SubmitButton($web[160]).'
  </form>
</div>
<hr /><br />';
    }
echo '
<form name="userin" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3]: 'connect.php?lng='.$lng).'" method="post" onsubmit="return VerifyForm(); return false;">
  <input type="hidden"  name="connect" value="on" />
  <input type="hidden" name="uuser" value="old"/>
  <table style="margin:auto;width:98%;">
    <tr><td style="text-align:center;">'.$web[49].'<br /><input class="'.($err_pseudo ? 'errorInputText' : 'texte').'" type="text" name="pseudo" size="18" value="'.$pseudo.'" /></td></tr>
    <tr><td style="text-align:center;">'.$web[300].'<br /><input class="'.($err_uid ? 'errorInputText' : 'texte').'" type="password" name="uid" size="18" value="'.$uid.'" /></td></tr>';
if ($serviz[100] != '0' && $serviz[88] == 'on') {
	$lbl = $serviz[100] == '3' ? $web[642] : '';
	echo '
    <tr><td style="text-align:center;">'.dsp_crypt(0, 1, 3, 2, $lbl, $serviz[115] == 'on' ? $web[643] : '').'</td></tr>
	<tr><td style="text-align:center;">'.($serviz[100] == '3' ? '' : $web[530]).'<input class="'.($err_crypt ? 'errorInputText' : 'texte').'" type="text" name="crypt" size="6" /></td></tr>';
    }
echo '
    <tr><td style="text-align:center;"><br />'.SubmitButton($web[52]).'</td></tr>
  </table>
</form>';
btable();
include 'inc/bpage.inc';
?>
