<?php
$type = 'ar';
$fileid = '405';
$status = 'a';
$creadate = '201402070808-';
$moddate = '201402070808';
$author = stripslashes('GuppY_Team');
$email = stripslashes('webmaster@guppy.cms');
$fielda1 = stripslashes('<!--01-->GuppY');
$fielda2 = stripslashes('<!--01-->GuppY');
$fieldb1 = stripslashes('Htaccess');
$fieldb2 = stripslashes('Htaccess');
$fieldc1 = stripslashes('<p><strong>GuppY </strong>est proposé avec un fichier .htaccess dans le répertoire racine. Ce fichier n\'est utile que si votre serveur web fonctionne sous Apache (serveur web le plus commun).<br />
&nbsp;</p>

<p><strong>Voici sa structure :</strong></p>

<p>AddDefaultCharset UTF-8<br />
&lt;Files ~ \"^.ht\"&gt;<br />
&nbsp;Order allow,deny<br />
&nbsp;Deny from all<br />
&nbsp;Satisfy All<br />
&lt;/Files&gt;<br />
&lt;Files ~ \".(inc|dtb)$\"&gt;<br />
Order allow,deny<br />
Deny from all<br />
Satisfy all<br />
&lt;/Files&gt;<br />
ErrorDocument 400 /error.php?err=400<br />
ErrorDocument 403 /error.php?err=403<br />
ErrorDocument 404 /error.php?err=404<br />
ErrorDocument 500 /error.php?err=500</p>

<p>La première ligne concerne le charset par défaut.<br />
Les 5 lignes suivantes servent protéger le contenu de votre base de données des regards indiscrets des internautes mal intentionnés(et il y en a !).<br />
Ces 6 lignes sont à laisser telles quelles.<br />
<br />
La présence du fichier .htaccess est obligatoire et vous servira en plus si vous activez la réécriture d\'adresses .</p>

<p>Les 4 lignes suivantes servent rediriger les internautes vers la page erreur lorsqu\'ils demandent une page inexistante, etc.<br />
Celles ci doivent être adaptées par vos soins (via un simple éditeur de texte comme Notepad++) selon l\'endroit où est placé votre GuppY.</p>

<p>Ainsi, si votre installation GuppY est faite à la racine de votre site (URL = http://www.votresite.com/) alors vous n\'avez rien à faire.<br />
Par contre si votre installation GuppY est faite dans un répertoire de votre site (URL = http://www.votresite.com/monguppy/ par exemple), alors il vous faut modifier ainsi ces 4 lignes .</p>

<p><strong>Comme ci-dessous :</strong><br />
<br />
ErrorDocument 400 /monguppy/error.php?err=400<br />
ErrorDocument 403 /monguppy/error.php?err=403<br />
ErrorDocument 404 /monguppy/error.php?err=404<br />
ErrorDocument 500 /monguppy/error.php?err=500</p>

<p><br />
<strong>Dans certains cas, vous aurez peut-être à modifier ainsi ces 4 lignes (pour un site dont l\'URL serait http://www.votresite.com/) :</strong><br />
<br />
ErrorDocument 400 http://www.votresite.com/error.php?err=400<br />
ErrorDocument 403 http://www.votresite.com/error.php?err=403<br />
ErrorDocument 404 http://www.votresite.com/error.php?err=404<br />
ErrorDocument 500 http://www.votresite.com/error.php?err=500</p>

<p><strong>Ou encore, si installé dans le sous-répertoire monguppy/ :</strong></p>

<p>ErrorDocument 400 http://www.votresite.com/monguppy/error.php?err=400<br />
ErrorDocument 403 http://www.votresite.com/monguppy/error.php?err=403<br />
ErrorDocument 404 http://www.votresite.com/monguppy/error.php?err=404<br />
ErrorDocument 500 http://www.votresite.com/monguppy/error.php?err=500<br />
&nbsp;</p>

<p>il est recommandé de protéger votre répertoire admin/ par un nom d\'utilisateur et un mot de passe spécifiques via .htaccess.<br />
Comme la façon de faire est souvent spécifique à votre hébergeur, merci de consulter ses pages d\'aide à ce sujet.</p>

<p>Notre partenaire Nuxit vous propose de le faire simplement dans la console manager.</p>

<p>Pour une sécurité maximum, vous pouvez mettre les .hatccess de la racine et du répertoire admin en 444, pour GuppY 5.0.0 ces droits ne poseront pas de problèmes, consultez la documentation de votre hébergeur.</p>

<p>Nous vous proposons en téléchargement, un .htaccess anti-spam pour bloquer les adresses IP connues pour spammer.<br />
Si vous souhaitez l\'utiliser, vous devez le télécharger sur freeGuppY.</p>

<p>Pour de plus amples renseignements sur la protection de votre site par .htaccess, référez-vous à la documentation officielle d\'Apache.<br />
<br />
<br />
&nbsp;</p>

<p></p>
');
$fieldc2 = stripslashes('<p style=\"line-height:1.5em;\">GuppY comes with a .htaccess file in the root directory. This file is only useful if your web site runs with an Apache server (this is the case most of the time).</p>

<p style=\"line-height:1.5em;\"><strong>Here is its structure:</strong></p>

<p>AddDefaultCharset UTF-8<br />
&lt;Files ~ \"^.ht\"&gt;<br />
&nbsp;Order allow,deny<br />
&nbsp;Deny from all<br />
&nbsp;Satisfy All<br />
&lt;/Files&gt;<br />
&lt;Files ~ \".(inc|dtb)$\"&gt;<br />
Order allow,deny<br />
Deny from all<br />
Satisfy all<br />
&lt;/Files&gt;<br />
ErrorDocument 400 /error.php?err=400<br />
ErrorDocument 403 /error.php?err=403<br />
ErrorDocument 404 /error.php?err=404<br />
ErrorDocument 500 /error.php?err=500<br />
&nbsp;</p>

<p style=\"line-height:1.5em;\">The first line shows the default charset.<br />
The following 5 lines are used to protect the content of your database from hackers and other bad people (and there are some !). Otherwise, files like the data/frth.dtb file for example which holds all e-mail addresses of the people who posted a message in the forum can be read and even help to enrich a Spam file (ugly !).<br />
These 6 lines are not to be modified.</p>

<p style=\"line-height:1.5em;\">The presence of .Htaccess file is mandatory and serves more if you enable address rewrite.</p>

<p style=\"line-height:1.5em;\">The 4 following lines are used to direct users to the error page when they ask for a non existing page, or other possible errors. These lines might require to be adapted (with a simple text editor like Notepad or Wordpad for example) according to where you have put your GuppY.</p>

<p style=\"line-height:1.5em;\">If you installed GuppY at the root of your site (URL = http://www.yoursite.com/) then you have nothing to do. But if you installed it in a directory of your site (URL = http://www.yoursite.com/here/ for example) then you will have to modify these 4 lines :</p>

<p>ErrorDocument 400 /ici/error.php?err=400<br />
ErrorDocument 403 /ici/error.php?err=403<br />
ErrorDocument 404 /ici/error.php?err=404<br />
ErrorDocument 500 /ici/error.php?err=500</p>

<h4>In some cases, you might need to modify these 4 lines as follows (for a website having an URL like http://www.yoursite.com/) :</h4>

<p>ErrorDocument 400 http://www.votresite.com/error.php?err=400<br />
ErrorDocument 403 http://www.votresite.com/error.php?err=403<br />
ErrorDocument 404 http://www.votresite.com/error.php?err=404<br />
ErrorDocument 500 http://www.votresite.com/error.php?err=500</p>

<h4>Or, if installed in the here/ subdir :</h4>

<p>ErrorDocument 400 http://www.votresite.com/ici/error.php?err=400<br />
ErrorDocument 403 http://www.votresite.com/ici/error.php?err=403<br />
ErrorDocument 404 http://www.votresite.com/ici/error.php?err=404<br />
ErrorDocument 500 http://www.votresite.com/ici/error.php?err=500</p>

<p style=\"line-height:1.5em;\">It would also be wise to protect your admin/ directory by a user name and password within the .htaccess file.<br />
As the way of doing it is usually specific to your web host, please refer to its documentation on this topic.</p>

<p>Our partner Nuxit offers to do just in the manager console.</p>

<p>For maximum security, you can put hatccess. Root and admin directory 444 for Guppy 5.0.0 these rights do not pose any problems, consult the documentation for your host.</p>

<p style=\"line-height:1.5em;\">We propose to download a htaccess spam. Known to block IP addresses to spam.<br />
If you want to use, you must download freeGuppY.<br />
<br />
For further information on how to protect your web site with a .htaccess file, please refer to the official Apache documentation...<br />
<br />
<br />
&nbsp;</p>
');
$fieldd1 = stripslashes('none');
$fieldd2 = stripslashes('');
$fieldweb = stripslashes('S');
$fieldmail = stripslashes('0');
$fieldmod = stripslashes('');
