<?php
/*******************************************************************************
 *   Forum Topics
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

if ($serviz[13] != 'on' || $serviz[18] != 'on') {
    exit($web[143]);
}

$dbw = ReadDBFields(DBFORUMCAT);
$dbwork = array();
for ($i = 0; $i < count($dbw); $i++) {
    if (isForumAccessGranted($dbw[$i][0])) $dbwork[] = $dbw[$i];
}
$dbworkcat = ReadDBFields(DBFORUM);
for ($i = 0; $i < count($dbwork); $i++) {
	$prcat = explode(',', $dbwork[$i][0]);
	$dbwork[$i][0] = $prcat[0];
	$dbcat0 = $dbwork[$i][3];
	$dbcat1 = $dbwork[$i][4];
	$dbwork[$i][3] = 0;
	$dbwork[$i][4] = 0;
	$dbwork[$i] = array_pad($dbwork[$i] , 15, '');
	$dbwork[$i][13] = $dbcat0;
	$dbwork[$i][14] = $dbcat1;
	for ($j = 0; $j < count($dbworkcat); $j++) {
		if ($dbworkcat[$j][12] == $dbwork[$i][0]) {
			$dbwork[$i][3]++;
			$dbwork[$i][4] = $dbwork[$i][4] + $dbworkcat[$j][7] + 1;
			if (empty($dbwork[$i][5])) {
				if (!empty($dbworkcat[$j][8])) {
					$dbwork[$i][5] = $dbworkcat[$j][8];
					if ($dbworkcat[$j][11] != 'on') {
						$dbwork[$i][6] = $dbworkcat[$j][9];
					}
					else {
						$dbwork[$i][6] = '';
					}
					$dbwork[$i][7] = $dbworkcat[$j][0];
				} else {
					$dbwork[$i][5] = $dbworkcat[$j][3];
					if ($dbworkcat[$j][10] != 'on') {
						$dbwork[$i][6] = $dbworkcat[$j][4];
					} else {
						$dbwork[$i][6] = '';
					}
					$dbwork[$i][7] = $dbworkcat[$j][0];
				}
				$dbwork[$i][8] = $dbworkcat[$j][1];
				$dbwork[$i][9] = $dbworkcat[$j][7];
				$dbwork[$i][10] = ceil($dbworkcat[$j][7] / $serviz[20]);
				$dbwork[$i][11] = $dbworkcat[$j][2];
				$dbwork[$i][12] = $dbworkcat[$j][12];
			}
		}
	}
}
unset($dbworkcat);
$dbwork = array_values($dbwork);
$k = $lng == $lang[0] ? 0 : 1;
$nom_fr = getLabel($nom[$k+22]);
$topmess = strip_tags($nom_fr);
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/forum.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}
if ($userprefs[3] == '' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) {
    $userprefs3 = BOX_LEFT;
}
$widepage  = $forum[3];
$forumname = $nom_fr;
include 'inc/hpage.inc';
htable($topmess, '100%');
if ($members[0] == 'on' && $userprefs[1] == '' && $members[5] == 'on') {
    echo '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
<p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
</div>';
} else {
    $archdate = ReadCounter(DBFORUMARCHDATE);
    if ($archdate > 0) {
        echo '
<p style="text-align:center;">'.$web[228].' '.FormatDate($archdate).'
  <br />'.$web[227].' <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-6': 'fortopicarch.php?lng='.$lng).'">'.$web[226].'
  <img src="'.$reptheme.'/ed_copy.png"  style="vertical-align:-4px;" alt="" /></a>
  <br />
</p>';
    }
    echo '
<div style="width:100%;text-align:center;margin:8px 0;">';
    include 'inc/topforum.inc';
    if ($forum[9] == 'on' && $forum[10] == 'on') {
        echo '
      <div style="margin-top:-8px; font-weight:bold; text-align:left;">
		<a href="javascript:PopupWindow(\'rules.php?lng='.$lng.'\',\'rules\',800,500,\'yes\',\'yes\');" title="'.$web[409].'">
        <img src="'.$reptheme.'/charte.png" alt="'.$web[409].'" /> - '.$web[409].'</a>
      </div>';
    }
    if (!empty($dbwork)) {
        echo '
  <div style="text-align:center;margin:auto;">
  <br />
  <table class="bord" style="text-align:center;width:100%;">
    <tr class="forum2" style="height:34px;text-align:center">
      <td colspan="2" style="margin:1px;padding:4px;">'.$web[130].'</td>
      <td style="margin:1px;padding:4px;width:20%">'.$web[131].'</td>
      <td style="margin:1px;padding:4px;width:20%">'.$web[132].'</td>
      <td style="margin:1px;padding:4px;width:20%">'.$web[133].'</td>
    </tr>';
        for ($i = 0; $i < count($dbwork); $i++) {
            echo '
    <tr class="'.($i %2 == 0 ? 'rep' : 'quest').'" style="text-align:center;">
      <td style="margin:1px;padding:4px;width:26px;">
	    <img src="'.$reptheme.'/msg_a.png" style="vertical-align:middle" alt="'.$web[367].'" title="'.$web[367].'" />
	  </td>
      <td style="margin:1px;padding:4px;text-align:left;">
        <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-2-'.getForumCatId($dbwork[$i][0]): $site['FR'].'.php?lng='.$lng.GetOptionnalArg('cat', getForumCatId($dbwork[$i][0]))).'" title="'.$dbwork[$i][1].'"><b>'.$dbwork[$i][1+$k].'</b></a>
        <br /><i>'.($lng == $lang[0] ? $dbwork[$i][13] : $dbwork[$i][14]).'</i></td>
      <td style="margin:1px;padding:4px;text-align:center;">'.$dbwork[$i][3].'</td>
      <td style="margin:1px;padding:4px;text-align:center;">'.$dbwork[$i][4].'</td>
      <td style="margin:1px;padding:4px;">';
			$url1 = $site['URLR'] == 'on'? 
				$lng.'-'.$urlrw[5].'-5-'.$dbwork[$i][11].'-'.getForumCatId($dbwork[$i][12]).'-'.$dbwork[$i][10].'-R'.$dbwork[$i][9]: 
				$site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][11].GetOptionnalArg('cat', getForumCatId($dbwork[$i][12])).GetOptionnalArg('id'.$dbwork[$i][10]).'#R'.$dbwork[$i][9];
            if ($dbwork[$i][6] != "") {
                $em = BreakEMail($dbwork[$i][6]);
                echo '
        '.$web[6].' '.displayWriteEmail('fortopic'.$i, $dbwork[$i][5], $dbwork[$i][6]).'
        <a href="'.$url1.'" title ="'.$web[297].'">
         &nbsp;<img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a>';
            } elseif ($dbwork[$i][5] != "") {
                echo '
        '.$web[6].' <b>'.$dbwork[$i][5].'</b>
        <a href="'.$url1.'" title ="'.$web[297].'">
        &nbsp;<img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a>';
            }
            if ($dbwork[$i][7] != "") {
                $top = "";
                $dbth = array();
                $dbth = ReadDBFields(DBTHREAD);
                for ($l = 0; $l < count($dbth); $l++) {
                    if ($dbth[$l][1] == $dbwork[$i][8] && $dbth[$l][2] == $dbwork[$i][9]) {
                        $idth = $dbth[$l][3];
                        break;
                    }
                }
                ReadDoc($idth);
                $lastdate = $creadate;
                echo '
        <br />'.$web[7].' '.FormatDate($lastdate);
            }
            echo '
      </td>
    </tr>';
        }
        echo'
  </table>
  <div class="bord" style="width:auto;padding:6px 4px 0px;margin:8px auto;text-align:left;vertical-align:middle;">';
		if ($forum[9] == 'on' && $forum[10] == '') {
            echo '
    <br />
    <p class="titre" style="text-align:center;text-transform:uppercase;"><u>'.$web[409].'</u></p>
    <br />
    <div style="margin:5px 40px; height:300px; overflow:auto;">';
            include DBRULES;
            echo '
      '.($lng == $lang[0] ? $rule1 : $rule2).'
      <hr />
    </div>';
            if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $drtuser[24] == "on")) {
                echo '
    <div style="text-align:right;cursor:pointer;">
      <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=rules"><img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" /></a>
    </div>';
            }
        }
        echo '
    <p class="titre" style="text-align:center; text-decoration:underline;">'.$web[410].'</p>
    <p>
      <b>'.$web[411].'</b>
      <br />
      <img src="'.$reptheme.'/msg_a.png" style="vertical-align:-4px" alt= "'.$web[367].'" /> '.$web[366].$web[367].' &nbsp;
      <img src="'.$reptheme.'/msg_c.png" style="vertical-align:-4px" alt= "'.$web[368].'" /> '.$web[366].$web[368].' &nbsp;
      <img src="'.$reptheme.'/msg_t.gif" style="vertical-align:-4px" alt= "'.$web[370].'" /> '.$web[370].' &nbsp;
      <img src="'.$reptheme.'/msg_n.png" style="vertical-align:-4px" alt= "'.$web[371].'" /> '.$web[371].$web[334].'
      <br />
      <br />
      '.$web[412].'
      <br />
      <img src="'.$reptheme.'/edit.png" style="vertical-align:-1px" alt= "'.$web[369].'" /> '.$web[369].' '.$web[334].' &nbsp;
      <img src="'.$reptheme.'/lock.png" style="vertical-align:-1px" alt= "'.$web[363].'" /> '.$web[363].$web[366].' &nbsp;
      <img src="'.$reptheme.'/lockup.png" style="vertical-align:-1px" alt= "'.$web[364].'" /> '.$web[364].$web[366].' &nbsp;'
	  .($userprefs[1] == $serviz[31] ? '
	    <img src="'.$reptheme.'/unlock.png" style="vertical-align:-1px" alt="'.$web[621].'" /> '.$web[621].$web[366].' &nbsp;
		<img src="'.$reptheme.'/moveto.png" style="vertical-align:-1px" alt="'.$web[632].'" /> '.$web[632].$web[366]
		: '').'
      <br />
    </p>
  </div>
</div>';
    }
    echo '</div>';
}
btable();
include 'inc/bpage.inc';
?>
