<?php
/*******************************************************************************
 *   Forum
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

if ($serviz[13] != 'on') {
    exit($web[143]);
}

$cat = import('cat');

if ('on' == $serviz[18] && !isForumAccessGranted($cat)) {
	header('HTTP/1.0 403 Forbidden');
}

if (!empty($pg)) {
    $dbwork = SelectDBForumByID(ReadDBFields(DBFORUM),$pg);
    if (count($dbwork) == 0) {
        $dbwork = array();
    }
}
elseif (!empty($cat)) {
    $dbwork = SelectDBForumByCat(ReadDBFields(DBFORUM),$cat);
}
else {
    $dbwork = ReadDBFields(DBFORUM);
}
$i = $lng == $lang[0] ? 0 : 1;
$nom_fr = getLabel($nom[$i+22]);
$catxt = '';
if ($serviz[18] != 'on') {
    $topmess = strip_tags($nom_fr);
}
else {
    if (!empty($cat)) {
        $catxt = getForumCatName($cat);
        $topmess = '<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5]: $site['FRT'].'.php?lng='.$lng).'">'.$nom_fr.'</a> - '.$catxt;
    }
    else {
        $topmess = '<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5]: $site['FRT'].'.php?lng='.$lng).'">'.$nom_fr.'</a>';
    }
}
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/forum.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}

if ($userprefs[3] == '' || $userprefs[3] == BOX_LEFT.BOX_RIGHT) {
    $userprefs3 = BOX_LEFT;
}
$widepage = $forum[3];
$forumname = strip_tags($nom_fr);

include 'inc/hpage.inc';
htable($topmess, '100%');

if ($members[0] == 'on' && $userprefs[1] == '' && $members[5] == 'on') {
    echo '
<div style="text-align:center;margin:20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
  <p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
</div>';
}
else {
    $archdate = ReadCounter(DBFORUMARCHDATE);
    if ($archdate > 0) {
        echo '
<p style="text-align:center;">'.$web[228].' '.FormatDate($archdate).'
  <br />
  '.$web[227].'<a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-32': 'forumarch.php?lng='.$lng).'">'.$web[226].'</a>
</p>';
    }
    include 'inc/topforum.inc';

    echo '
<table style="text-align:center;width:100%;">
  <tr>
    <td style="text-align:left;width:50%;">';
	if ($forum[9] == 'on') {
		echo '
      <div style="margin-top:-8px; font-weight:bold;">';
		echo '
		<a href="javascript:PopupWindow(\'rules.php?lng='.$lng.'\',\'rules\',800,500,\'yes\',\'yes\');" title="'.$web[409].'">
        <img src="'.$reptheme.'/charte.png" alt="'.$web[409].'"/> - '.$web[409].'</a>
      </div>
      <br />';
	}
    if ($catxt != '')
        echo '
      <span style="font-weight:bold;">
        <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5]: $site['FRT'].'.php?lng='.$lng).'" title="'.$forumname.'">
        <img src="'.$reptheme.'/dir.png" style="vertical-align:middle" alt="'.$forumname.'"/> - '.$forumname.'</a>
      </span>
      <br />
      <span style="margin-left:28px; font-weight:bold;">
        <img src="'.$reptheme.'/dir1.png" style="vertical-align:middle" alt="'.$catxt.'" title="'.$catxt.'"/> -
        <a href="'.$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-2-'.$cat: $site['FR'].'.php?lng='.$lng.'&amp;cat='.$cat).'" title="'.$catxt.'">'.$catxt.'</a>
      </span>
    </td>
    <td style="text-align:right;width:50%;">
      <form action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-3-'.TYP_FORUM.'-'.$cat: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_FORUM.GetOptionnalArg('cat', $cat)).'" method="post">
        <p style="text-align:right;">
          '.ImgSubmitButton($web[19], $reptheme.'/b_post.png').'
        </p>
      </form>
    </td>';
    else
		echo '
    <td style="text-align:right;width:50%;">
      <form action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-'.TYP_FORUM: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_FORUM).'" method="post">
        <p style="text-align:right;">
          '.ImgSubmitButton($web[19], $reptheme.'/b_post.png').'
        </p>
      </form>
    </td>';
	echo '
  </tr>
</table>';
    if (empty($id)) {
        $id = 1;
    }
    if (3 == abs($prt)) {
        $id = 1;
        $serviz[17] = 99999;
    }
    $navbar = GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-22-'.$cat.'-': $site['FR'].'.php?lng='.$lng.GetOptionnalArg('cat', $cat).'&amp;id='), count($dbwork), $id, $serviz[17]);
	echo $navbar;

    echo '
<div style="text-align:center;margin:auto;">
  <table class="bord" style="width:100%;">
    <tr class="forum2" style="height:32px;text-align:center">
      <td style="margin:1px;padding:5px;width:30%;">'.$web[298].'</td>
      <td style="margin:1px;padding:5px;width:10%;">'.$web[63].'</td>
      <td style="margin:1px;padding:5px;width:20%;">'.$web[299].'</td>';
    if ($serviz[34] == 'on') {
        echo '
      <td style="margin:1px;padding:5px;width:10%;">'.$web[217].'</td>';
    }
    echo '
      <td style="margin:1px;padding:5px;width:10%;">'.$web[67].'</td>
      <td style="margin:1px;padding:5px;width:20%;">'.$web[66].'</td>
    </tr>';
    if (!empty($dbwork)) {
        $newdate = date('YmdHi', time()-(86400*$forum[8]));
        for ($i = $serviz[17]*($id-1); $i < Min($serviz[17]*$id, count($dbwork)); $i++) {
            $color = $i %2 == 0 ? 'rep' : 'quest';
            if ($serviz[34] == 'on') {
                $threadcounter = ReadDocCounter($dbwork[$i][2]);
            }
            ReadDoc($dbwork[$i][2]);
			$img = getNewUpdateDoc($creadate, $moddate, $serviz[139]);
            $st  = explode('#',$fieldmod);
            if ($st[0] == 'c') {
                $etat = $web[368].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
				$img_msg = 'msg_'.$st[0].'.png';
            } elseif ($st[0] == 's') {
                $st[0] = 'c';
                $etat = $web[368].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
				$img_msg = 'msg_'.$st[0].'.png';
            } elseif ($st[0] == 't' && $moddate > date('YmdHi')) {
                $etat = 'Top '.$web[6].' '.$st[1];
				$img_msg = 'msg_'.$st[0].'.gif';
            } elseif ($st[0] == 'u' && $moddate > date('YmdHi')) {
                $st[0] = 't';
                $etat = 'Up '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
				$img_msg = 'msg_'.$st[0].'.gif';
            } elseif ($newdate < $creadate) {
                $st[0] = 'n';
                $etat = $web[371];
				$img_msg = 'msg_'.$st[0].'.png';
            } else {
                $st[0] = 'a';
                $etat = $web[367];
				$img_msg = 'msg_'.$st[0].'.png';
            }
			$urw = empty($cat) ? '-411-'.$dbwork[$i][2] : '-5-'.$dbwork[$i][2].'-'.$cat;
            echo '
    <tr class="'.$color.'" style="text-align:center;">
      <td style="margin:1px;padding:5px;width:30%;text-align:left;">
        <img src="'.$reptheme.'/'.$img_msg.'" style="vertical-align:middle;" alt="'.$etat.'" title="'.$etat.'"/>
        <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].$urw.'-'.$id: $site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][2].GetOptionnalArg('cat', $cat).GetOptionnalArg('fid', $id)).'"  title="'.$dbwork[$i][5].'">'.$img.'<b>'.$dbwork[$i][5].'</b></a>
      </td>
      <td style="margin:1px;padding:5px;width:10%;">
        <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].$urw.'-'.$id: $site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][2].GetOptionnalArg('cat', $cat).GetOptionnalArg('fid', $id)).'"><b>'.$dbwork[$i][1].'</b></a>
      </td>
      <td style="margin:1px;padding:5px;width:20%;">';
            if ($dbwork[$i][10] != "on") {
                echo displayWriteEmail('forum1'.$i, $dbwork[$i][3], $dbwork[$i][4]);
            } else {
                echo '
        <b>'.$dbwork[$i][3].'</b>';
            }
            ReadDoc($dbwork[$i][2]);
            echo '
        <br />'.FormatDate($creadate).'
      </td>';
            if ($serviz[34] == 'on') {
                $txtcount = $threadcounter <= 1 ? $web[188] : $web[189];
                echo '
      <td style="margin:1px;padding:5px;width:10%;">'.$threadcounter.' '.$txtcount.'</td>';
            }
            echo '
      <td style="margin:1px;padding:5px;width:10%;">'.$dbwork[$i][7].'</td>
      <td style="margin:1px;padding:5px;width:20%;">';
            if ($dbwork[$i][7] != 0) {
                $idder=(ceil($dbwork[$i][7]/ $serviz[20]));
				$urw = empty($cat) ? '-411-'.$fileid : '-5'.$fileid.$cat;
                if ($dbwork[$i][11] != "on") {
                    echo displayWriteEmail('forum2'.$i, $dbwork[$i][8], $dbwork[$i][9]).' 
        <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].$urw.'-'.$idder.'-R'.$dbwork[$i][7]: $site['TH'].'.php?lng='.$lng.'&amp;pg='.$fileid.GetOptionnalArg('cat', $cat).GetOptionnalArg('id', $idder).'#R'.$dbwork[$i][7]).'" title ="'.$web[297].'"> &nbsp;<img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a>
        <br />';
                }
                else {
                    echo '
        <b>'.$dbwork[$i][8].'</b>
        <a href="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].$urw.'-'.$idder.'-R'.$dbwork[$i][7]: $site['TH'].'.php?lng='.$lng.'&amp;pg='.$fileid.GetOptionnalArg('cat', $cat).GetOptionnalArg('id', $idder).'#R'.$dbwork[$i][7]).'" title ="'.$web[297].'"> &nbsp;<img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a>
        <br />';
                }
                $dbth = array();
                $dbth = ReadDBFields(DBTHREAD);
                for ($j = 0; $j < count($dbth); $j++) {
                    if ($dbth[$j][1] == $dbwork[$i][1] && $dbth[$j][2] == $dbwork[$i][7]) {
                        $th_id = $dbth[$j][3];
                        break;
                    }
                }
				if (isset($th_id)) {
					ReadDoc($th_id);
					echo FormatDate($creadate);
				}
            }
            else {
                echo '&nbsp;';
            }
            echo '
      </td>
    </tr>';
        }
    }
    echo '
  </table>';

	echo $navbar;

    if ($serviz[18] == 'on') {
        echo '
  <div style="width:100%; padding:16px 0 4px;">
    <div style="text-align:left;vertical-align:middle;float:left;padding:4px;">
      <img src="'.$reptheme.'/msg_a.png" alt= "'.$web[367].'" style="vertical-align:middle" /> '.$web[366].$web[367].' &nbsp;&nbsp;
      <img src="'.$reptheme.'/msg_c.png" alt= "'.$web[368].'" style="vertical-align:middle" /> '.$web[366].$web[368].' &nbsp;&nbsp;
      <img src="'.$reptheme.'/msg_t.gif" alt= "'.$web[370].'" style="vertical-align:middle" /> '.$web[370].' &nbsp;&nbsp;
      <img src="'.$reptheme.'/msg_n.png" alt= "'.$web[371].'" style="vertical-align:middle" /> '.$web[371].$web[334].'
    </div>
    <div style="text-align:right;float:right;width:250px;padding-top:2px;">
      <form action="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[5]: $site['FRT'].'.php?lng='.$lng).'" method="post">
        '.ImgSubmitButton($web[134], $reptheme.'/b_list.png').'
      </form>
    </div>
  </div>
</div>
<br />';
    }
}
btable();
include 'inc/bpage.inc';
?>
