<?php
/*******************************************************************************
 *   Reaction box
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'boxreact.inc')) {
    header('location:../index.php');
    die();
}

if ($serviz[29] == '') {
  exit($web[143]);
}

$react = import('react');

$dbwork = array();
if (!empty($react)) {
    $dbwork[0] = $react;
}
elseif (!empty($pg)) {
    $dbreaction = ReadDBFields(DBREACT);
    for ($i = 0; $i < count($dbreaction); $i++) {
        if ($dbreaction[$i][1] == $pg && isAccessGranted($dbreaction[$i][6])) {
            $dbwork[] = $dbreaction[$i][0];
        }
    }
}
@rsort($dbwork);
$boxtopmess = $web[184];
if ($page[9] != "") {
    $boxtopmess = '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/react.gif" style="float:right;" alt="" />'.$boxtopmess;
}
htable($boxtopmess, "100%");

echo '
<form name="react" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[14].'-4-'.TYP_REACT.'-'.$pg: $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_REACT.'&amp;pg='.$pg).'" method="post">
  <input type="hidden" name="tconfig" value="'.$tconfig.'">
  <p style="text-align:center;">'.SubmitButton($web[181]).'</p>
</form>';

if (empty($id)) {
    $id = 1;
}
if (!empty($dbwork)) {
    if (abs($prt) == 3) {
        $id = 1;
        $serviz[30] = 99999;
    }
    for ($i = $serviz[30]*($id-1); $i < Min($serviz[30]*$id, count($dbwork)); $i++) {
        ReadDoc($dbwork[$i]);
        if ($status == 'a') {
            echo '
<table style="width:100%;">
  <tbody>
    <tr style="height:18px;">
      <td class="forum" style="white-space:nowrap;width:15%;vertical-align:top;"><p>'.$web[185].$fielda1.'&nbsp;</p></td>
      <td class="quest">'.$web[6].' ';
            if ($fieldd1 != 'on') {
                echo displayWriteEmail('react'.$i, $author, $email);
            }
            else {
                echo '
        <b>'.$author.'</b> ';
            }
            echo '
        '.$web[7].' '.FormatDate($creadate).'
      </td>
    </tr>
    <tr>
      <td colspan="2" class="rep"><br />'.$fieldc1.'</td>
    </tr>';
            if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32] == "on" && $serviz[29] == "on" && $drtuser[16] == "on")) {
                echo '
    <tr>
      <td colspan="2" style="text-align:right;">
        <p style="text-align:right;">
        <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=react&amp;form=2&amp;id='.$dbwork[$i].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[308].'" title="'.$web[308].'" /></a>
        <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=react&amp;act=i&amp;id='.$dbwork[$i].'"><img src="'.$reptheme.'/desact.png" alt="'.$web[333].'" title="'.$web[333].'" /></a>
        <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=react&amp;del='.$dbwork[$i].'"><img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" /></a></p>
      </td>
    </tr>';
                }
                echo '
  </tbody>
</table>
<br />
';
        }
    }
}
else {
    echo '
<table style="text-align:center;border:none;margin:auto;"><tr><td><p style="text-align:center;">'.$web[186].'</p></td></tr></table>';
}
echo GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[20].'-1003-'.$pg.'-'.$tconfig.'-': 'articles.php?lng='.$lng.'&amp;pg='.$pg.'&amp;tconfig='.$tconfig.'&amp;id='), count($dbwork), $id, $serviz[30]);
btable();
?>
