<?php
/*******************************************************************************
 *   Registered Plugins Management
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'hplugins.inc')) {
    header('location:../index.php');
    die();
}

$PluginsDB = ReadDBFields(DBPLUGIN);

for ($i = 0; $i < count($PluginsDB); $i++) {
	unset($plugin_bar_name, $plugin_bar_icon, $plugin_bar_url, $plugin_bar_alturls);

	if (is_file(CHEMIN.'plugins/'.$PluginsDB[$i][0].'/plugin.inc')) {
		include CHEMIN.'plugins/'.$PluginsDB[$i][0].'/plugin.inc';
	}

	if ($plugin_bar_name != '') {
		$menu[$plugin_bar_name.'_'.$PluginsDB[$i][0]] = array(
			'id'      => $PluginsDB[$i][0],
			'name'    => strip_tags($plugin_bar_name),
			'title'   => $plugin_bar_name,
			'icon'    => 'plugins/'.$PluginsDB[$i][0].'/'.$plugin_bar_icon,
			'url'     => 'plugins/'.$PluginsDB[$i][0].'/'.$plugin_bar_url,
			'alturls' => isset($plugin_bar_alturls) && is_array($plugin_bar_alturls) ? $plugin_bar_alturls : array(),
			'base'    => parse_url ($plugin_bar_url, PHP_URL_PATH),
			'target'  => '_SELF'
		);
	}
}
