<?php
/*******************************************************************************
 *   Help Language Strings
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'en-help.inc')) {
    header('location:../index.php');
    die();
}

$help[1] = 'The results of lower relevance are hidden. The value 0% normally displays all the results.';
$help[2] = 'Default : 10 minimum.';
$help[3] = '<b>IMPORTANT!</b> Do not put anything if you do not want to change your password. Otherwise, you must also enter the secret code control.';
$help[4] = 'Enter the value "0" to disable the control.';
$help[5] = 'Enter a value between "1" and "30", "0" for a permanent maintenance.';
$help[6] = 'To include an image in the forum signature, just type the code of this image in the desired location in the text of the signature.
  <br />Accepted formats : .gif .jpg .png 468x60 maxi.
  <br /><br />The code for the external image is prefixed with your user name "<b>fr_</b>". Example : <b>fr_MyUserName</b>.';
$help[7] = 'WARNING! Every action generates an email notification to the applicant.';
$help[8] = 'To use your avatar from another site, indicate its address.<br />Accepted formats : .gif .jpg .png 60x60 max.';
$help[9] = 'To synchronise email addresses in your account and newsletter.';
$help[10] = 'The ID is a unique identifier consisting of 2 to 8 characters without accents, no spaces.';
$help[11] = 'Indicate the number of options from the beginning, followed by the number of the option in the submenu, separated by dashes.<br />(i.e: 2-4-1 meaning comes from the second option from the main menu, the fourth sub-menu that is open and it is option 1 of the second sub-menu.)';
$help[12] = 'To affect any link to the menu, enter a <b>?</ b>.';
$help[13] = 'You can create subcategories by separating them with the | symbol.<br />Ex: Category|Level 1|Level 2';
$help[14] = 'Dates must be YYYYMMDDhhmn format (year month day hour minutes).<br />Blank if you do not want to use the programmed publication.<br />Can specify only a start date or only an end date.<br />If the start date is omitted, it will be the recording time of the event that will be taken.';
$help[15] = '(empty field to save)';
$help[16] = '<br /><br /><strong>The category is only used for the construction of the menu item, if necessary.</strong>';

$errormsg['400'] = array(
	'Bad Request',
	'The HTTP request could not be understood by the server due to malformed syntax.',
	'The web browser may be too recent, or the HTTP server may be too old.',
	'HTTP/1.0 400 Bad Request' );
$errormsg['401'] = array(
	'Unauthorized',
	'The request requires user authentication',
	'',
	'HTTP/1.0 401 Unauthorized' );
$errormsg['403'] = array(
	'Forbidden',
	'The HTTP server understood the request, but it is refusing to fulfill it.',
	'This status code is commonly used when the server does not wish to reveal exactly why the request has been refused, or when no other response is applicable (for example the server is an Intranet and only LAN machines are authorized to connect).',
	'HTTP/1.0 403 Forbidden' );
$errormsg['404'] = array(
	'Not found',
	'The server has not found anything matching the request address (URI).',
	'This means the URL you have typed or clicked on is wrong or obsolete and does not match any document existing on the server (you may try to gradualy remove the URL components from de right to the left to eventualy retrieve an existing path).',
	'HTTP/1.0 404 Not Found' );
$errormsg['500'] = array(
	'Internal server error',
	'The HTTP server encountered an unexpected condition which prevented it from fulfilling the request.',
	'For example this error can be caused by a server misconfiguration, or a resource exhausted or denied to the server on the host machine.',
	'HTTP/1.0 500 Internal server error' );

?>
