<?php
/*******************************************************************************
 *   Install Language Strings
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'en-install.inc')) {
    header('location:../index.php');
    die();
}

$version = '4.7';

$clean[0] = 'No...';
$clean[1] = 'INSTALL OR MIGRATE GUPPY';
$clean[2] = '
<div style="text-align:center;">This script is ment:</div>
<ul>
  <li>or for clearing the demo database shipped with GuppY version '.$version.' and for preparing your empty database</li>
  <li>or for migrating to GuppY version '.$version.' from a version 4.6 (imperative to lower versions, first change in version 4.6)</li>
</ul>
<div style="text-align:center;">
  Once you will have executed one of these two operations, you will be proposed to remove this install script from your server,
  <br />which is a MUST to avoid bad people from corrupting your GuppY web site.
</div>';
$clean[3] = '
<div style="text-align:center;">
  <u>IMPORTANT:</u> make sure that you carefully read the <a href="../documentation/readme.html" target="_blank">readme.html</a> file (I even advise you to print it) before going on.
</div>';
$clean[3] = '
<div style="text-align:left;padding:0 64px;">
  <u><b>IMPORTANT :</b></u> read full
  <ul>
    <li>make sure that you carefully read the <a href="../documentation/readme.html" target="_blank">readme.html</a> file (I even advise you to print it) before going on.</li>
	<li>have you validated the site configurations, especially <b>General Setup</b> ?</li>
	<li>if that have not already done, it is strongly recommended to make a backup of the site before continuing</li>
	<li>part of the structure of your site will be modified:
	  <ul>
	    <li>reorganization of the data in the data directory</li>
		<li>skins are in the skins directory, given the incompatibility with the old version</li>
	  </ul>
	</li>
  </ul>
</div>';
$clean[4] = 'Let\'s go!';
$clean[5] = '
<div style="text-align:center;">You are in <b>version %s</b> of Guppy.<br /><br />Choose what you want to do:</div>';
$clean[6] = 'Clean install';
$clean[7] = 'Migration &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(transition to the new version)';
$clean[8] = 'Deletion of install files';
$clean[9] = 'Go back to the home page of your site';
$clean[10] = 'DELETE INSTALL FILES OF GUPPY';
$clean[11] = '
<div style="text-align:center;">This script is ment:</div>
<ul>
  <li> to remove this install script from your server, which is a MUST to avoid bad people from corrupting your GuppY web site</li>
</ul>';
$clean[12] = 'Deletion of the install directory';
$clean[13] = '
<div style="text-align:center;">You are about to launch the deletion of the install files of GuppY.</div>';
$clean[14] = '
<div style="text-align:center;">Deletion of the install directory ON GOING.</div>';
$clean[15] = '
<div style="text-align:center;">Step #1/1 : Deletion of the install directory DONE.</div>';
$clean[16] = 'INSTALL GUPPY IN VERSION '.$version;
$clean[17] = '<div style="text-align:center;">This script is ment:</div><ul><li>for clearing the demo database shipped with GuppY version '.$version.' and for preparing your empty database</li></ul>';
$clean[18] = 'Clean install';
$clean[19] = '<div style="text-align:center;">You are about to launch a clean install.</div>';
$clean[20] = '<div style="text-align:center;">Clean install ON GOING.</div>';
$clean[21] = '<div style="text-align:center;">Step #1/2: Database deleted.</div>';
$clean[22] = '<div style="text-align:center;">Step #2/2: Empty database created.</div>';
$clean[23] = '<div style="text-align:center;">Clean install DONE.</div>';
$clean[24] = '<div style="text-align:center;">The install in version '.$version.' of GuppY is now over.</div>';
$clean[25] = 'Next';
$clean[26] = 'MIGRATE GUPPY TO VERSION '.$version;
$clean[27] = '<div style="text-align:center;">This script is ment:</div><ul><li>for migrating to GuppY version '.$version.' from a version 4.6</li></ul>';
$clean[28] = 'Migration to version '.$version;
$clean[29] = '<div style="text-align:center;">You are about to launch a migration to version '.$version.'</div>';
$clean[30] = '<div style="text-align:center;">Migration to version '.$version.' ON GOING.<br />ATTENTION! This process can be lengthy.</div>';
$clean[31] = '<div style="text-align:center;">Step #7/8: Parametrization migrated.</div>';
$clean[32] = '<div style="text-align:center;">Removal of the obsolete files ON GOING.</div>';
$clean[33] = '<div style="text-align:center;">Step #8/8: Obsolete files removed.</div>';
$clean[34] = '<div style="text-align:center;">Migration to version '.$version.' DONE.</div>';
$clean[35] = '<div style="text-align:center;">The migration to version '.$version.' of GuppY is now over.</div>';
$clean[36] = '<div style="text-align:center;">Step #1/8 : Migration of users done. %s</div>';
$clean[371] = '<div style="text-align:center;">Step #2/8 : Migration of documents done. [1/3] %s</div>';
$clean[372] = '<div style="text-align:center;">Step #3/8 : Migration of documents done. [2/3]</div>';
$clean[373] = '<div style="text-align:center;">Step #4/8 : Migration of documents done. [3/3]</div>';
$clean[38] = '<div style="text-align:center;">Step #5/8 : Migration of archives done. %s</div>';
$clean[39] = '<div style="text-align:center;">Step #6/8 : Migration of stats and logs done.</div>';
$clean[40] = '
<div class="bord notice" style="text-align:center;width:420px;margin:auto;padding:20px;font-size:2em;"><strong>Have you backed up your site?</strong></div>';
$clean[41] = 'Yes, I have saved the site, we can go';
$clean[42] = 'Whoops! I forgot, I back away...';

?>
