<?php
/*******************************************************************************
 *   Install - GuppY PHP Script
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '../');
$selskin = 'no_skin';
include CHEMIN.'inc/includes.inc';
include $lng.'-install.inc';
include 'func_install.php';

$DBversion = '';
include CONFIGREP.'dbversion.php';
$version = $DBversion;
if (is_file(CHEMIN.DATAREP.'dbversion.php')) include CHEMIN.DATAREP.'dbversion.php';

$form = import('form');

if (empty($form)) {
	DisplayHeader();
	echo '
<p style="text-align:center;">
  <a href="Javascript: window.location=\'install.php?lng='.$lang[0].'\';">
    <img src="'.CHEMIN.'inc/lang/'.$lang[0].'.gif" width="24" height="16" border="0" alt="fr">
  </a>
  &nbsp;&nbsp;&nbsp;&nbsp;
  <a href="Javascript: window.location=\'install.php?lng='.$lang[1].'\';">
    <img src="'.CHEMIN.'inc/lang/'.$lang[1].'.gif" width="24" height="16" border="0" alt="en"/>
  </a>
</p>';
	DisplayTitre($clean[1], $clean[2].'<br /><br />'.$clean[3]);
	echo '
  <form name="instal0" action="install.php?lng='.$lng.'" method="post">
    <input type="hidden" name="form" value="1"/>
    <div style="text-align:center;">'.SubmitButton($clean[4]).'</div>
  </form>
</div>';
} elseif ($form == '1') {
	DisplayHeader();
	DisplayTitre($clean[1], sprintf($clean[5], $DBversion));
	echo '
<form name="instal1" action="install.php?lng='.$lng.'" method="post">
  <table class="quest" style="width:480px;margin:auto;">';
	echo '
	<tr><td><label><input type="radio" name="form" value="2"/>&nbsp;&nbsp;'.$clean[6].'</label></td></tr>
	<tr><td>&nbsp;</td>';
	if ($DBversion != $version) {
		echo '
	<tr><td><label><input type="radio" name="form" value="3"/>&nbsp;&nbsp;'.$clean[7].'</label></td></tr>
	<tr><td>&nbsp;</td>';
	}
	echo '
	<tr><td><label><input type="radio" name="form" value="4"/>&nbsp;&nbsp;'.$clean[8].'</label></td></tr>
	<tr><td>&nbsp;</td>
	<tr><td><hr /><label><input type="radio" name="form" value="5"/>&nbsp;&nbsp;'.$clean[9].'</label></td></tr>
	<tr><td>&nbsp;</td>
  </table>
  <div style="text-align:center;"><br />'.SubmitButton($clean[4]).'</div>
</form>';
} elseif ($form == '2') {
	DisplayHeader('cleanup.php?lng='.$lng);
    exit();
} elseif ($form == '3') {
	if ($DBversion == '4.6') {
		DisplayHeader('migrate46.php?lng='.$lng);
		exit();
	} else {
		DisplayHeader('install.php?lng='.$lng.'&amp;form=1');
		exit();
	}
} elseif ($form == '4') {
	DisplayHeader('delete.php?lng='.$lng);
    exit();
} else {
	DisplayHeader(CHEMIN.'index.php?lng='.$lng);
    exit();
}

DisplayFooter();
?>
