<?php
/*******************************************************************************
 *   Lost password
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include CHEMIN.'inc/includes.inc';

$action = import('action');
$pseudo = import('pseudo');
$email  = import('email');
$ask    = import('ask');

$err_email = (empty($email) || 1 != preg_match('/^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/', $email)) && $ask == 1;
$erreur    = '';
$erreur   .= $err_email ? '<li>'.$web[42].'</li>': '';

if ($action != 'lost' && !empty($action)) {
	header("location:index.php");
	die();
}

if ($action == 'lost') {
	if (is_file(MSGREP.$pseudo.DBEXT)) {
		$userdb = ReadDBFields(MSGREP.$pseudo.DBEXT);
		if (isset($userdb[1][3]) && $userdb[1][3] != $email) {
			echo '
<noscript>';
			header('location:'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng));
			echo '
</noscript>';
			echo BeginJavascript().'
alert("'.addslashes($web[599]).'");
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'"\', 1000);
			'.EndJavascript();
			exit();
		}
	}
	$lolo = "abBDEFcdefghijklmnPQRSTUVWXYpqrst0123456789";
	srand((double)microtime()*1000000); 
	$newpass = '';
	for ($i = 0; $i < 8; $i++) { 
		$newpass .= $lolo[rand()%strlen($lolo)];
	}
	$userdb[0][0] = md5($newpass);
	$userdb[1][8] = md5($newpass);
	WriteDBFields(MSGREP.$pseudo.DBEXT, $userdb);
	$numava = isset($userdb[2][8]) ? $userdb[2][8] : substr($page[23], 4);
	$msg = array(
		$serviz[31],
		GetCurrentDateTime(),
		$web[253].' '.sprintf($web[612], $pseudo),
		'new',
		'',
		'',
		'',
		$serviz[43],
		$numava);
	AppendDBFields(MSGREP.$pseudo.DBEXT, $msg);
	$sujet = $web[600];
    $body  = $web[601];
    $body .= $web[457].'<b>'.$pseudo.'</b><br /><br />';
    $body .= $web[602].'<b>'.$newpass.'</b><br /><br />';
    $body .= $web[603].'<br /><br /><a href="'.$site[3].'">'.$site[3].'</a>';
    eMailHtmlTo($sujet, $body, $email);
	
	if (is_file(TEMPREP.'cnt-'.$pseudo.DBEXT)) unlink(TEMPREP.'cnt-'.$pseudo.DBEXT);
	
	echo '
<noscript>';
	header('location:'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng));
	echo '
</noscript>';
	echo BeginJavascript().'
alert("'.addslashes($web[604]).' \n\n - '.$email.'");
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'", 1000);
	'.EndJavascript();
	exit();
}

if ($ask == 1 && empty($erreur)) {
	$continue = true;
	$bad      = array('.', '..', 'index.php');
	$files    = scandir(TEMPREP);
	$files    = array_diff($files, $bad);
	foreach ($files as $file) {
		if (is_file(TEMPREP.$file) && substr($file, -3) == 'dtb') {
			$userdb = ReadDBFields(TEMPREP.$file);
			if (isset($userdb[1][3])) {
				if ($email == $userdb[1][3]) {
					echo BeginJavascript().'
alert("'.addslashes($web[596]).'");
					'.EndJavascript();
					$continue = false;
					$erreur  .= '<li>'.$web[596].'</li>';
				}
			}
		}
	}
	if ($continue) {
		$pseudo = '';
		$files  = scandir(MSGREP);
		$files  = array_diff($files, $bad);
		foreach ($files as $file) {
			if (is_file(MSGREP.$file) && substr($file, -3) == 'dtb') {
				$userdb = ReadDBFields(MSGREP.$file);
				if (isset($userdb[1][3])) {
					if ($email == $userdb[1][3]) {
						$pseudo = $userdb[1][2];
						break;
					}
				}
			}
		}
	}
	if ($continue) {
		if ($pseudo == '') {
			echo BeginJavascript().'
alert("'.addslashes($web[595]).'");
			'.EndJavascript();
			$continue = false;
			$erreur  .= '<li>'.$web[595].'</li>';
		}
	}
	if ($continue) {
		$sujet = $web[597];
		$body  = $web[253].' '.$pseudo.',<br /><br />';
		$body .= sprintf($web[598], stripslashes($site[($lang[0] == $lng ? 0 : 11)]), $_SERVER['REMOTE_ADDR']);
		$body .= '<a href="'.$site[3].'lostpass.php?lng='.$lng.'&amp;pseudo='.$pseudo.'&amp;email='.$email.'&amp;action=lost">'.$site[3].'lostpass.php?lng='.$lng.'&amp;pseudo='.$pseudo.'&email='.$email.'&action=lost</a>';
		eMailHtmlTo($sujet, $body, $email);
		echo '
<noscript>';
		header('location:'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng));
		echo '
</noscript>';
		echo BeginJavascript().'
alert("'.addslashes($web[605]).' \n\n - '.$email.'");
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'"\', 1000);
		'.EndJavascript();
		exit();
	}
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto    = "";
    var erreur = false;
    regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
    if (!regexp.test(document.userlostpass.email.value)) {
		sto += \'  - '.addslashes($web[42]).'\n\';
		document.userlostpass.email.className = "errorInputText";
        erreur = true;
    }
    if (erreur == true) {
		sto = \''.addslashes($web[638]).'\n\n\' + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();

$topmess = $web[594];
include CHEMIN.'inc/hpage.inc';
htable($topmess, '100%');
if (!empty($erreur))
	echo displayErrorMsg($web[638], $erreur);
echo '
<p style="text-align:center;">'.$web[593].'</p>
<div style="text-align:center; margin:auto;">
  <form name="userlostpass" action="'.($site['URLR'] == 'on'? $lng.'-'.$urlrw[3].'-161-1': 'lostpass.php?lng='.$lng.'&amp;ask=1').'" method="POST" onsubmit="return VerifyForm(); return false;">
	'.$web[13].'&nbsp;&nbsp;
	<input class="'.(!empty($erreur) ? 'errorInputText' : 'texte').'" type="text" name="email" size="30" value=""><br />'
	.SubmitButton($web[52]).'
  </form>
</div><br />';

btable();
include CHEMIN.'inc/bpage.inc';
?>
