<?php
/*******************************************************************************
 *   Site Top of Page for Mobile
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'hpalm.inc')) {
    header('location:../index.php');
    die();
}

$toppage = stripslashes($site[($lang[0] == $lng ? 0 : 11)]);
if (($page[22]) && (!empty($topmess))) {
	$toppage .= ' - '.strip_tags($topmess);
}
echo '<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">';

	///////////////////////////////////////////////////////////////////////////////////
	//                                                                               //
	//                GuppY is protected by the CeCILL FREE LICENSE.                 //
	//  REMOVING OR MODIFYING THE FOLLOWING COPYRIGHT NOTICE IS STRICTLY FORBIDDEN.  //
	//                                                                               //
	///////////////////////////////////////////////////////////////////////////////////

echo '

     <!--[  GuppY v'.MP_VERSION.' CeCILL Copyright (C) '.MP_COPYRIGHT.' by Laurent Duveau - http://www.freeguppy.org/  ]-->

<head>
<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'" />
<meta charset="'.$charset.'" />

<title>'.$toppage.'</title>

<meta name="description" lang="'.$site[15].'" content="'.$site[1].'" />
<meta name="rating" content="'.$site[12].'" />
<meta name="generator" content="GuppY" />
<meta name="author" content="'.$site[9].'" />
<meta name="keywords" lang="'.$site[15].'" content="'.$site[2].'" />';

if (preg_match('!admin/|'.$site['PG'].'|newsrss|error!', $endurl) === false) {
    echo '
<meta name="Robots" content="'.$site[7].'" />
<meta name="Revisit-After" content="'.$site[8].'" />';
}
else {
    echo '
<meta name="Robots" content="NONE" />';
}
if (!empty($site[11])) {
    echo '
<meta name="reply-to" content="'.$site[11].'" />';
}
echo '
<link rel="shortcut icon" href="'.$site[3].'favicon.ico" />';

// php or html scripts located in directory inc/inchead are automatically include at the top of the page
if (is_dir(CHEMIN.'mobile/inc/inchead')) { 
	$hd = opendir(CHEMIN.'mobile/inc/inchead');
	while ($file = readdir($hd)) { 
        if (1 == preg_match('!^[^_].*(\.inc|\.inc\.php)$!', $file)) {
			include CHEMIN.'mobile/inc/inchead/'.$file;
		}
	}
}

echo '
</head>
<body>';
if ($page[4] != "") {
    echo '
<div style="text-align:center;">
  <a href="index.php?lng='.$lng.'"><img src="'.CHEMIN.'img/'.$page[4].'" style=" vertical-align:middle;" alt="'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'" /></a>
</div>
<br>';
}
if ($lng == $lang[0]) {
  $i = 0;
  $j = 0;
}
else {
  $i = 10;
  $j = 1;
}

$endurl = str_replace('&', '&amp;', $endurl);

if ($lang[1] != '') {
    if (substr_count($endurl,'?lng=') == 0) {
        $endurl0 = '?lng='.$lang[0];
        $endurl1 = '?lng='.$lang[1];
    }
    else {
        $endurl0 = str_replace('?lng='.$lang[1],'?lng='.$lang[0],$endurl);
        $endurl1 = str_replace('?lng='.$lang[0],'?lng='.$lang[1],$endurl);
    }
    if (substr_count($endurl,'articles.php') != 0 && substr_count($endurl,'&amp;pg=') == 0) {
        $endurl0 = $endurl0.'&amp;pg='.$pg;
        $endurl1 = $endurl1.'&amp;pg='.$pg;
    }
    if ($lng == $lang[0]) {
        echo '
<a href="'.$endurl1.'" title="['.$lang[1].']"><img src="'.$flag2.'" style="width:24px;height:16px;vertical-align:top;" alt="['.$lang[1].']" /></a>&nbsp;';
    } else {
        echo '
<a href="'.$endurl0.'" title="['.$lang[0].']"><img src="'.$flag1.'" style="width:24px;height:16px;vertical-align:top;" alt="['.$lang[0].']" /></a>&nbsp;';
    }
}
$nom[$i] = strip_tags($nom[$i]);
echo '
<a class="menu" href="'.CHEMIN.'mobile/index.php?lng='.$lng.'" title="'.getLabel($nom[$i], 1).'">';
if ($page[9] != "") {
    echo '
  <img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/home.gif" alt="'.getLabel($nom[$i]).'" style="width:32px;height:32px;vertical-align:middle;" /></a>&nbsp;';
}
else {
  echo getLabel($nom[$i]).'</a>&nbsp;';
}
if ($serviz[53] == 'on') {
    $nom[$j+42] = strip_tags($nom[$j+42]);
    echo '
  <a href="blogs.php?lng='.$lng.'" title="'.getLabel($nom[$j+42], 1).'">';
    if ($page[9] != "") {
        echo '
    <img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/blog.gif" alt="'.getLabel($nom[$j+42]).'" style="width:32px;height:32px;vertical-align:middle;" /></a>&nbsp;';
    }
    else {
        echo getLabel($nom[$j+42]).'</a>&nbsp;';
    }
}
if ($serviz[8] == 'on') {
    $nom[$i+7] = strip_tags($nom[$i+7]);
    echo '
  <a href="news.php?lng='.$lng.'" title="'.getLabel($nom[$i+7], 1).'">';
    if ($page[9] != '') {
        echo '
    <img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/news.gif" alt="'.getLabel($nom[$i+7]).'" style="width:32px;height:32px;vertical-align:middle;" /></a>&nbsp;';
    }
    else {
        echo getLabel($nom[$i+7]).'</a>&nbsp;';
    }
}
if ($serviz[10] == 'on') {
    $nom[$i+1] = strip_tags($nom[$i+1]);
    echo '
  <a href="download.php?lng='.$lng.'" title="'.getLabel($nom[$i+1], 1).'">';
    if ($page[9] != '') {
        echo '
    <img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/download.gif" alt="'.getLabel($nom[$i+1]).'" style="width:32px;height:32px;vertical-align:middle;" /></a>&nbsp;';
    }
    else {
        echo getLabel($nom[$i+1]).'</a>&nbsp;';
    }
}
if ($serviz[11] == 'on') {
    $nom[$i+3] = strip_tags($nom[$i+3]);
    echo '
  <a href="links.php?lng='.$lng.'" title="'.getLabel($nom[$i+3], 1).'">';
    if ($page[9] != '') {
        echo '
    <img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/links.gif" alt="'.getLabel($nom[$i+3]).'" style="width:32px;height:32px;vertical-align:middle;" /></a>&nbsp;';
    }
    else {
        echo getLabel($nom[$i+3]).'</a>&nbsp;';
    }
}
if ($serviz[14] == 'on') {
    $nom[$j+24] = strip_tags($nom[$j+24]);
    echo '
  <a href="faq.php?lng='.$lng.'" title="'.getLabel($nom[$j+24], 1).'">
  ';
    if ($page[9] != '') {
        echo '
    <img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/faq.gif" alt="'.getLabel($nom[$j+24]).'" style="width:32px;height:32px;vertical-align:middle;" /></a>&nbsp;
    ';
    }
    else {
        echo getLabel($nom[$j+24]).'</a>&nbsp;';
    }
}
if ($serviz[12] == 'on') {
    $nom[$i+9] = strip_tags($nom[$i+9]);
    echo '
  <a href="guestbk.php?lng='.$lng.'" title="'.getLabel($nom[$i+9], 1).'">
  ';
    if ($page[9] != '') {
        echo '
    <img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/guestbook.gif" alt="'.getLabel($nom[$i+9]).'" style="width:32px;height:32px;vertical-align:middle;" /></a>&nbsp;
    ';
    }
    else {
        echo getLabel($nom[$i+9]).'</a>&nbsp;';
    }
}
if ($serviz[13] == 'on') {
    $nom[$j+22] = strip_tags($nom[$j+22]);
    if ($serviz[18] == 'on') {
        echo '
  <a href="fortopic.php?lng='.$lng.'" title="'.getLabel($nom[$j+22], 1).'">
  ';
        if ($page[9] != '') {
            echo '
      <img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif" alt="'.getLabel($nom[$j+22]).'" style="width:32px;height:32px;vertical-align:middle;" /></a>
    ';
        }
        else {
            echo getLabel($nom[$j+22]).'</a>';
        }
    }
    else {
        echo '
    <a href="forum.php?lng='.$lng.'" title="'.getLabel($nom[$j+22], 1).'">
    ';
        if ($page[9] != '') {
            echo '
      <img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif" alt="'.getLabel($nom[$j+22]).'" style="width:32px;height:32px;vertical-align:middle;" /></a>
      ';
        }
        else {
            echo getLabel($nom[$j+22]).'</a>';
        }
    }
}
echo '
<hr />';
?>
