<?php
/*******************************************************************************
 *   Mind Plugin
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'boxmind.inc')) {
    header('location:../index.php');
    die();
}

function fbox_mind($pos, $args) {
    global $lng, $lang, $site, $tconfig;

    if (is_file(CHEMIN.'plugins/mind/'.$lng.'-mind.inc')) {
        include CHEMIN.'plugins/mind/'.$lng.'-mind.inc';
    } else {
        include CHEMIN.'plugins/mind/en-mind.inc';
    }

    $out = '
<form action="'.CHEMIN.'plugins/mind/'.($site['URLR'] == 'on'? $lng.'mind': 'mind.php?lng='.$lng).'" method="post" name="formMind">
  <p class="box" style="text-align:center">
    '.$mind[3].'
    <br />
    '.SubmitButton($mind[9], 'javascript:document.formMind.submit();').'
  </p>
</form>';

    if ($pos == BOX_LEFT || $pos == BOX_RIGHT) {
        return '
<div class="'.$pos.$tconfig.'MIND">'.boxthin($pos, $mind[7], $out, ' MIND'.$tconfig).'
</div>';
    } else {
        return boxwide($pos, $mind[7], $out, ' MIND'.$tconfig);
    }
}
