<?php
/*******************************************************************************
 *   Stats
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Version History :
 * v5.0.0 (February 15, 2014) : initial release.
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '');
include 'inc/includes.inc';

if ($serviz[15] != 'on') {
    exit($web[143]);
}
$per  = import('per');
$anal = import('anal');

if (empty($per)) {
    $per = 1;
}
$widepage = $serviz[132];
$show_stat_admin = FALSE;
include 'inc/statcalc.inc';

$i = $lng == $lang[0] ? 0 : 1;
$topmess = strip_tags(getLabel($nom[$i+26]));
if ($page[9] != '') {
    $topmess = '<img src="inc/img/icons/'.$page[9].'/stats.gif" style="float:right;width:32px;height:32px;vertical-align:middle;" alt="" />'.$topmess;
}
include('inc/hpage.inc');
htable($topmess, '100%');
echo '
<br />';

if ($members[0] == 'on' && $userprefs[1] == '' && $members[6] == 'on') {
    echo '
<div style="text-align:center;margin:0 0 20px 0;">'.$web[342];
	if ($members[19] != '0' && $members[19] != '3') 
		echo '
<p style="margin:15px 0;">[&nbsp;<a href="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[15]: $site['USR'].'.php?lng='.$lng).'">'.$web[160].'</a>&nbsp;]</p>';
	echo '
</div>';
}
else {
    include 'inc/statshow.inc';
}
btable();
include 'inc/bpage.inc';
?>
